/*	Compiler: ECL 12.7.1                                          */
/*	Source: EXT:DEFSYSTEM;DEFSYSTEM.LISP                          */
#include <ecl/ecl-cmp.h>
#include "ext/defsystem.eclh"
/*	function definition for HOME-SUBDIRECTORY                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1home_subdirectory(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  HOMEDIR         */
	V2= cl_user_homedir_pathname(0)           /*  USER-HOMEDIR-PATHNAME */;
	if((V2)==ECL_NIL){
	goto L7;}
	value0=cl_namestring(V2)                  /*  NAMESTRING      */;
	goto L5;
L7:;
	value0=ECL_NIL;
	goto L5;
L5:;
	if((value0)!=ECL_NIL){
	goto L4;}
	T0= _ecl_static_2;
	goto L1;
L4:;
	T0= value0;
	goto L1;
	}
L1:;
	value0=cl_concatenate(3,ECL_SYM("STRING",805),T0,V1) /*  CONCATENATE */;
	return value0;
}}
/*	function definition for ADD-REGISTRY-LOCATION                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2add_registry_location(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_symbol_value(VV[9]);
	T1= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[9],cl_adjoin(4,V1,T0,ECL_SYM("TEST",1317),T1) /*  ADJOIN */);
	value0=ecl_symbol_value(VV[9]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTRY-PATHNAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3registry_pathname(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	value0=cl_pathname(V1)                    /*  PATHNAME        */;
	return value0;
L2:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L5;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	T0= cl_eval(V1)                           /*  EVAL            */;
	value0=cl_pathname(T0)                    /*  PATHNAME        */;
	return value0;
}}
/*	function definition for PRINT-CENTRAL-REGISTRY-DIRECTORIES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4print_central_registry_directories(cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;
	V2= ecl_symbol_value(VV[9]);
	goto L6;
L5:;
	{cl_object V3;                            /*  REGISTRY        */
	V3= ecl_car(V2);
	T0= L3registry_pathname(V3)               /*  REGISTRY-PATHNAME */;
	ecl_print(T0,V1);
	}
	V2= ecl_cdr(V2);
L6:;
	if((V2)==ECL_NIL){
	goto L15;}
	goto L5;
L15:;
	goto L13;
L13:;
	goto L3;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LIST-CENTRAL-REGISTRY-DIRECTORIES     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5list_central_registry_directories()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET2257         */
	cl_object V2;
	cl_object V3;
	V1= ecl_symbol_value(VV[9]);
	V2= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
	V3= V1;
	{cl_object V4;
	cl_object V5;
	V4= ecl_list1(ECL_NIL);
	V5= V4;
L8:;
	if(!(ecl_endp(V3))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V2= _ecl_car(V3);
	{cl_object V6;
	V6= _ecl_cdr(V3);
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	V3= V6;
	}
	if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
	T0= V5;
	T1= L3registry_pathname(V2)               /*  REGISTRY-PATHNAME */;
	V5= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V5,T0);
	goto L8;
L9:;
	value0=ecl_cdr(V4); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for NON-EMPTY-LISTP                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6non_empty_listp(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	value0=ecl_make_bool(ECL_LISTP(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPONENT-OPERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7component_operation(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==ECL_NIL){
	goto L3;}
	value0=si_hash_set(V1,ecl_symbol_value(VV[37]),V2) /*  HASH-SET */;
	return value0;
L3:;
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[37])) /*  GETHASH  */;
	return value0;
}}
/*	local function G19                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g19(cl_object V1, cl_object V2, cl_object V3)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_read(4,V1,ECL_T,ECL_NIL,ECL_T)     /*  READ            */;
	value0=cl_list(2,VV[39],T0)               /*  LIST            */;
	return value0;
}}
/*	function definition for OPERATING-SYSTEM-VERSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9operating_system_version()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(cl_env_copy->function=(ECL_SYM("SOFTWARE-TYPE",784)->symbol.gfdef))->cfun.entry(0) /*  SOFTWARE-TYPE */;
	return value0;
}}
/*	function definition for COMPILER-VERSION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10compiler_version()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=_ecl_static_10; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AFS-BINARY-DIRECTORY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11afs_binary_directory(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET2258         */
	cl_object V3;                             /*  LET2259         */
	cl_object V4;                             /*  LET2260         */
	T0= (cl_env_copy->function=(ECL_SYM("MACHINE-TYPE",516)->symbol.gfdef))->cfun.entry(0) /*  MACHINE-TYPE */;
	V2= L16machine_type_translation(1,T0)     /*  MACHINE-TYPE-TRANSLATION */;
	T0= (cl_env_copy->function=(ECL_SYM("SOFTWARE-TYPE",784)->symbol.gfdef))->cfun.entry(0) /*  SOFTWARE-TYPE */;
	V3= L17software_type_translation(1,T0)    /*  SOFTWARE-TYPE-TRANSLATION */;
	T0= L10compiler_version()                 /*  COMPILER-VERSION */;
	V4= L18compiler_type_translation(1,T0)    /*  COMPILER-TYPE-TRANSLATION */;
	V1= cl_namestring(V1)                     /*  NAMESTRING      */;
	V1= L14ensure_trailing_slash(V1)          /*  ENSURE-TRAILING-SLASH */;
	T0= ecl_symbol_value(VV[14]);
	if((ecl_symbol_value(VV[7]))==ECL_NIL){
	goto L10;}
	T1= L15afs_component(3,V2,V3,V4)          /*  AFS-COMPONENT   */;
	goto L8;
L10:;
	T1= L15afs_component(2,V2,V3)             /*  AFS-COMPONENT   */;
	goto L8;
L8:;
	value0=cl_format(5,ECL_NIL,_ecl_static_11,V1,T0,T1) /*  FORMAT */;
	return value0;
	}
}}
/*	function definition for AFS-SOURCE-DIRECTORY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12afs_source_directory(cl_narg narg, cl_object V1, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	V1= cl_namestring(V1)                     /*  NAMESTRING      */;
	V1= L14ensure_trailing_slash(V1)          /*  ENSURE-TRAILING-SLASH */;
	if((V2)==ECL_NIL){
	goto L8;}
	T0= L71translate_version(ecl_symbol_value(VV[36])) /*  TRANSLATE-VERSION */;
	goto L6;
L8:;
	T0= ECL_NIL;
	goto L6;
L6:;
	value0=cl_format(4,ECL_NIL,_ecl_static_12,V1,T0) /*  FORMAT   */;
	return value0;
}}
/*	function definition for NULL-STRING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13null_string(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	value0=cl_string_equal(2,V1,_ecl_static_13) /*  STRING-EQUAL  */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ENSURE-TRAILING-SLASH                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14ensure_trailing_slash(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	if((L13null_string(V1)                    /*  NULL-STRING     */)!=ECL_NIL){
	goto L2;}
	{cl_fixnum V2;
	V2= ecl_length(V1);
	T0= ecl_make_integer((V2)-1);
	T1= cl_char(V1,T0)                        /*  CHAR            */;
	if((ecl_char_code(T1))==((ecl_character)(47))){
	goto L2;}}
	{cl_fixnum V2;
	V2= ecl_length(V1);
	T0= ecl_make_integer((V2)-1);
	T1= cl_char(V1,T0)                        /*  CHAR            */;
	if((ecl_char_code(T1))==((ecl_character)(92))){
	goto L2;}}
	value0=cl_concatenate(3,ECL_SYM("STRING",805),V1,_ecl_static_14) /*  CONCATENATE */;
	return value0;
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AFS-COMPONENT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15afs_component(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=V2;
	if((value0)!=ECL_NIL){
	goto L4;}
	T0= _ecl_static_16;
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	value0=cl_format(5,ECL_NIL,_ecl_static_15,V1,T0,V3) /*  FORMAT */;
	return value0;
}}
/*	function definition for MACHINE-TYPE-TRANSLATION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16machine_type_translation(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==ECL_NIL){
	goto L3;}
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=si_hash_set(T0,ecl_symbol_value(VV[48]),V2) /*  HASH-SET */;
	return value0;
L3:;
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[48])) /*  GETHASH  */;
	return value0;
}}
/*	function definition for SOFTWARE-TYPE-TRANSLATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17software_type_translation(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==ECL_NIL){
	goto L3;}
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=si_hash_set(T0,ecl_symbol_value(VV[50]),V2) /*  HASH-SET */;
	return value0;
L3:;
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[50])) /*  GETHASH  */;
	return value0;
}}
/*	function definition for COMPILER-TYPE-TRANSLATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18compiler_type_translation(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==ECL_NIL){
	goto L3;}
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=si_hash_set(T0,ecl_symbol_value(VV[52]),V2) /*  HASH-SET */;
	return value0;
L3:;
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[52])) /*  GETHASH  */;
	return value0;
}}
/*	function definition for CANONICALIZE-SYSTEM-NAME              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19canonicalize_system_name(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	value0=cl_string_upcase(1,V1)             /*  STRING-UPCASE   */;
	return value0;
L2:;
	T0= cl_string(V1)                         /*  STRING          */;
	value0=cl_string_upcase(1,T0)             /*  STRING-UPCASE   */;
	return value0;
}}
/*	function definition for GET-SYSTEM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20get_system(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L19canonicalize_system_name(V1)       /*  CANONICALIZE-SYSTEM-NAME */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[55])) /*  GETHASH  */;
	return value0;
}}
/*	local function GET-SYSTEM                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21get_system(cl_object V1, cl_object V2)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[54],V2)                  /*  LIST            */;
	T1= cl_list(3,ECL_SYM("GETHASH",413),T0,VV[55]) /*  LIST      */;
	value0=cl_list(3,ECL_SYM("SETF",750),T1,V1) /*  LIST          */;
	return value0;
}}
/*	function definition for UNDEFSYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22undefsystem(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L19canonicalize_system_name(V1)       /*  CANONICALIZE-SYSTEM-NAME */;
	value0=cl_remhash(T0,ecl_symbol_value(VV[55])) /*  REMHASH    */;
	return value0;
}}
/*	function definition for DEFINED-SYSTEMS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24defined_systems()
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object env1 = env0;
	env1 = ECL_NIL;
	CLV0=env1=CONS(ECL_NIL,env1);             /*  RESULT          */
	T0= ecl_make_cclosure_va((cl_objectfn)LC23__g29,env1,Cblock);
	cl_maphash(T0,ecl_symbol_value(VV[55]))   /*  MAPHASH         */;
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	closure G29                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g29(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  RESULT          */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= CONS(V2,ECL_CONS_CAR(CLV0));
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for DEFINED-NAMES-AND-SYSTEMS             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25defined_names_and_systems()
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET2263         */
	cl_object V2;
	cl_object V3;                             /*  SNAME           */
	cl_object V4;                             /*  S               */
	V1= ecl_symbol_value(VV[55]);
	V2= ECL_NIL;
	V3= ECL_NIL;
	V4= ECL_NIL;
	{cl_object V5;
	V5= si_hash_table_iterator(V1)            /*  HASH-TABLE-ITERATOR */;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(ECL_NIL);
	V7= V6;
L9:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V5)(0);
	{
	cl_object V9;
	cl_object V10;
	cl_object V11;
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L16;
	V9= cl_env_copy->values[0];
	if (V12--<=0) goto L17;
	V10= cl_env_copy->values[1];
	if (V12--<=0) goto L18;
	V11= cl_env_copy->values[2];
	goto L19;}
L16:;
	V9= ECL_NIL;
L17:;
	V10= ECL_NIL;
L18:;
	V11= ECL_NIL;
L19:;
	if((V9)==ECL_NIL){
	goto L22;}
	V4= V11;
	V3= V10;
	goto L20;
L22:;
	goto L20;
L20:;
	V2= V9;
	if((V2)!=ECL_NIL){
	goto L13;}}
	goto L10;
L13:;
	goto L11;
L11:;
	if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
	T0= V7;
	T1= CONS(V3,V4);
	V7= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V7,T0);
	goto L9;
L10:;
	value0=ecl_cdr(V6); cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}}
/*	function definition for NEW-APPEND-DIRECTORIES                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27new_append_directories(cl_object volatile V1, cl_object volatile V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=V1;
	if((value0)!=ECL_NIL){
	goto L5;}
	V1= _ecl_static_13;
	goto L3;
L5:;
	V1= value0;
	goto L3;
L3:;
	value0=V2;
	if((value0)!=ECL_NIL){
	goto L9;}
	V2= _ecl_static_13;
	goto L7;
L9:;
	V2= value0;
	goto L7;
L7:;
	{volatile cl_object V3;                   /*  ABS-DIR         */
	volatile cl_object V4;                    /*  REL-DIR         */
	volatile cl_object V5;                    /*  HOST            */
	volatile cl_object V6;                    /*  DEVICE          */
	volatile cl_object V7;                    /*  ABS-DIRECTORY   */
	volatile cl_object V8;                    /*  ABS-KEYWORD     */
	volatile cl_object V9;                    /*  ABS-NAME        */
	volatile cl_object V10;                   /*  REL-DIRECTORY   */
	volatile cl_object V11;                   /*  REL-KEYWORD     */
	volatile cl_object V12;                   /*  REL-FILE        */
	volatile cl_object V13;                   /*  DIRECTORY       */
	V3= cl_pathname(V1)                       /*  PATHNAME        */;
	V4= cl_pathname(V2)                       /*  PATHNAME        */;
	V5= cl_pathname_host(1,V3)                /*  PATHNAME-HOST   */;
	if((L13null_string(V1)                    /*  NULL-STRING     */)==ECL_NIL){
	goto L16;}
	V6= cl_pathname_device(1,V4)              /*  PATHNAME-DEVICE */;
	goto L14;
L16:;
	V6= cl_pathname_device(1,V3)              /*  PATHNAME-DEVICE */;
	goto L14;
L14:;
	T0= cl_pathname_directory(1,V3)           /*  PATHNAME-DIRECTORY */;
	V7= L28directory_to_list(T0)              /*  DIRECTORY-TO-LIST */;
	T0= ecl_car(V7);
	if((cl_keywordp(T0)                       /*  KEYWORDP        */)==ECL_NIL){
	goto L21;}
	{cl_object V14;
	V14= V7;
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	if((V14)==ECL_NIL){
	goto L28;}
	{cl_object V15;
	V15= ECL_CONS_CDR(V14);
	V7= V15;
	V14= ECL_CONS_CAR(V14);
	goto L26;
	}
L28:;
	goto L26;
L26:;
	V8= V14;
	goto L19;
	}
L21:;
	V8= ECL_NIL;
	goto L19;
L19:;
	{volatile cl_object env1 = env0;
	env1 = ECL_NIL;
	CLV0=env1=CONS(ECL_NIL,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L36;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC26__g49,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",337),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
	value0=cl_file_namestring(V3)             /*  FILE-NAMESTRING */;
	ecl_frs_pop(cl_env_copy);
	V9= value0;
	ecl_bds_unwind1(cl_env_copy);
	goto L34;
L36:;
	{cl_object V14;                           /*  CONDITION       */
	V14= ECL_CONS_CAR(CLV0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V14;
	cl_env_copy->values[0]=ECL_NIL;
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	V9= value0;
	goto L34;
	}}
	}
L34:;
	T0= cl_pathname_directory(1,V4)           /*  PATHNAME-DIRECTORY */;
	V10= L28directory_to_list(T0)             /*  DIRECTORY-TO-LIST */;
	T0= ecl_car(V10);
	if((cl_keywordp(T0)                       /*  KEYWORDP        */)==ECL_NIL){
	goto L44;}
	{cl_object V14;
	V14= V10;
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	if((V14)==ECL_NIL){
	goto L51;}
	{cl_object V15;
	V15= ECL_CONS_CDR(V14);
	V10= V15;
	V14= ECL_CONS_CAR(V14);
	goto L49;
	}
L51:;
	goto L49;
L49:;
	V11= V14;
	goto L42;
	}
L44:;
	V11= ECL_NIL;
	goto L42;
L42:;
	V12= cl_file_namestring(V4)               /*  FILE-NAMESTRING */;
	V13= ECL_NIL;
	if((V9)==ECL_NIL){
	goto L61;}
	if((L13null_string(V9)                    /*  NULL-STRING     */)!=ECL_NIL){
	goto L61;}
	if(!(V7==ECL_NIL)){
	goto L65;}
	if(!(V8==ECL_NIL)){
	goto L65;}
	V8= ECL_SYM("RELATIVE",1300);
	V7= ecl_list1(V9);
	goto L59;
L65:;
	T0= ecl_list1(V9);
	V7= ecl_append(V7,T0);
	goto L59;
L61:;
	goto L59;
L59:;
	if(!(V7==ECL_NIL)){
	goto L74;}
	if(!(V8==ECL_NIL)){
	goto L74;}
	if((V11)==ECL_NIL){
	goto L74;}
	V8= V11;
	goto L72;
L74:;
	goto L72;
L72:;
	V13= ecl_append(V7,V10);
	if((V8)==ECL_NIL){
	goto L83;}
	V13= CONS(V8,V13);
	goto L81;
L83:;
	goto L81;
L81:;
	T0= cl_make_pathname(8,ECL_SYM("HOST",1244),V5,ECL_SYM("DEVICE",1218),V6,ECL_SYM("DIRECTORY",1220),V13,ECL_SYM("NAME",1274),V12) /*  MAKE-PATHNAME */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
	}
}}
/*	closure G49                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26__g49(cl_narg narg, cl_object V1, ...)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
}}}
/*	function definition for DIRECTORY-TO-LIST                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28directory_to_list(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_LISTP(V1))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_STRINGP(V1))){
	goto L5;}
	{cl_object V2;
	V2= si_make_seq_iterator(2,V1,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L12:;
	if((V2)!=ECL_NIL){
	goto L16;}
	goto L8;
L16:;
	goto L14;
L14:;
	{cl_object V3;
	V3= si_seq_iterator_ref(V1,V2)            /*  SEQ-ITERATOR-REF */;
	if(!((ECL_CODE_CHAR((ecl_character)(59))==(V3)))){
	goto L21;}
	if((V3)==ECL_NIL){
	goto L8;}
	goto L9;
L21:;
	goto L18;
	}
L18:;
	V2= si_seq_iterator_next(V1,V2)           /*  SEQ-ITERATOR-NEXT */;
	goto L12;
	}
L9:;
	value0=L87split_string(3,V1,VV[61],CODE_CHAR(59)) /*  SPLIT-STRING */;
	return value0;
L8:;
	value0=L87split_string(3,V1,VV[61],CODE_CHAR(47)) /*  SPLIT-STRING */;
	return value0;
L5:;
	value0=si_coerce_to_list(1,V1)            /*  COERCE-TO-LIST  */;
	return value0;
}}
/*	function definition for TEST-NEW-APPEND-DIRECTORIES           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29test_new_append_directories(cl_narg narg, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[63]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  DIR-LIST        */
	cl_object V3;                             /*  ABS-DIR         */
	cl_object V4;                             /*  REL-DIR         */
	V2= V1;
	V3= ecl_car(V2);
	V4= ecl_cadr(V2);
	goto L8;
L7:;
	T0= L27new_append_directories(V3,V4)      /*  NEW-APPEND-DIRECTORIES */;
	cl_format(5,ECL_T,_ecl_static_77,V3,V4,T0) /*  FORMAT         */;
	V2= ecl_cddr(V2);
	V3= ecl_car(V2);
	V4= ecl_cadr(V2);
L8:;
	if(V2==ECL_NIL){
	goto L19;}
	goto L7;
L19:;
	goto L17;
L17:;
	goto L5;
L5:;
	value0=ECL_NIL; cl_env_copy->nvalues=0;
	return value0;
	}
}}
/*	function definition for APPEND-DIRECTORIES                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30append_directories(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)!=ECL_NIL){
	goto L4;}
	if((V2)==ECL_NIL){
	goto L2;}
	goto L3;
L4:;
L3:;
	if((L33namestring_probably_logical(V1)    /*  NAMESTRING-PROBABLY-LOGICAL */)==ECL_NIL){
	goto L7;}
	value0=L34append_logical_pnames(V1,V2)    /*  APPEND-LOGICAL-PNAMES */;
	return value0;
L7:;
	value0=L27new_append_directories(V1,V2)   /*  NEW-APPEND-DIRECTORIES */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PATHNAME-LOGICAL-P                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32pathname_logical_p(cl_object volatile V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((si_logical_pathname_p(V1)             /*  LOGICAL-PATHNAME-P */)==ECL_NIL){
	goto L2;}
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_STRINGP(V1))){
	goto L5;}
	T0= cl_count(2,CODE_CHAR(58),V1)          /*  COUNT           */;
	if(!((1)==(ecl_to_fixnum(T0)))){
	goto L8;}
	{volatile cl_object env1 = env0;
	env1 = ECL_NIL;
	CLV0=env1=CONS(ECL_NIL,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L12;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC31__g72,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",337),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
	if((cl_translate_logical_pathname(1,V1)   /*  TRANSLATE-LOGICAL-PATHNAME */)==ECL_NIL){
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L8;}
	value0=cl_translate_logical_pathname(1,V1) /*  TRANSLATE-LOGICAL-PATHNAME */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L10;
L12:;
	{cl_object V2;                            /*  CONDITION       */
	V2= ECL_CONS_CAR(CLV0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V2;
	cl_env_copy->values[0]=ECL_NIL;
	if((cl_env_copy->values[0])==ECL_NIL){
	ecl_frs_pop(cl_env_copy);
	goto L8;}
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	goto L10;
	}}
	}
L10:;
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L8:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L5:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G72                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g72(cl_narg narg, cl_object V1, ...)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
}}}
/*	function definition for NAMESTRING-PROBABLY-LOGICAL           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33namestring_probably_logical(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	{cl_object V2;
	V2= si_make_seq_iterator(2,V1,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L6:;
	if((V2)!=ECL_NIL){
	goto L10;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L10:;
	goto L8;
L8:;
	{cl_object V3;
	V3= si_seq_iterator_ref(V1,V2)            /*  SEQ-ITERATOR-REF */;
	if(!((ECL_CODE_CHAR((ecl_character)(59))==(V3)))){
	goto L15;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L15:;
	goto L12;
	}
L12:;
	V2= si_seq_iterator_next(V1,V2)           /*  SEQ-ITERATOR-NEXT */;
	goto L6;
	}
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for APPEND-LOGICAL-PNAMES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34append_logical_pnames(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET2265         */
	cl_object V4;                             /*  LET2266         */
	if((V1)==ECL_NIL){
	goto L3;}
	V3= cl_pathname(V1)                       /*  PATHNAME        */;
	goto L1;
L3:;
	T0= ecl_list1(ECL_SYM("ABSOLUTE",1197));
	V3= cl_make_pathname(6,ECL_SYM("DIRECTORY",1220),T0,ECL_SYM("NAME",1274),ECL_NIL,ECL_SYM("TYPE",1319),ECL_NIL) /*  MAKE-PATHNAME */;
	goto L1;
L1:;
	if((V2)==ECL_NIL){
	goto L7;}
	V4= cl_pathname(V2)                       /*  PATHNAME        */;
	goto L5;
L7:;
	T0= ecl_list1(ECL_SYM("RELATIVE",1300));
	V4= cl_make_pathname(6,ECL_SYM("DIRECTORY",1220),T0,ECL_SYM("NAME",1274),ECL_NIL,ECL_SYM("TYPE",1319),ECL_NIL) /*  MAKE-PATHNAME */;
	goto L5;
L5:;
	if((si_logical_pathname_p(V3)             /*  LOGICAL-PATHNAME-P */)==ECL_NIL){
	goto L10;}
	if((si_logical_pathname_p(V4)             /*  LOGICAL-PATHNAME-P */)==ECL_NIL){
	goto L13;}
	T0= cl_merge_pathnames(2,V4,V3)           /*  MERGE-PATHNAMES */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
L13:;
	if((cl_pathnamep(V4)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L16;}
	T0= cl_translate_logical_pathname(1,V3)   /*  TRANSLATE-LOGICAL-PATHNAME */;
	T1= cl_merge_pathnames(2,V4,T0)           /*  MERGE-PATHNAMES */;
	value0=cl_namestring(T1)                  /*  NAMESTRING      */;
	return value0;
L16:;
	value0=si_etypecase_error(V4,VV[68])      /*  ETYPECASE-ERROR */;
	return value0;
L10:;
	if((cl_pathnamep(V3)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L19;}
	T0= cl_merge_pathnames(2,V4,V3)           /*  MERGE-PATHNAMES */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
L19:;
	value0=si_etypecase_error(V3,VV[68])      /*  ETYPECASE-ERROR */;
	return value0;
	}
}}
/*	function definition for NEW-FILE-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35new_file_type(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_pathname_host(1,V1)                /*  PATHNAME-HOST   */;
	T1= cl_pathname_device(1,V1)              /*  PATHNAME-DEVICE */;
	T2= cl_pathname_directory(1,V1)           /*  PATHNAME-DIRECTORY */;
	T3= cl_pathname_name(1,V1)                /*  PATHNAME-NAME   */;
	T4= cl_pathname_version(V1)               /*  PATHNAME-VERSION */;
	value0=cl_make_pathname(12,ECL_SYM("HOST",1244),T0,ECL_SYM("DEVICE",1218),T1,ECL_SYM("DIRECTORY",1220),T2,ECL_SYM("NAME",1274),T3,ECL_SYM("TYPE",1319),V2,ECL_SYM("VERSION",1327),T4) /*  MAKE-PATHNAME */;
	return value0;
}}
/*	function definition for MAKE-TOPOLOGICAL-SORT-NODE            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36make_topological_sort_node(cl_narg narg, ...)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L36make_topological_sort_nodekeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[1]==ECL_NIL){
	V1= VV[77];
	}else{
	V1= keyvars[0];}
	}
	if(!(ecl_eql(V1,VV[78]))){
	goto L8;}
	goto L4;
	goto L6;
L8:;
	goto L6;
L6:;
	if(!(ecl_eql(V1,VV[80]))){
	goto L12;}
	goto L4;
	goto L10;
L12:;
	goto L10;
L10:;
	if(!(ecl_eql(V1,VV[77]))){
	goto L15;}
	goto L4;
	goto L5;
L15:;
	goto L5;
L5:;
	si_structure_type_error(4,V1,VV[83],VV[73],VV[84]) /*  STRUCTURE-TYPE-ERROR */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=si_make_structure(2,VV[85],V1)     /*  MAKE-STRUCTURE  */;
	return value0;
}}
/*	function definition for MAKE-COMPONENT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41make_component(cl_narg narg, ...)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	cl_object V13;
	cl_object V14;
	cl_object V15;
	cl_object V16;
	cl_object V17;
	cl_object V18;
	cl_object V19;
	cl_object V20;
	cl_object V21;
	cl_object V22;
	cl_object V23;
	cl_object V24;
	cl_object V25;
	cl_object V26;
	cl_object V27;
	cl_object V28;
	cl_object V29;
	cl_object V30;
	cl_object V31;
	cl_object V32;
	cl_object V33;
	cl_object V34;
	cl_object V35;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[70];
	cl_parse_key(args,35,L41make_componentkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[35]==ECL_NIL){
	V1= VV[77];
	}else{
	V1= keyvars[0];}
	if(keyvars[36]==ECL_NIL){
	V2= ECL_SYM("FILE",1238);
	}else{
	V2= keyvars[1];}
	V3= keyvars[2];
	if(keyvars[38]==ECL_NIL){
	V4= ecl_make_fixnum(0);
	}else{
	V4= keyvars[3];}
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	if(keyvars[42]==ECL_NIL){
	V8= ecl_symbol_value(VV[71]);
	}else{
	V8= keyvars[7];}
	V9= keyvars[8];
	if(keyvars[44]==ECL_NIL){
	V10= ecl_symbol_value(VV[72]);
	}else{
	V10= keyvars[9];}
	V11= keyvars[10];
	V12= keyvars[11];
	V13= keyvars[12];
	V14= keyvars[13];
	V15= keyvars[14];
	V16= keyvars[15];
	V17= keyvars[16];
	V18= keyvars[17];
	V19= keyvars[18];
	V20= keyvars[19];
	if(keyvars[55]==ECL_NIL){
	V21= ecl_make_cfun((cl_objectfn_fixed)LC37__g84,ECL_NIL,Cblock,0);
	}else{
	V21= keyvars[20];}
	if(keyvars[56]==ECL_NIL){
	V22= ecl_make_cfun((cl_objectfn_fixed)LC38__g85,ECL_NIL,Cblock,0);
	}else{
	V22= keyvars[21];}
	if(keyvars[57]==ECL_NIL){
	V23= ecl_make_cfun((cl_objectfn_fixed)LC39__g86,ECL_NIL,Cblock,0);
	}else{
	V23= keyvars[22];}
	if(keyvars[58]==ECL_NIL){
	V24= ecl_make_cfun((cl_objectfn_fixed)LC40__g87,ECL_NIL,Cblock,0);
	}else{
	V24= keyvars[23];}
	V25= keyvars[24];
	V26= keyvars[25];
	V27= keyvars[26];
	V28= keyvars[27];
	V29= keyvars[28];
	V30= keyvars[29];
	V31= keyvars[30];
	V32= keyvars[31];
	V33= keyvars[32];
	V34= keyvars[33];
	V35= keyvars[34];
	}
	if(!((V35)==(ECL_NIL))){
	goto L16;}
	goto L12;
	goto L14;
L16:;
	goto L14;
L14:;
	if(!(ecl_eql(V35,ECL_T))){
	goto L19;}
	goto L12;
	goto L13;
L19:;
	goto L13;
L13:;
	si_structure_type_error(4,V35,ECL_SYM("BOOLEAN",155),VV[89],VV[95]) /*  STRUCTURE-TYPE-ERROR */;
	goto L10;
L12:;
	goto L10;
L10:;
	if(V34==ECL_NIL){
	goto L23;}
	if(ECL_STRINGP(V34)){
	goto L23;}
	si_structure_type_error(4,V34,VV[96],VV[89],VV[97]) /*  STRUCTURE-TYPE-ERROR */;
	goto L21;
L23:;
	goto L21;
L21:;
	if(V33==ECL_NIL){
	goto L28;}
	if(ECL_STRINGP(V33)){
	goto L28;}
	si_structure_type_error(4,V33,VV[96],VV[89],VV[98]) /*  STRUCTURE-TYPE-ERROR */;
	goto L26;
L28:;
	goto L26;
L26:;
	if(V32==ECL_NIL){
	goto L33;}
	if(ECL_STRINGP(V32)){
	goto L33;}
	si_structure_type_error(4,V32,VV[96],VV[89],VV[99]) /*  STRUCTURE-TYPE-ERROR */;
	goto L31;
L33:;
	goto L31;
L31:;
	if(V31==ECL_NIL){
	goto L38;}
	if(ECL_STRINGP(V31)){
	goto L38;}
	si_structure_type_error(4,V31,VV[96],VV[89],VV[100]) /*  STRUCTURE-TYPE-ERROR */;
	goto L36;
L38:;
	goto L36;
L36:;
	if(V30==ECL_NIL){
	goto L43;}
	if(ECL_STRINGP(V30)){
	goto L43;}
	si_structure_type_error(4,V30,VV[96],VV[89],VV[101]) /*  STRUCTURE-TYPE-ERROR */;
	goto L41;
L43:;
	goto L41;
L41:;
	if(V29==ECL_NIL){
	goto L48;}
	if(ECL_STRINGP(V29)){
	goto L48;}
	si_structure_type_error(4,V29,VV[96],VV[89],ECL_SYM("DOCUMENTATION",312)) /*  STRUCTURE-TYPE-ERROR */;
	goto L46;
L48:;
	goto L46;
L46:;
	if(V28==ECL_NIL){
	goto L53;}
	if(ECL_STRINGP(V28)){
	goto L53;}
	si_structure_type_error(4,V28,VV[96],VV[89],VV[102]) /*  STRUCTURE-TYPE-ERROR */;
	goto L51;
L53:;
	goto L51;
L51:;
	if(ECL_LISTP(V19)){
	goto L58;}
	si_structure_type_error(4,V19,ECL_SYM("LIST",481),VV[89],VV[103]) /*  STRUCTURE-TYPE-ERROR */;
	goto L56;
L58:;
	goto L56;
L56:;
	if(ECL_LISTP(V18)){
	goto L62;}
	si_structure_type_error(4,V18,ECL_SYM("LIST",481),VV[89],VV[104]) /*  STRUCTURE-TYPE-ERROR */;
	goto L60;
L62:;
	goto L60;
L60:;
	if(ECL_LISTP(V17)){
	goto L66;}
	si_structure_type_error(4,V17,ECL_SYM("LIST",481),VV[89],VV[105]) /*  STRUCTURE-TYPE-ERROR */;
	goto L64;
L66:;
	goto L64;
L64:;
	if(V16==ECL_NIL){
	goto L70;}
	if(ECL_SYMBOLP(V16)){
	goto L70;}
	if((cl_functionp(V16)                     /*  FUNCTIONP       */)!=ECL_NIL){
	goto L70;}
	si_structure_type_error(4,V16,VV[106],VV[89],VV[107]) /*  STRUCTURE-TYPE-ERROR */;
	goto L68;
L70:;
	goto L68;
L68:;
	if(V15==ECL_NIL){
	goto L76;}
	if(ECL_SYMBOLP(V15)){
	goto L76;}
	if((cl_functionp(V15)                     /*  FUNCTIONP       */)!=ECL_NIL){
	goto L76;}
	si_structure_type_error(4,V15,VV[106],VV[89],VV[108]) /*  STRUCTURE-TYPE-ERROR */;
	goto L74;
L76:;
	goto L74;
L74:;
	if(ECL_SYMBOLP(V14)){
	goto L82;}
	si_structure_type_error(4,V14,VV[109],VV[89],VV[110]) /*  STRUCTURE-TYPE-ERROR */;
	goto L80;
L82:;
	goto L80;
L80:;
	{cl_fixnum V36;
	V36= 0;
	if(!(ECL_FIXNUMP(V4))){
	goto L90;}
	V36= ecl_fixnum(V4);
	if(!((V36)<=(1023))){
	goto L95;}
	if((V36)>=(0)){
	goto L86;}
	goto L87;
L95:;
	goto L87;
L90:;
	goto L87;
	}
L87:;
	si_structure_type_error(4,V4,VV[111],VV[89],VV[112]) /*  STRUCTURE-TYPE-ERROR */;
	goto L84;
L86:;
	goto L84;
L84:;
	if(ECL_SYMBOLP(V3)){
	goto L99;}
	if(ECL_STRINGP(V3)){
	goto L99;}
	si_structure_type_error(4,V3,VV[113],VV[89],VV[114]) /*  STRUCTURE-TYPE-ERROR */;
	goto L97;
L99:;
	goto L97;
L97:;
	if((ecl_memql(V2,VV[115]))!=ECL_NIL){
	goto L104;}
	si_structure_type_error(4,V2,VV[116],VV[89],ECL_SYM("TYPE",869)) /*  STRUCTURE-TYPE-ERROR */;
	goto L102;
L104:;
	goto L102;
L102:;
	if(!(ecl_eql(V1,VV[78]))){
	goto L112;}
	goto L108;
	goto L110;
L112:;
	goto L110;
L110:;
	if(!(ecl_eql(V1,VV[80]))){
	goto L116;}
	goto L108;
	goto L114;
L116:;
	goto L114;
L114:;
	if(!(ecl_eql(V1,VV[77]))){
	goto L119;}
	goto L108;
	goto L109;
L119:;
	goto L109;
L109:;
	si_structure_type_error(4,V1,VV[83],VV[89],VV[84]) /*  STRUCTURE-TYPE-ERROR */;
	goto L106;
L108:;
	goto L106;
L106:;
	value0=si_make_structure(36,VV[117],V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,V13,V14,V15,V16,V17,V18,V19,V20,V21,V22,V23,V24,V25,V26,V27,V28,V29,V30,V31,V32,V33,V34,V35) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	local function G84                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37__g84()
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G85                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38__g85()
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G86                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39__g86()
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G87                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g87()
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAKE-FOREIGN-SYSTEM                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46make_foreign_system(cl_narg narg, ...)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	cl_object V13;
	cl_object V14;
	cl_object V15;
	cl_object V16;
	cl_object V17;
	cl_object V18;
	cl_object V19;
	cl_object V20;
	cl_object V21;
	cl_object V22;
	cl_object V23;
	cl_object V24;
	cl_object V25;
	cl_object V26;
	cl_object V27;
	cl_object V28;
	cl_object V29;
	cl_object V30;
	cl_object V31;
	cl_object V32;
	cl_object V33;
	cl_object V34;
	cl_object V35;
	cl_object V36;
	cl_object V37;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[74];
	cl_parse_key(args,37,L46make_foreign_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[37]==ECL_NIL){
	V1= VV[77];
	}else{
	V1= keyvars[0];}
	if(keyvars[38]==ECL_NIL){
	V2= VV[122];
	}else{
	V2= keyvars[1];}
	V3= keyvars[2];
	if(keyvars[40]==ECL_NIL){
	V4= ecl_make_fixnum(0);
	}else{
	V4= keyvars[3];}
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	if(keyvars[44]==ECL_NIL){
	V8= ecl_symbol_value(VV[71]);
	}else{
	V8= keyvars[7];}
	V9= keyvars[8];
	if(keyvars[46]==ECL_NIL){
	V10= ecl_symbol_value(VV[72]);
	}else{
	V10= keyvars[9];}
	V11= keyvars[10];
	V12= keyvars[11];
	V13= keyvars[12];
	V14= keyvars[13];
	V15= keyvars[14];
	V16= keyvars[15];
	V17= keyvars[16];
	V18= keyvars[17];
	V19= keyvars[18];
	V20= keyvars[19];
	if(keyvars[57]==ECL_NIL){
	V21= ecl_make_cfun((cl_objectfn_fixed)LC42__g103,ECL_NIL,Cblock,0);
	}else{
	V21= keyvars[20];}
	if(keyvars[58]==ECL_NIL){
	V22= ecl_make_cfun((cl_objectfn_fixed)LC43__g104,ECL_NIL,Cblock,0);
	}else{
	V22= keyvars[21];}
	if(keyvars[59]==ECL_NIL){
	V23= ecl_make_cfun((cl_objectfn_fixed)LC44__g105,ECL_NIL,Cblock,0);
	}else{
	V23= keyvars[22];}
	if(keyvars[60]==ECL_NIL){
	V24= ecl_make_cfun((cl_objectfn_fixed)LC45__g106,ECL_NIL,Cblock,0);
	}else{
	V24= keyvars[23];}
	V25= keyvars[24];
	V26= keyvars[25];
	V27= keyvars[26];
	V28= keyvars[27];
	V29= keyvars[28];
	V30= keyvars[29];
	V31= keyvars[30];
	V32= keyvars[31];
	V33= keyvars[32];
	V34= keyvars[33];
	V35= keyvars[34];
	V36= keyvars[35];
	V37= keyvars[36];
	}
	if(!((V35)==(ECL_NIL))){
	goto L16;}
	goto L12;
	goto L14;
L16:;
	goto L14;
L14:;
	if(!(ecl_eql(V35,ECL_T))){
	goto L19;}
	goto L12;
	goto L13;
L19:;
	goto L13;
L13:;
	si_structure_type_error(4,V35,ECL_SYM("BOOLEAN",155),VV[119],VV[95]) /*  STRUCTURE-TYPE-ERROR */;
	goto L10;
L12:;
	goto L10;
L10:;
	if(V34==ECL_NIL){
	goto L23;}
	if(ECL_STRINGP(V34)){
	goto L23;}
	si_structure_type_error(4,V34,VV[96],VV[119],VV[97]) /*  STRUCTURE-TYPE-ERROR */;
	goto L21;
L23:;
	goto L21;
L21:;
	if(V33==ECL_NIL){
	goto L28;}
	if(ECL_STRINGP(V33)){
	goto L28;}
	si_structure_type_error(4,V33,VV[96],VV[119],VV[98]) /*  STRUCTURE-TYPE-ERROR */;
	goto L26;
L28:;
	goto L26;
L26:;
	if(V32==ECL_NIL){
	goto L33;}
	if(ECL_STRINGP(V32)){
	goto L33;}
	si_structure_type_error(4,V32,VV[96],VV[119],VV[99]) /*  STRUCTURE-TYPE-ERROR */;
	goto L31;
L33:;
	goto L31;
L31:;
	if(V31==ECL_NIL){
	goto L38;}
	if(ECL_STRINGP(V31)){
	goto L38;}
	si_structure_type_error(4,V31,VV[96],VV[119],VV[100]) /*  STRUCTURE-TYPE-ERROR */;
	goto L36;
L38:;
	goto L36;
L36:;
	if(V30==ECL_NIL){
	goto L43;}
	if(ECL_STRINGP(V30)){
	goto L43;}
	si_structure_type_error(4,V30,VV[96],VV[119],VV[101]) /*  STRUCTURE-TYPE-ERROR */;
	goto L41;
L43:;
	goto L41;
L41:;
	if(V29==ECL_NIL){
	goto L48;}
	if(ECL_STRINGP(V29)){
	goto L48;}
	si_structure_type_error(4,V29,VV[96],VV[119],ECL_SYM("DOCUMENTATION",312)) /*  STRUCTURE-TYPE-ERROR */;
	goto L46;
L48:;
	goto L46;
L46:;
	if(V28==ECL_NIL){
	goto L53;}
	if(ECL_STRINGP(V28)){
	goto L53;}
	si_structure_type_error(4,V28,VV[96],VV[119],VV[102]) /*  STRUCTURE-TYPE-ERROR */;
	goto L51;
L53:;
	goto L51;
L51:;
	if(ECL_LISTP(V19)){
	goto L58;}
	si_structure_type_error(4,V19,ECL_SYM("LIST",481),VV[119],VV[103]) /*  STRUCTURE-TYPE-ERROR */;
	goto L56;
L58:;
	goto L56;
L56:;
	if(ECL_LISTP(V18)){
	goto L62;}
	si_structure_type_error(4,V18,ECL_SYM("LIST",481),VV[119],VV[104]) /*  STRUCTURE-TYPE-ERROR */;
	goto L60;
L62:;
	goto L60;
L60:;
	if(ECL_LISTP(V17)){
	goto L66;}
	si_structure_type_error(4,V17,ECL_SYM("LIST",481),VV[119],VV[105]) /*  STRUCTURE-TYPE-ERROR */;
	goto L64;
L66:;
	goto L64;
L64:;
	if(V16==ECL_NIL){
	goto L70;}
	if(ECL_SYMBOLP(V16)){
	goto L70;}
	if((cl_functionp(V16)                     /*  FUNCTIONP       */)!=ECL_NIL){
	goto L70;}
	si_structure_type_error(4,V16,VV[106],VV[119],VV[107]) /*  STRUCTURE-TYPE-ERROR */;
	goto L68;
L70:;
	goto L68;
L68:;
	if(V15==ECL_NIL){
	goto L76;}
	if(ECL_SYMBOLP(V15)){
	goto L76;}
	if((cl_functionp(V15)                     /*  FUNCTIONP       */)!=ECL_NIL){
	goto L76;}
	si_structure_type_error(4,V15,VV[106],VV[119],VV[108]) /*  STRUCTURE-TYPE-ERROR */;
	goto L74;
L76:;
	goto L74;
L74:;
	if(ECL_SYMBOLP(V14)){
	goto L82;}
	si_structure_type_error(4,V14,VV[109],VV[119],VV[110]) /*  STRUCTURE-TYPE-ERROR */;
	goto L80;
L82:;
	goto L80;
L80:;
	{cl_fixnum V38;
	V38= 0;
	if(!(ECL_FIXNUMP(V4))){
	goto L90;}
	V38= ecl_fixnum(V4);
	if(!((V38)<=(1023))){
	goto L95;}
	if((V38)>=(0)){
	goto L86;}
	goto L87;
L95:;
	goto L87;
L90:;
	goto L87;
	}
L87:;
	si_structure_type_error(4,V4,VV[111],VV[119],VV[112]) /*  STRUCTURE-TYPE-ERROR */;
	goto L84;
L86:;
	goto L84;
L84:;
	if(ECL_SYMBOLP(V3)){
	goto L99;}
	if(ECL_STRINGP(V3)){
	goto L99;}
	si_structure_type_error(4,V3,VV[113],VV[119],VV[114]) /*  STRUCTURE-TYPE-ERROR */;
	goto L97;
L99:;
	goto L97;
L97:;
	if(!(ecl_eql(V1,VV[78]))){
	goto L108;}
	goto L104;
	goto L106;
L108:;
	goto L106;
L106:;
	if(!(ecl_eql(V1,VV[80]))){
	goto L112;}
	goto L104;
	goto L110;
L112:;
	goto L110;
L110:;
	if(!(ecl_eql(V1,VV[77]))){
	goto L115;}
	goto L104;
	goto L105;
L115:;
	goto L105;
L105:;
	si_structure_type_error(4,V1,VV[83],VV[119],VV[84]) /*  STRUCTURE-TYPE-ERROR */;
	goto L102;
L104:;
	goto L102;
L102:;
	value0=si_make_structure(38,VV[123],V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,V13,V14,V15,V16,V17,V18,V19,V20,V21,V22,V23,V24,V25,V26,V27,V28,V29,V30,V31,V32,V33,V34,V35,V36,V37) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	local function G103                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g103()
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G104                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g104()
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G105                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g105()
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G106                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45__g106()
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-FOREIGN-SYSTEM               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47register_foreign_system(cl_narg narg, cl_object V1, ...)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L47register_foreign_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	}
	{cl_object V4;                            /*  FS              */
	V4= L46make_foreign_system(6,ECL_SYM("NAME",1274),V1,VV[125],V3,ECL_SYM("OBJECT",1279),V2) /*  MAKE-FOREIGN-SYSTEM */;
	T0= L19canonicalize_system_name(V1)       /*  CANONICALIZE-SYSTEM-NAME */;
	value0=si_hash_set(T0,ecl_symbol_value(VV[55]),V4) /*  HASH-SET */;
	return value0;
	}
}}
/*	local function G127                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49__g127()
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_cfun((cl_objectfn_fixed)LC48__g128,ECL_NIL,Cblock,2); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G128                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g128(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[463])(1,V1) /*  MISSING-COMPONENT-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[464])(1,V1) /*  MISSING-COMPONENT-COMPONENT */;
	value0=cl_format(4,V2,_ecl_static_80,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	local function G129                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g129()
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_cfun((cl_objectfn_fixed)LC50__g130,ECL_NIL,Cblock,2); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G130                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50__g130(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[463])(1,V1) /*  MISSING-COMPONENT-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[464])(1,V1) /*  MISSING-COMPONENT-COMPONENT */;
	value0=cl_format(4,V2,_ecl_static_81,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	local function G131                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53__g131()
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_cfun((cl_objectfn_fixed)LC52__g132,ECL_NIL,Cblock,2); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G132                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52__g132(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[463])(1,V1) /*  MISSING-COMPONENT-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[464])(1,V1) /*  MISSING-COMPONENT-COMPONENT */;
	value0=cl_format(4,V2,_ecl_static_82,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	function definition for COMPONENT-LOAD-TIME                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54component_load_time(cl_object V1)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	if(!(ECL_STRINGP(V1))){
	goto L5;}
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[131])) /*  GETHASH */;
	return value0;
L5:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L8;}
	T0= cl_namestring(V1)                     /*  NAMESTRING      */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[131])) /*  GETHASH */;
	return value0;
L8:;
	if((si_of_class_p(2,V1,VV[89])            /*  OF-CLASS-P      */)==ECL_NIL){
	goto L11;}
	{cl_object V2;
	V2= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V2,VV[132]))){
	goto L15;}
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  PATH            */
	V3= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	{cl_object V5;
	if((V3)==ECL_NIL){
	goto L21;}
	V5= L56compute_system_path(V3,ECL_NIL)    /*  COMPUTE-SYSTEM-PATH */;
	goto L19;
L21:;
	V5= ECL_NIL;
	goto L19;
L19:;
	value0=ecl_make_bool(ECL_STRINGP(V5));
	if((value0)!=ECL_NIL){
	goto L26;}
	value0=cl_pathnamep(V5)                   /*  PATHNAMEP       */;
	if((value0)!=ECL_NIL){
	goto L26;}
	T0= ecl_make_bool(V5==ECL_NIL);
	goto L24;
L26:;
	T0= value0;
	goto L24;
L24:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V5);
	V4= V5;
	}
	if((V4)==ECL_NIL){
	goto L30;}
	T0= cl_namestring(V4)                     /*  NAMESTRING      */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[131])) /*  GETHASH */;
	return value0;
L30:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L15:;
	if(!(ecl_eql(V2,ECL_SYM("FILE",1238)))){
	goto L38;}
	goto L35;
	goto L36;
L38:;
	goto L36;
L36:;
	if(!(ecl_eql(V2,VV[135]))){
	goto L33;}
	goto L34;
L35:;
L34:;
	{cl_object V5;                            /*  PATH            */
	V5= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	if((V5)==ECL_NIL){
	goto L43;}
	value0=cl_gethash(2,V5,ecl_symbol_value(VV[131])) /*  GETHASH */;
	return value0;
L43:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L33:;
	value0=si_ecase_error(V2,VV[138])         /*  ECASE-ERROR     */;
	return value0;
	}
L11:;
	value0=si_etypecase_error(V1,VV[139])     /*  ETYPECASE-ERROR */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function COMPONENT-LOAD-TIME                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55component_load_time(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("GETHASH",413),V2,VV[131]) /*  LIST     */;
	T1= cl_list(3,ECL_SYM("SETF",750),T0,V1)  /*  LIST            */;
	T2= cl_list(2,ECL_SYM("STRING",805),T1)   /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",856),ECL_SYM("PATHNAME",630),V2) /*  LIST */;
	T4= cl_list(2,ECL_SYM("NAMESTRING",579),T3) /*  LIST          */;
	T5= cl_list(3,ECL_SYM("GETHASH",413),T4,VV[131]) /*  LIST     */;
	T6= cl_list(3,ECL_SYM("SETF",750),T5,V1)  /*  LIST            */;
	T7= cl_list(2,ECL_SYM("PATHNAME",630),T6) /*  LIST            */;
	T8= cl_list(2,VV[141],V2)                 /*  LIST            */;
	T9= cl_list(2,VV[142],V2)                 /*  LIST            */;
	T10= cl_list(2,VV[114],T9)                /*  LIST            */;
	T11= cl_list(2,T10,VV[143])               /*  LIST            */;
	T12= cl_list(3,ECL_SYM("SETF",750),VV[146],V1) /*  LIST       */;
	T13= cl_list(3,ECL_SYM("WHEN",905),VV[145],T12) /*  LIST      */;
	T14= cl_list(4,ECL_SYM("LET*",478),T11,VV[144],T13) /*  LIST  */;
	T15= cl_list(2,VV[132],T14)               /*  LIST            */;
	T16= cl_list(3,VV[147],V2,VV[137])        /*  LIST            */;
	T17= cl_list(2,VV[145],T16)               /*  LIST            */;
	T18= ecl_list1(T17);
	T19= cl_list(3,ECL_SYM("SETF",750),VV[148],V1) /*  LIST       */;
	T20= cl_list(3,ECL_SYM("WHEN",905),VV[145],T19) /*  LIST      */;
	T21= cl_list(3,ECL_SYM("LET",477),T18,T20) /*  LIST           */;
	T22= cl_list(2,VV[134],T21)               /*  LIST            */;
	T23= cl_list(4,ECL_SYM("ECASE",321),T8,T15,T22) /*  LIST      */;
	T24= cl_list(2,VV[89],T23)                /*  LIST            */;
	T25= cl_list(5,ECL_SYM("ETYPECASE",338),V2,T2,T7,T24) /*  LIST */;
	value0=cl_list(4,ECL_SYM("WHEN",905),V2,T25,V1) /*  LIST      */;
	return value0;
}}
/*	function definition for COMPUTE-SYSTEM-PATH                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56compute_system_path(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  MODULE-STRING-NAME */
	cl_object V4;                             /*  FILE-PATHNAME   */
	cl_object V5;                             /*  LIB-FILE-PATHNAME */
	if(!(ECL_SYMBOLP(V1))){
	goto L3;}
	T0= cl_string(V1)                         /*  STRING          */;
	V3= cl_string_downcase(1,T0)              /*  STRING-DOWNCASE */;
	goto L1;
L3:;
	if(!(ECL_STRINGP(V1))){
	goto L6;}
	V3= V1;
	goto L1;
L6:;
	V3= si_etypecase_error(V1,VV[149])        /*  ETYPECASE-ERROR */;
	goto L1;
L1:;
	V4= cl_make_pathname(4,ECL_SYM("NAME",1274),V3,ECL_SYM("TYPE",1319),ecl_symbol_value(VV[31])) /*  MAKE-PATHNAME */;
	T0= cl_list(2,ECL_SYM("RELATIVE",1300),V3) /*  LIST           */;
	V5= cl_make_pathname(6,ECL_SYM("DIRECTORY",1220),T0,ECL_SYM("NAME",1274),V3,ECL_SYM("TYPE",1319),ecl_symbol_value(VV[31])) /*  MAKE-PATHNAME */;
	if((V2)==ECL_NIL){
	goto L14;}
	value0=cl_probe_file(V2)                  /*  PROBE-FILE      */;
	goto L12;
L14:;
	value0=ECL_NIL;
	goto L12;
L12:;
	if((value0)!=ECL_NIL){
	goto L11;}
	if((ecl_symbol_value(VV[9]))==ECL_NIL){
	goto L17;}
	if(!(ECL_LISTP(ecl_symbol_value(VV[9])))){
	goto L20;}
	{cl_object V6;
	V6= ecl_symbol_value(VV[9]);
	goto L26;
L25:;
	{cl_object V7;                            /*  REGISTRY        */
	V7= ecl_car(V6);
	{cl_object V8;                            /*  REG-PATH        */
	cl_object V9;                             /*  FILE            */
	V8= L3registry_pathname(V7)               /*  REGISTRY-PATHNAME */;
	T0= L30append_directories(V8,V4)          /*  APPEND-DIRECTORIES */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	if((value0)!=ECL_NIL){
	goto L34;}
	T0= L30append_directories(V8,V5)          /*  APPEND-DIRECTORIES */;
	V9= cl_probe_file(T0)                     /*  PROBE-FILE      */;
	goto L32;
L34:;
	V9= value0;
	goto L32;
L32:;
	if((V9)==ECL_NIL){
	goto L37;}
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
L37:;
	goto L30;
	}
L30:;
	}
	V6= ecl_cdr(V6);
L26:;
	if((V6)==ECL_NIL){
	goto L43;}
	goto L25;
L43:;
	goto L41;
L41:;
	goto L23;
L23:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	T0= L30append_directories(ecl_symbol_value(VV[9]),V4) /*  APPEND-DIRECTORIES */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	if((value0)!=ECL_NIL){
	goto L46;}
	T0= L30append_directories(ecl_symbol_value(VV[9]),V5) /*  APPEND-DIRECTORIES */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	return value0;
L46:;
	cl_env_copy->nvalues=1;
	return value0;
L17:;
	value0=cl_probe_file(V4)                  /*  PROBE-FILE      */;
	if((value0)!=ECL_NIL){
	goto L49;}
	value0=cl_probe_file(V5)                  /*  PROBE-FILE      */;
	return value0;
L49:;
	cl_env_copy->nvalues=1;
	return value0;
L11:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SYSTEM-DEFINITION-PATHNAME            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58system_definition_pathname(cl_object volatile V1)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  SYSTEM          */
	{volatile cl_object env1 = env0;
	env1 = ECL_NIL;
	CLV0=env1=CONS(ECL_NIL,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC57__g145,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",337),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
	value0=L59find_system(2,V1,ECL_SYM("ERROR",1230)) /*  FIND-SYSTEM */;
	ecl_frs_pop(cl_env_copy);
	V2= value0;
	ecl_bds_unwind1(cl_env_copy);
	goto L1;
L3:;
	{cl_object V3;                            /*  CONDITION       */
	V3= ECL_CONS_CAR(CLV0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=ECL_NIL;
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	V2= value0;
	goto L1;
	}}
	}
L1:;
	if((V2)==ECL_NIL){
	goto L9;}
	{cl_object V3;                            /*  SYSTEM-DEF-PATHNAME */
	T0= L69component_full_pathname(2,V2,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	T1= cl_pathname(T0)                       /*  PATHNAME        */;
	V3= cl_make_pathname(4,ECL_SYM("TYPE",1319),_ecl_static_8,ECL_SYM("DEFAULTS",1217),T1) /*  MAKE-PATHNAME */;
	T0= cl_probe_file(V3)                     /*  PROBE-FILE      */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T0;
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
L9:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_NIL;
	cl_env_copy->values[0]=ECL_NIL;
	return cl_env_copy->values[0];
	}
}}
/*	closure G145                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57__g145(cl_narg narg, cl_object V1, ...)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
}}}
/*	function definition for FIND-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59find_system(cl_narg narg, cl_object V1, ...)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[153];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(ecl_eql(V2,VV[153]))){
	goto L4;}
	value0=L20get_system(V1)                  /*  GET-SYSTEM      */;
	if((value0)!=ECL_NIL){
	goto L7;}
	if((L98y_or_n_p_wait(4,CODE_CHAR(121),ecl_make_fixnum(20),_ecl_static_83,V1) /*  Y-OR-N-P-WAIT */)==ECL_NIL){
	goto L10;}
	value0=L59find_system(3,V1,VV[154],V3)    /*  FIND-SYSTEM     */;
	return value0;
L10:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
L4:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1230)))){
	goto L13;}
	value0=L20get_system(V1)                  /*  GET-SYSTEM      */;
	if((value0)!=ECL_NIL){
	goto L16;}
	value0=cl_error(3,VV[130],ECL_SYM("NAME",1274),V1) /*  ERROR  */;
	return value0;
L16:;
	cl_env_copy->nvalues=1;
	return value0;
L13:;
	if(!(ecl_eql(V2,VV[155]))){
	goto L19;}
	{cl_object V4;                            /*  SYSTEM          */
	V4= L20get_system(V1)                     /*  GET-SYSTEM      */;
	if((ecl_symbol_value(VV[152]))!=ECL_NIL){
	goto L26;}
	value0=V4;
	goto L24;
L26:;
	value0=ECL_NIL;
	goto L24;
L24:;
	if((value0)!=ECL_NIL){
	goto L23;}
	if((ecl_function_dispatch(cl_env_copy,VV[121])(1,V4) /*  FOREIGN-SYSTEM-P */)==ECL_NIL){
	goto L30;}
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_84,V4) /*  WARN */;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L30:;
	value0=ECL_NIL;
	goto L28;
L28:;
	if((value0)!=ECL_NIL){
	goto L23;}
	{cl_object V5;                            /*  PATH            */
	V5= L56compute_system_path(V1,V3)         /*  COMPUTE-SYSTEM-PATH */;
	if((V5)==ECL_NIL){
	goto L37;}
	if(V4==ECL_NIL){
	goto L40;}
	T0= L54component_load_time(V5)            /*  COMPONENT-LOAD-TIME */;
	if(T0==ECL_NIL){
	goto L40;}
	T0= L54component_load_time(V5)            /*  COMPONENT-LOAD-TIME */;
	T1= cl_file_write_date(V5)                /*  FILE-WRITE-DATE */;
	if(!(ecl_number_compare(T0,T1)<0)){
	goto L37;}
	goto L38;
L40:;
L38:;
	T0= cl_format(4,ECL_NIL,_ecl_static_85,V1,V5) /*  FORMAT      */;
	L95tell_user_generic(T0)                  /*  TELL-USER-GENERIC */;
	cl_load(1,V5)                             /*  LOAD            */;
	V4= L20get_system(V1)                     /*  GET-SYSTEM      */;
	if((V4)==ECL_NIL){
	goto L48;}
	{cl_object V6;
	V6= cl_file_write_date(V5)                /*  FILE-WRITE-DATE */;
	if((V5)==ECL_NIL){
	goto L52;}
	if(!(ECL_STRINGP(V5))){
	goto L56;}
	si_hash_set(V5,ecl_symbol_value(VV[131]),V6) /*  HASH-SET     */;
	goto L54;
L56:;
	if((cl_pathnamep(V5)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L59;}
	T1= cl_pathnamep(V5)                      /*  PATHNAMEP       */;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V5);
	T0= V5;
	T1= cl_namestring(T0)                     /*  NAMESTRING      */;
	si_hash_set(T1,ecl_symbol_value(VV[131]),V6) /*  HASH-SET     */;
	goto L54;
L59:;
	if((si_of_class_p(2,V5,VV[89])            /*  OF-CLASS-P      */)==ECL_NIL){
	goto L64;}
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,VV[141])(1,V5) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V7,VV[132]))){
	goto L68;}
	{cl_object V8;                            /*  NAME            */
	cl_object V9;                             /*  PATH            */
	V8= ecl_function_dispatch(cl_env_copy,VV[142])(1,V5) /*  COMPONENT-NAME */;
	{cl_object V10;
	if((V8)==ECL_NIL){
	goto L74;}
	V10= L56compute_system_path(V8,ECL_NIL)   /*  COMPUTE-SYSTEM-PATH */;
	goto L72;
L74:;
	V10= ECL_NIL;
	goto L72;
L72:;
	value0=ecl_make_bool(ECL_STRINGP(V10));
	if((value0)!=ECL_NIL){
	goto L79;}
	value0=cl_pathnamep(V10)                  /*  PATHNAMEP       */;
	if((value0)!=ECL_NIL){
	goto L79;}
	T0= ecl_make_bool(V10==ECL_NIL);
	goto L77;
L79:;
	T0= value0;
	goto L77;
L77:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V10);
	V9= V10;
	}
	if((V9)==ECL_NIL){
	goto L83;}
	T0= cl_namestring(V9)                     /*  NAMESTRING      */;
	si_hash_set(T0,ecl_symbol_value(VV[131]),V6) /*  HASH-SET     */;
	goto L54;
L83:;
	goto L54;
	}
L68:;
	if(!(ecl_eql(V7,ECL_SYM("FILE",1238)))){
	goto L91;}
	goto L88;
	goto L89;
L91:;
	goto L89;
L89:;
	if(!(ecl_eql(V7,VV[135]))){
	goto L86;}
	goto L87;
L88:;
L87:;
	{cl_object V10;                           /*  PATH            */
	V10= L69component_full_pathname(2,V5,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	if((V10)==ECL_NIL){
	goto L96;}
	si_hash_set(V10,ecl_symbol_value(VV[131]),V6) /*  HASH-SET    */;
	goto L54;
L96:;
	goto L54;
	}
L86:;
	si_ecase_error(V7,VV[138])                /*  ECASE-ERROR     */;
	goto L54;
	}
L64:;
	si_etypecase_error(V5,VV[139])            /*  ETYPECASE-ERROR */;
	goto L54;
L54:;
	goto L35;
L52:;
	goto L35;
	}
L48:;
	goto L35;
L37:;
	goto L35;
L35:;
	value0=V4;
	}
	if((value0)!=ECL_NIL){
	goto L23;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L23:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L19:;
	if(!(ecl_eql(V2,VV[154]))){
	goto L99;}
	if((ecl_symbol_value(VV[152]))!=ECL_NIL){
	goto L105;}
	value0=L20get_system(V1)                  /*  GET-SYSTEM      */;
	goto L103;
L105:;
	value0=ECL_NIL;
	goto L103;
L103:;
	if((value0)!=ECL_NIL){
	goto L102;}
	T0= L20get_system(V1)                     /*  GET-SYSTEM      */;
	if((ecl_function_dispatch(cl_env_copy,VV[121])(1,T0) /*  FOREIGN-SYSTEM-P */)==ECL_NIL){
	goto L109;}
	T0= L20get_system(V1)                     /*  GET-SYSTEM      */;
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_84,T0) /*  WARN */;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L109:;
	value0=ECL_NIL;
	goto L107;
L107:;
	if((value0)!=ECL_NIL){
	goto L102;}
	value0=L59find_system(3,V1,VV[155],V3)    /*  FIND-SYSTEM     */;
	if((value0)!=ECL_NIL){
	goto L113;}
	value0=cl_error(2,_ecl_static_86,V1)      /*  ERROR           */;
	return value0;
L113:;
	cl_env_copy->nvalues=1;
	return value0;
L102:;
	cl_env_copy->nvalues=1;
	return value0;
L99:;
	value0=si_ecase_error(V2,VV[156])         /*  ECASE-ERROR     */;
	return value0;
}}
/*	function definition for PRINT-COMPONENT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60print_component(cl_object V1, cl_object V2, cl_object V3)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	value0=cl_format(4,V2,_ecl_static_87,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	function definition for DESCRIBE-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61describe_system(cl_narg narg, cl_object V1, ...)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  SYSTEM          */
	if((si_of_class_p(2,V1,VV[89])            /*  OF-CLASS-P      */)==ECL_NIL){
	goto L4;}
	V3= V1;
	goto L2;
L4:;
	V3= L59find_system(2,V1,VV[154])          /*  FIND-SYSTEM     */;
	goto L2;
L2:;
	T0= ecl_function_dispatch(cl_env_copy,VV[141])(1,V3) /*  COMPONENT-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[142])(1,V3) /*  COMPONENT-NAME */;
	T2= ecl_function_dispatch(cl_env_copy,VV[471])(1,V3) /*  COMPONENT-HOST */;
	T3= ecl_function_dispatch(cl_env_copy,VV[472])(1,V3) /*  COMPONENT-DEVICE */;
	T4= ecl_function_dispatch(cl_env_copy,VV[473])(1,V3) /*  COMPONENT-PACKAGE */;
	T5= L66component_root_dir(V3,VV[137])     /*  COMPONENT-ROOT-DIR */;
	T6= L63component_pathname(V3,VV[137])     /*  COMPONENT-PATHNAME */;
	T7= L72component_extension(2,V3,VV[137])  /*  COMPONENT-EXTENSION */;
	T8= L66component_root_dir(V3,VV[159])     /*  COMPONENT-ROOT-DIR */;
	T9= L63component_pathname(V3,VV[159])     /*  COMPONENT-PATHNAME */;
	T10= L72component_extension(2,V3,VV[159]) /*  COMPONENT-EXTENSION */;
	T11= ecl_function_dispatch(cl_env_copy,VV[474])(1,V3) /*  COMPONENT-DEPENDS-ON */;
	T12= ecl_function_dispatch(cl_env_copy,VV[475])(1,V3) /*  COMPONENT-COMPONENTS */;
	cl_format(15,V2,_ecl_static_88,T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12) /*  FORMAT */;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CANONICALIZE-COMPONENT-NAME           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62canonicalize_component_name(cl_object V1)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	if(!(ECL_STRINGP(T0))){
	goto L2;}
	value0=ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	return value0;
L2:;
	{cl_object V2;
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_string(T0)                         /*  STRING          */;
	V2= cl_string_downcase(1,T1)              /*  STRING-DOWNCASE */;
	value0=ecl_structure_set(V1,VV[89],2,V2); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for COMPONENT-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63component_pathname(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	if(!(ecl_eql(V2,VV[137]))){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[165])(1,V1) /*  COMPONENT-SOURCE-PATHNAME */;
	return value0;
L5:;
	if(!(ecl_eql(V2,VV[159]))){
	goto L8;}
	value0=ecl_function_dispatch(cl_env_copy,VV[166])(1,V1) /*  COMPONENT-BINARY-PATHNAME */;
	return value0;
L8:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1230)))){
	goto L11;}
	value0=L64component_error_pathname(V1)    /*  COMPONENT-ERROR-PATHNAME */;
	return value0;
L11:;
	value0=si_ecase_error(V2,VV[162])         /*  ECASE-ERROR     */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPONENT-ERROR-PATHNAME              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64component_error_pathname(cl_object V1)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BINARY          */
	V2= L63component_pathname(V1,VV[159])     /*  COMPONENT-PATHNAME */;
	value0=L35new_file_type(V2,ecl_symbol_value(VV[26])) /*  NEW-FILE-TYPE */;
	return value0;
	}
}}
/*	local function COMPONENT-PATHNAME                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65component_pathname(cl_object V1, cl_object V2, cl_object V3)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[165],V2)                 /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",750),T0,V1)  /*  LIST            */;
	T2= cl_list(2,VV[137],T1)                 /*  LIST            */;
	T3= cl_list(2,VV[166],V2)                 /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETF",750),T3,V1)  /*  LIST            */;
	T5= cl_list(2,VV[159],T4)                 /*  LIST            */;
	T6= cl_list(4,ECL_SYM("ECASE",321),V3,T2,T5) /*  LIST         */;
	value0=cl_list(3,ECL_SYM("WHEN",905),V2,T6) /*  LIST          */;
	return value0;
}}
/*	function definition for COMPONENT-ROOT-DIR                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66component_root_dir(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	if(!(ecl_eql(V2,VV[137]))){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[171])(1,V1) /*  COMPONENT-SOURCE-ROOT-DIR */;
	return value0;
L5:;
	if(!(ecl_eql(V2,VV[159]))){
	goto L13;}
	goto L10;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1230)))){
	goto L8;}
	goto L9;
L10:;
L9:;
	value0=ecl_function_dispatch(cl_env_copy,VV[172])(1,V1) /*  COMPONENT-BINARY-ROOT-DIR */;
	return value0;
L8:;
	value0=si_ecase_error(V2,VV[169])         /*  ECASE-ERROR     */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function COMPONENT-ROOT-DIR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67component_root_dir(cl_object V1, cl_object V2, cl_object V3)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[171],V2)                 /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",750),T0,V1)  /*  LIST            */;
	T2= cl_list(2,VV[137],T1)                 /*  LIST            */;
	T3= cl_list(2,VV[172],V2)                 /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETF",750),T3,V1)  /*  LIST            */;
	T5= cl_list(2,VV[159],T4)                 /*  LIST            */;
	T6= cl_list(4,ECL_SYM("ECASE",321),V3,T2,T5) /*  LIST         */;
	value0=cl_list(3,ECL_SYM("WHEN",905),V2,T6) /*  LIST          */;
	return value0;
}}
/*	function definition for CLEAR-FULL-PATHNAME-TABLES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68clear_full_pathname_tables()
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_clrhash(ecl_symbol_value(VV[173]))     /*  CLRHASH         */;
	value0=cl_clrhash(ecl_symbol_value(VV[174])) /*  CLRHASH      */;
	return value0;
}}
/*	function definition for COMPONENT-FULL-PATHNAME               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69component_full_pathname(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[36]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==ECL_NIL){
	goto L3;}
	if(!(ecl_eql(V2,VV[137]))){
	goto L6;}
	{cl_object V4;                            /*  OLD             */
	V4= ecl_gethash_safe(V1,ecl_symbol_value(VV[173]),ECL_NIL);
	value0=V4;
	if((value0)!=ECL_NIL){
	goto L10;}
	{cl_object V5;                            /*  NEW             */
	V5= L70component_full_pathname_i(3,V1,V2,V3) /*  COMPONENT-FULL-PATHNAME-I */;
	si_hash_set(V1,ecl_symbol_value(VV[173]),V5) /*  HASH-SET     */;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
L10:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L6:;
	if(!(ecl_eql(V2,VV[159]))){
	goto L15;}
	{cl_object V6;                            /*  OLD             */
	V6= ecl_gethash_safe(V1,ecl_symbol_value(VV[174]),ECL_NIL);
	value0=V6;
	if((value0)!=ECL_NIL){
	goto L19;}
	{cl_object V7;                            /*  NEW             */
	V7= L70component_full_pathname_i(3,V1,V2,V3) /*  COMPONENT-FULL-PATHNAME-I */;
	si_hash_set(V1,ecl_symbol_value(VV[174]),V7) /*  HASH-SET     */;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
L19:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L15:;
	value0=L70component_full_pathname_i(3,V1,V2,V3) /*  COMPONENT-FULL-PATHNAME-I */;
	return value0;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPONENT-FULL-PATHNAME-I             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70component_full_pathname_i(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[36]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  VERSION-DIR     */
	cl_object V5;                             /*  VERSION-REPLACE */
	V4= ECL_NIL;
	V5= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L6;}
	cl_env_copy->values[0]=L71translate_version(V3) /*  TRANSLATE-VERSION */;
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L9;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L10;
	V5= cl_env_copy->values[1];
	goto L11;}
L9:;
	V4= ECL_NIL;
L10:;
	V5= ECL_NIL;
L11:;
	goto L4;
L6:;
	V4= ecl_symbol_value(VV[34]);
	V5= ecl_symbol_value(VV[35]);
	goto L4;
L4:;
	{cl_object V6;                            /*  PATHNAME        */
	if((V5)==ECL_NIL){
	goto L18;}
	T0= V4;
	goto L16;
L18:;
	T1= L66component_root_dir(V1,V2)          /*  COMPONENT-ROOT-DIR */;
	T0= L30append_directories(T1,V4)          /*  APPEND-DIRECTORIES */;
	goto L16;
L16:;
	T1= L63component_pathname(V1,V2)          /*  COMPONENT-PATHNAME */;
	V6= L30append_directories(T0,T1)          /*  APPEND-DIRECTORIES */;
	if((L32pathname_logical_p(V6)             /*  PATHNAME-LOGICAL-P */)==ECL_NIL){
	goto L21;}
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= L72component_extension(2,V1,V2)       /*  COMPONENT-EXTENSION */;
	T2= cl_make_pathname(4,ECL_SYM("NAME",1274),T0,ECL_SYM("TYPE",1319),T1) /*  MAKE-PATHNAME */;
	V6= cl_merge_pathnames(2,V6,T2)           /*  MERGE-PATHNAMES */;
	T0= cl_translate_logical_pathname(1,V6)   /*  TRANSLATE-LOGICAL-PATHNAME */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
L21:;
	value0=ecl_function_dispatch(cl_env_copy,VV[471])(1,V1) /*  COMPONENT-HOST */;
	if((value0)!=ECL_NIL){
	goto L27;}
	T0= cl_pathname_host(1,V6)                /*  PATHNAME-HOST   */;
	goto L25;
L27:;
	T0= value0;
	goto L25;
L25:;
	T1= cl_pathname_directory(1,V6)           /*  PATHNAME-DIRECTORY */;
	value0=cl_pathname_name(1,V6)             /*  PATHNAME-NAME   */;
	if((value0)!=ECL_NIL){
	goto L31;}
	T2= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	goto L29;
L31:;
	T2= value0;
	goto L29;
L29:;
	T3= L72component_extension(2,V1,V2)       /*  COMPONENT-EXTENSION */;
	value0=ecl_function_dispatch(cl_env_copy,VV[472])(1,V1) /*  COMPONENT-DEVICE */;
	if((value0)!=ECL_NIL){
	goto L35;}
	T4= cl_pathname_device(1,V6)              /*  PATHNAME-DEVICE */;
	goto L33;
L35:;
	T4= value0;
	goto L33;
L33:;
	T5= cl_make_pathname(10,ECL_SYM("HOST",1244),T0,ECL_SYM("DIRECTORY",1220),T1,ECL_SYM("NAME",1274),T2,ECL_SYM("TYPE",1319),T3,ECL_SYM("DEVICE",1218),T4) /*  MAKE-PATHNAME */;
	value0=cl_namestring(T5)                  /*  NAMESTRING      */;
	return value0;
	}
	}
}}
/*	function definition for TRANSLATE-VERSION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71translate_version(cl_object V1)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_NIL;
	cl_env_copy->values[0]=_ecl_static_13;
	return cl_env_copy->values[0];
L2:;
	if(!(ECL_SYMBOLP(V1))){
	goto L5;}
	{cl_object V2;                            /*  SVERSION        */
	V2= cl_string(V1)                         /*  STRING          */;
	T1= (ECL_SYM("LOWER-CASE-P",514)->symbol.gfdef);
	if((cl_find_if(2,T1,V2)                   /*  FIND-IF         */)==ECL_NIL){
	goto L10;}
	T0= V2;
	goto L7;
L10:;
	T0= cl_string_downcase(1,V2)              /*  STRING-DOWNCASE */;
	goto L7;
	}
L7:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_NIL;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L5:;
	if(!(ECL_STRINGP(V1))){
	goto L14;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_T;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
L14:;
	value0=cl_error(2,_ecl_static_89,V1)      /*  ERROR           */;
	return value0;
}}
/*	function definition for COMPONENT-EXTENSION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72component_extension(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	ecl_va_list args; ecl_va_start(args,V2,narg,2);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L72component_extensionkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V3= keyvars[0];
	}
	if(!(ecl_eql(V2,VV[137]))){
	goto L2;}
	value0=ecl_function_dispatch(cl_env_copy,VV[181])(1,V1) /*  COMPONENT-SOURCE-EXTENSION */;
	if((value0)!=ECL_NIL){
	goto L5;}
	if((V3)!=ECL_NIL){
	goto L8;}
	value0=L120default_source_extension(V1)   /*  DEFAULT-SOURCE-EXTENSION */;
	return value0;
L8:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ecl_eql(V2,VV[159]))){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[182])(1,V1) /*  COMPONENT-BINARY-EXTENSION */;
	if((value0)!=ECL_NIL){
	goto L14;}
	if((V3)!=ECL_NIL){
	goto L17;}
	value0=L121default_binary_extension(V1)   /*  DEFAULT-BINARY-EXTENSION */;
	return value0;
L17:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L14:;
	cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1230)))){
	goto L20;}
	value0=ecl_symbol_value(VV[26]); cl_env_copy->nvalues=1;
	return value0;
L20:;
	value0=si_ecase_error(V2,VV[162])         /*  ECASE-ERROR     */;
	return value0;
}}
/*	local function COMPONENT-EXTENSION                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73component_extension(cl_object V1, cl_object V2, cl_object V3)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[181],V2)                 /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",750),T0,V1)  /*  LIST            */;
	T2= cl_list(2,VV[137],T1)                 /*  LIST            */;
	T3= cl_list(2,VV[182],V2)                 /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETF",750),T3,V1)  /*  LIST            */;
	T5= cl_list(2,VV[159],T4)                 /*  LIST            */;
	T6= cl_list(3,ECL_SYM("SETF",750),VV[26],V1) /*  LIST         */;
	T7= cl_list(2,ECL_SYM("ERROR",1230),T6)   /*  LIST            */;
	value0=cl_list(5,ECL_SYM("ECASE",321),V3,T2,T5,T7) /*  LIST   */;
	return value0;
}}
/*	function definition for CREATE-COMPONENT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74create_component(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V5= ecl_make_fixnum(0);
	} else {
	i++;
	V5= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V6;                            /*  COMPONENT       */
	T0= ecl_fdefinition(VV[118]);
	V6= cl_apply(8,T0,ECL_SYM("TYPE",1319),V1,ECL_SYM("NAME",1274),V2,VV[183],V5,V3) /*  APPLY */;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L11:;
	if((V7)!=ECL_NIL){
	goto L15;}
	goto L8;
L15:;
	goto L13;
L13:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[184],V8))){
	goto L20;}
	if((V8)!=ECL_NIL){
	goto L7;}
	goto L8;
L20:;
	goto L17;
	}
L17:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L11;
	}
L8:;
	{cl_object V7;
	if((V4)==ECL_NIL){
	goto L26;}
	V7= ecl_function_dispatch(cl_env_copy,VV[487])(1,V4) /*  COMPONENT-LOAD-ONLY */;
	goto L24;
L26:;
	V7= ECL_NIL;
	goto L24;
L24:;
	ecl_structure_set(V6,VV[89],24,V7);
	goto L5;
	}
L7:;
	goto L5;
L5:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L34:;
	if((V7)!=ECL_NIL){
	goto L38;}
	goto L31;
L38:;
	goto L36;
L36:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[185],V8))){
	goto L43;}
	if((V8)!=ECL_NIL){
	goto L30;}
	goto L31;
L43:;
	goto L40;
	}
L40:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L34;
	}
L31:;
	{cl_object V7;
	if((V4)==ECL_NIL){
	goto L49;}
	V7= ecl_function_dispatch(cl_env_copy,VV[488])(1,V4) /*  COMPONENT-COMPILE-ONLY */;
	goto L47;
L49:;
	V7= ECL_NIL;
	goto L47;
L47:;
	ecl_structure_set(V6,VV[89],25,V7);
	goto L28;
	}
L30:;
	goto L28;
L28:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L57:;
	if((V7)!=ECL_NIL){
	goto L61;}
	goto L54;
L61:;
	goto L59;
L59:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[186],V8))){
	goto L66;}
	if((V8)!=ECL_NIL){
	goto L53;}
	goto L54;
L66:;
	goto L63;
	}
L63:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L57;
	}
L54:;
	{cl_object V7;
	if((V4)==ECL_NIL){
	goto L72;}
	V7= ecl_function_dispatch(cl_env_copy,VV[489])(1,V4) /*  COMPONENT-COMPILER-OPTIONS */;
	goto L70;
L72:;
	V7= ECL_NIL;
	goto L70;
L70:;
	ecl_structure_set(V6,VV[89],16,V7);
	goto L51;
	}
L53:;
	goto L51;
L51:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L80:;
	if((V7)!=ECL_NIL){
	goto L84;}
	goto L77;
L84:;
	goto L82;
L82:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[187],V8))){
	goto L89;}
	if((V8)!=ECL_NIL){
	goto L76;}
	goto L77;
L89:;
	goto L86;
	}
L86:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L80;
	}
L77:;
	{cl_object V7;
	if((V4)==ECL_NIL){
	goto L95;}
	V7= ecl_function_dispatch(cl_env_copy,VV[490])(1,V4) /*  COMPONENT-LOAD-ALWAYS */;
	goto L93;
L95:;
	V7= ECL_NIL;
	goto L93;
L93:;
	ecl_structure_set(V6,VV[89],26,V7);
	goto L74;
	}
L76:;
	goto L74;
L74:;
	L62canonicalize_component_name(V6)        /*  CANONICALIZE-COMPONENT-NAME */;
	{cl_object V7;
	value0=ecl_function_dispatch(cl_env_copy,VV[473])(1,V6) /*  COMPONENT-PACKAGE */;
	if((value0)!=ECL_NIL){
	goto L101;}
	if((V4)==ECL_NIL){
	goto L104;}
	V7= ecl_function_dispatch(cl_env_copy,VV[473])(1,V4) /*  COMPONENT-PACKAGE */;
	goto L99;
L104:;
	V7= ECL_NIL;
	goto L99;
L101:;
	V7= value0;
	goto L99;
L99:;
	ecl_structure_set(V6,VV[89],12,V7);
	}
	if((V1)==(VV[132])){
	goto L110;}
	if((V1)==(VV[122])){
	goto L110;}
	if(!((V1)==(VV[188]))){
	goto L108;}
	goto L109;
L110:;
L109:;
	T0= L19canonicalize_system_name(V2)       /*  CANONICALIZE-SYSTEM-NAME */;
	si_hash_set(T0,ecl_symbol_value(VV[55]),V6) /*  HASH-SET      */;
	goto L106;
L108:;
	goto L106;
L106:;
	L77create_component_pathnames(V6,V4)      /*  CREATE-COMPONENT-PATHNAMES */;
	T0= ecl_plus(V5,ecl_make_fixnum(2));
	L79expand_component_components(2,V6,T0)   /*  EXPAND-COMPONENT-COMPONENTS */;
	T0= ecl_function_dispatch(cl_env_copy,VV[475])(1,V6) /*  COMPONENT-COMPONENTS */;
	L84link_component_depends_on(T0)          /*  LINK-COMPONENT-DEPENDS-ON */;
	{cl_object V7;
	T0= ecl_function_dispatch(cl_env_copy,VV[475])(1,V6) /*  COMPONENT-COMPONENTS */;
	V7= L86topological_sort(T0)               /*  TOPOLOGICAL-SORT */;
	ecl_structure_set(V6,VV[89],17,V7);
	}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PREPROCESS-COMPONENT-DEFINITION       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75preprocess_component_definition(cl_object V1)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET2272         */
	cl_object V3;                             /*  SLOT            */
	cl_object V4;
	V2= ecl_symbol_value(VV[87]);
	V3= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
	V4= V2;
	{cl_object V5;                            /*  VALUE           */
	V5= ECL_NIL;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(ECL_NIL);
	V7= V6;
L10:;
	if(!(ecl_endp(V4))){
	goto L14;}
	goto L11;
L14:;
	goto L12;
L12:;
	V3= _ecl_car(V4);
	{cl_object V8;
	V8= _ecl_cdr(V4);
	if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
	V4= V8;
	}
	V5= cl_getf(2,V1,V3)                      /*  GETF            */;
	if((V5)==ECL_NIL){
	goto L26;}
	cl_env_copy->values[0]=si_rem_f(V1,V3)    /*  REM-F           */;
	{
	cl_object V9;
	cl_object V10;                            /*  FLAG            */
	V9= cl_env_copy->values[0];
	V10= cl_env_copy->values[1];
	V1= V9;}
	{cl_object V8;
	V8= cl_list(2,V3,V5)                      /*  LIST            */;
	if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
	T2= V7;
	(ECL_CONS_CDR(T2)=V8,T2);
	T1= V8;
	}
	V7= ecl_cdr(T1);
	goto L24;
L26:;
	goto L24;
L24:;
	goto L10;
L11:;
	T0= ecl_cdr(V6);
	goto L1;
	}
	}
	}
L1:;
	{cl_object V2;                            /*  LET2274         */
	cl_object V3;                             /*  SLOT            */
	cl_object V4;
	V2= ecl_symbol_value(VV[88]);
	V3= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
	V4= V2;
	{cl_object V5;
	cl_object V6;
	V5= ecl_list1(ECL_NIL);
	V6= V5;
L48:;
	if(!(ecl_endp(V4))){
	goto L52;}
	goto L49;
L52:;
	goto L50;
L50:;
	V3= _ecl_car(V4);
	{cl_object V7;
	V7= _ecl_cdr(V4);
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V4= V7;
	}
	cl_env_copy->values[0]=si_rem_f(V1,V3)    /*  REM-F           */;
	{
	cl_object V8;
	cl_object V9;                             /*  FLAG            */
	V8= cl_env_copy->values[0];
	V9= cl_env_copy->values[1];
	V1= V8;}
	{cl_object V7;
	T3= cl_getf(2,V1,V3)                      /*  GETF            */;
	T4= cl_list(3,ECL_SYM("LAMBDA",452),ECL_NIL,T3) /*  LIST      */;
	V7= cl_list(2,V3,T4)                      /*  LIST            */;
	if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
	T3= V6;
	(ECL_CONS_CDR(T3)=V7,T3);
	T2= V7;
	}
	V6= ecl_cdr(T2);
	goto L48;
L49:;
	T1= ecl_cdr(V5);
	goto L40;
	}
	}
L40:;
	T2= cl_list(2,ECL_SYM("QUOTE",679),V1)    /*  LIST            */;
	T3= ecl_list1(T2);
	T4= cl_append(3,T0,T1,T3)                 /*  APPEND          */;
	value0=CONS(ECL_SYM("LIST*",482),T4); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function DEFSYSTEM                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76defsystem(cl_object V1, cl_object V2)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  DEFINITION-BODY */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	V5= V3;
	{cl_object V6;
	V6= si_make_seq_iterator(2,V5,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L17:;
	if((V6)!=ECL_NIL){
	goto L21;}
	goto L14;
L21:;
	goto L19;
L19:;
	{cl_object V7;
	V7= si_seq_iterator_ref(V5,V6)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[191],V7))){
	goto L26;}
	if((V7)!=ECL_NIL){
	goto L13;}
	goto L14;
L26:;
	goto L23;
	}
L23:;
	V6= si_seq_iterator_next(V5,V6)           /*  SEQ-ITERATOR-NEXT */;
	goto L17;
	}
L14:;
	V5= cl_listX(3,VV[191],VV[192],V5)        /*  LIST*           */;
	goto L11;
L13:;
	goto L11;
L11:;
	T0= cl_list(2,ECL_SYM("QUOTE",679),V4)    /*  LIST            */;
	T1= L75preprocess_component_definition(V5) /*  PREPROCESS-COMPONENT-DEFINITION */;
	value0=cl_listX(5,VV[189],VV[132],T0,T1,VV[193]) /*  LIST*    */;
	return value0;
	}
}}
/*	function definition for CREATE-COMPONENT-PATHNAMES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77create_component_pathnames(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=ECL_NIL){
	goto L4;}
	if((V2)==ECL_NIL){
	goto L7;}
	V3= ecl_function_dispatch(cl_env_copy,VV[494])(1,V2) /*  COMPONENT-LANGUAGE */;
	goto L2;
L7:;
	V3= ECL_NIL;
	goto L2;
L4:;
	V3= value0;
	goto L2;
L2:;
	ecl_structure_set(V1,VV[89],13,V3);
	}
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[495])(1,V1) /*  COMPONENT-COMPILER */;
	if((value0)!=ECL_NIL){
	goto L12;}
	if((V2)==ECL_NIL){
	goto L15;}
	V3= ecl_function_dispatch(cl_env_copy,VV[495])(1,V2) /*  COMPONENT-COMPILER */;
	goto L10;
L15:;
	V3= ECL_NIL;
	goto L10;
L12:;
	V3= value0;
	goto L10;
L10:;
	ecl_structure_set(V1,VV[89],14,V3);
	}
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[496])(1,V1) /*  COMPONENT-LOADER */;
	if((value0)!=ECL_NIL){
	goto L20;}
	if((V2)==ECL_NIL){
	goto L23;}
	V3= ecl_function_dispatch(cl_env_copy,VV[496])(1,V2) /*  COMPONENT-LOADER */;
	goto L18;
L23:;
	V3= ECL_NIL;
	goto L18;
L20:;
	V3= value0;
	goto L18;
L18:;
	ecl_structure_set(V1,VV[89],15,V3);
	}
	{cl_object V3;
	T0= L66component_root_dir(V1,VV[137])     /*  COMPONENT-ROOT-DIR */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==ECL_NIL){
	goto L28;}
	if(!(ecl_eql(VV[137],VV[137]))){
	goto L31;}
	ecl_structure_set(V1,VV[89],6,V3);
	goto L25;
L31:;
	if(!(ecl_eql(VV[137],VV[159]))){
	goto L34;}
	ecl_structure_set(V1,VV[89],10,V3);
	goto L25;
L34:;
	si_ecase_error(VV[137],VV[195])           /*  ECASE-ERROR     */;
	goto L25;
L28:;
	goto L25;
	}
L25:;
	{cl_object V3;
	T0= L66component_root_dir(V1,VV[159])     /*  COMPONENT-ROOT-DIR */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==ECL_NIL){
	goto L39;}
	if(!(ecl_eql(VV[159],VV[137]))){
	goto L42;}
	ecl_structure_set(V1,VV[89],6,V3);
	goto L36;
L42:;
	if(!(ecl_eql(VV[159],VV[159]))){
	goto L45;}
	ecl_structure_set(V1,VV[89],10,V3);
	goto L36;
L45:;
	si_ecase_error(VV[159],VV[195])           /*  ECASE-ERROR     */;
	goto L36;
L39:;
	goto L36;
	}
L36:;
	{cl_object V3;
	T0= L63component_pathname(V1,VV[137])     /*  COMPONENT-PATHNAME */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==ECL_NIL){
	goto L50;}
	if(!(ecl_eql(VV[137],VV[137]))){
	goto L53;}
	ecl_structure_set(V1,VV[89],7,V3);
	goto L47;
L53:;
	if(!(ecl_eql(VV[137],VV[159]))){
	goto L56;}
	ecl_structure_set(V1,VV[89],9,V3);
	goto L47;
L56:;
	si_ecase_error(VV[137],VV[195])           /*  ECASE-ERROR     */;
	goto L47;
L50:;
	goto L47;
	}
L47:;
	{cl_object V3;
	T0= L63component_pathname(V1,VV[159])     /*  COMPONENT-PATHNAME */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==ECL_NIL){
	goto L61;}
	if(!(ecl_eql(VV[159],VV[137]))){
	goto L64;}
	ecl_structure_set(V1,VV[89],7,V3);
	goto L58;
L64:;
	if(!(ecl_eql(VV[159],VV[159]))){
	goto L67;}
	ecl_structure_set(V1,VV[89],9,V3);
	goto L58;
L67:;
	si_ecase_error(VV[159],VV[195])           /*  ECASE-ERROR     */;
	goto L58;
L61:;
	goto L58;
	}
L58:;
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[471])(1,V1) /*  COMPONENT-HOST */;
	if((value0)!=ECL_NIL){
	goto L72;}
	if((V2)==ECL_NIL){
	goto L76;}
	value0=ecl_function_dispatch(cl_env_copy,VV[471])(1,V2) /*  COMPONENT-HOST */;
	goto L74;
L76:;
	value0=ECL_NIL;
	goto L74;
L74:;
	if((value0)!=ECL_NIL){
	goto L72;}
	V3= cl_pathname_host(1,ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32))) /*  PATHNAME-HOST */;
	goto L70;
L72:;
	V3= value0;
	goto L70;
L70:;
	ecl_structure_set(V1,VV[89],4,V3);
	}
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[472])(1,V1) /*  COMPONENT-DEVICE */;
	if((value0)!=ECL_NIL){
	goto L81;}
	if((V2)==ECL_NIL){
	goto L84;}
	V3= ecl_function_dispatch(cl_env_copy,VV[472])(1,V2) /*  COMPONENT-DEVICE */;
	goto L79;
L84:;
	V3= ECL_NIL;
	goto L79;
L81:;
	V3= value0;
	goto L79;
L79:;
	ecl_structure_set(V1,VV[89],5,V3);
	}
	{cl_object V3;
	value0=L72component_extension(4,V1,VV[137],ECL_SYM("LOCAL",1269),ECL_T) /*  COMPONENT-EXTENSION */;
	if((value0)!=ECL_NIL){
	goto L89;}
	if((ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */)==ECL_NIL){
	goto L93;}
	value0=L120default_source_extension(V1)   /*  DEFAULT-SOURCE-EXTENSION */;
	goto L91;
L93:;
	value0=ECL_NIL;
	goto L91;
L91:;
	if((value0)!=ECL_NIL){
	goto L89;}
	if((V2)==ECL_NIL){
	goto L96;}
	V3= L72component_extension(2,V2,VV[137])  /*  COMPONENT-EXTENSION */;
	goto L87;
L96:;
	V3= ECL_NIL;
	goto L87;
L89:;
	V3= value0;
	goto L87;
L87:;
	if(!(ecl_eql(VV[137],VV[137]))){
	goto L99;}
	ecl_structure_set(V1,VV[89],8,V3);
	goto L86;
L99:;
	if(!(ecl_eql(VV[137],VV[159]))){
	goto L102;}
	ecl_structure_set(V1,VV[89],11,V3);
	goto L86;
L102:;
	if(!(ecl_eql(VV[137],ECL_SYM("ERROR",1230)))){
	goto L105;}
	cl_set(VV[26],V3);
	goto L86;
L105:;
	si_ecase_error(VV[137],VV[162])           /*  ECASE-ERROR     */;
	goto L86;
	}
L86:;
	{cl_object V3;
	value0=L72component_extension(4,V1,VV[159],ECL_SYM("LOCAL",1269),ECL_T) /*  COMPONENT-EXTENSION */;
	if((value0)!=ECL_NIL){
	goto L111;}
	if((ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */)==ECL_NIL){
	goto L115;}
	value0=L121default_binary_extension(V1)   /*  DEFAULT-BINARY-EXTENSION */;
	goto L113;
L115:;
	value0=ECL_NIL;
	goto L113;
L113:;
	if((value0)!=ECL_NIL){
	goto L111;}
	if((V2)==ECL_NIL){
	goto L118;}
	V3= L72component_extension(2,V2,VV[159])  /*  COMPONENT-EXTENSION */;
	goto L109;
L118:;
	V3= ECL_NIL;
	goto L109;
L111:;
	V3= value0;
	goto L109;
L109:;
	if(!(ecl_eql(VV[159],VV[137]))){
	goto L121;}
	ecl_structure_set(V1,VV[89],8,V3);
	goto L108;
L121:;
	if(!(ecl_eql(VV[159],VV[159]))){
	goto L124;}
	ecl_structure_set(V1,VV[89],11,V3);
	goto L108;
L124:;
	if(!(ecl_eql(VV[159],ECL_SYM("ERROR",1230)))){
	goto L127;}
	cl_set(VV[26],V3);
	goto L108;
L127:;
	si_ecase_error(VV[159],VV[162])           /*  ECASE-ERROR     */;
	goto L108;
	}
L108:;
	L78generate_component_pathname(V1,V2,VV[137]) /*  GENERATE-COMPONENT-PATHNAME */;
	value0=L78generate_component_pathname(V1,V2,VV[159]) /*  GENERATE-COMPONENT-PATHNAME */;
	return value0;
}}
/*	function definition for GENERATE-COMPONENT-PATHNAME           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L78generate_component_pathname(cl_object V1, cl_object V2, cl_object V3)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;
	V4= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V4,VV[132]))){
	goto L8;}
	goto L5;
	goto L6;
L8:;
	goto L6;
L6:;
	if(!(ecl_eql(V4,VV[122]))){
	goto L3;}
	goto L4;
L5:;
L4:;
	{cl_object V5;
	value0=L63component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	if((value0)!=ECL_NIL){
	goto L14;}
	if(!((V3)==(VV[159]))){
	goto L17;}
	V5= L66component_root_dir(V1,VV[137])     /*  COMPONENT-ROOT-DIR */;
	goto L12;
L17:;
	V5= ECL_NIL;
	goto L12;
L14:;
	V5= value0;
	goto L12;
L12:;
	if((V1)==ECL_NIL){
	goto L20;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L23;}
	ecl_structure_set(V1,VV[89],6,V5);
	goto L11;
L23:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L26;}
	ecl_structure_set(V1,VV[89],10,V5);
	goto L11;
L26:;
	si_ecase_error(V3,VV[195])                /*  ECASE-ERROR     */;
	goto L11;
L20:;
	goto L11;
	}
L11:;
	if((V1)==ECL_NIL){
	goto L29;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L32;}
	value0=ecl_structure_set(V1,VV[89],7,ECL_NIL); cl_env_copy->nvalues=1;
	return value0;
L32:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L35;}
	value0=ecl_structure_set(V1,VV[89],9,ECL_NIL); cl_env_copy->nvalues=1;
	return value0;
L35:;
	value0=si_ecase_error(V3,VV[195])         /*  ECASE-ERROR     */;
	return value0;
L29:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!(ecl_eql(V4,VV[135]))){
	goto L38;}
	if((V1)==ECL_NIL){
	goto L42;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L45;}
	ecl_structure_set(V1,VV[89],6,_ecl_static_13);
	goto L40;
L45:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L48;}
	ecl_structure_set(V1,VV[89],10,_ecl_static_13);
	goto L40;
L48:;
	si_ecase_error(V3,VV[195])                /*  ECASE-ERROR     */;
	goto L40;
L42:;
	goto L40;
L40:;
	T0= L63component_pathname(V1,V3)          /*  COMPONENT-PATHNAME */;
	if((L13null_string(T0)                    /*  NULL-STRING     */)==ECL_NIL){
	goto L52;}
	if((V1)==ECL_NIL){
	goto L55;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L58;}
	ecl_structure_set(V1,VV[89],7,ECL_NIL);
	goto L50;
L58:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L61;}
	ecl_structure_set(V1,VV[89],9,ECL_NIL);
	goto L50;
L61:;
	si_ecase_error(V3,VV[195])                /*  ECASE-ERROR     */;
	goto L50;
L55:;
	goto L50;
L52:;
	goto L50;
L50:;
	{cl_object V5;
	if(!((V3)==(VV[159]))){
	goto L68;}
	T0= L63component_pathname(V1,VV[159])     /*  COMPONENT-PATHNAME */;
	if(!(T0==ECL_NIL)){
	goto L68;}
	value0=L63component_pathname(V1,VV[137])  /*  COMPONENT-PATHNAME */;
	goto L66;
L68:;
	value0=ECL_NIL;
	goto L66;
L66:;
	if((value0)!=ECL_NIL){
	goto L65;}
	if((L63component_pathname(V1,V3)          /*  COMPONENT-PATHNAME */)==ECL_NIL){
	goto L75;}
	value0=L63component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	goto L73;
L75:;
	value0=ECL_NIL;
	goto L73;
L73:;
	if((value0)!=ECL_NIL){
	goto L72;}
	V5= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	goto L63;
L72:;
	V5= value0;
	goto L63;
L65:;
	V5= value0;
	goto L63;
L63:;
	if((V1)==ECL_NIL){
	goto L78;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L81;}
	value0=ecl_structure_set(V1,VV[89],7,V5); cl_env_copy->nvalues=1;
	return value0;
L81:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L84;}
	value0=ecl_structure_set(V1,VV[89],9,V5); cl_env_copy->nvalues=1;
	return value0;
L84:;
	value0=si_ecase_error(V3,VV[195])         /*  ECASE-ERROR     */;
	return value0;
L78:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L38:;
	if(!(ecl_eql(V4,VV[199]))){
	goto L92;}
	goto L89;
	goto L90;
L92:;
	goto L90;
L90:;
	if(!(ecl_eql(V4,VV[188]))){
	goto L87;}
	goto L88;
L89:;
L88:;
	{cl_object V6;
	V6= L66component_root_dir(V2,V3)          /*  COMPONENT-ROOT-DIR */;
	if((V1)==ECL_NIL){
	goto L98;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L101;}
	ecl_structure_set(V1,VV[89],6,V6);
	goto L95;
L101:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L104;}
	ecl_structure_set(V1,VV[89],10,V6);
	goto L95;
L104:;
	si_ecase_error(V3,VV[195])                /*  ECASE-ERROR     */;
	goto L95;
L98:;
	goto L95;
	}
L95:;
	{cl_object V6;
	if(!((V3)==(VV[159]))){
	goto L111;}
	T0= L63component_pathname(V1,VV[159])     /*  COMPONENT-PATHNAME */;
	if(!(T0==ECL_NIL)){
	goto L111;}
	value0=L63component_pathname(V1,VV[137])  /*  COMPONENT-PATHNAME */;
	goto L109;
L111:;
	value0=ECL_NIL;
	goto L109;
L109:;
	if((value0)!=ECL_NIL){
	goto L108;}
	T0= L63component_pathname(V2,V3)          /*  COMPONENT-PATHNAME */;
	value0=L63component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	if((value0)!=ECL_NIL){
	goto L116;}
	T1= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	goto L114;
L116:;
	T1= value0;
	goto L114;
L114:;
	V6= L30append_directories(T0,T1)          /*  APPEND-DIRECTORIES */;
	goto L106;
L108:;
	V6= value0;
	goto L106;
L106:;
	if((V1)==ECL_NIL){
	goto L119;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L122;}
	value0=ecl_structure_set(V1,VV[89],7,V6); cl_env_copy->nvalues=1;
	return value0;
L122:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L125;}
	value0=ecl_structure_set(V1,VV[89],9,V6); cl_env_copy->nvalues=1;
	return value0;
L125:;
	value0=si_ecase_error(V3,VV[195])         /*  ECASE-ERROR     */;
	return value0;
L119:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L87:;
	if(!(ecl_eql(V4,ECL_SYM("FILE",1238)))){
	goto L128;}
	{cl_object V7;
	V7= L66component_root_dir(V2,V3)          /*  COMPONENT-ROOT-DIR */;
	if((V1)==ECL_NIL){
	goto L133;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L136;}
	ecl_structure_set(V1,VV[89],6,V7);
	goto L130;
L136:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L139;}
	ecl_structure_set(V1,VV[89],10,V7);
	goto L130;
L139:;
	si_ecase_error(V3,VV[195])                /*  ECASE-ERROR     */;
	goto L130;
L133:;
	goto L130;
	}
L130:;
	T0= L63component_pathname(V1,V3)          /*  COMPONENT-PATHNAME */;
	if((L13null_string(T0)                    /*  NULL-STRING     */)==ECL_NIL){
	goto L143;}
	if((V1)==ECL_NIL){
	goto L146;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L149;}
	ecl_structure_set(V1,VV[89],7,ECL_NIL);
	goto L141;
L149:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L152;}
	ecl_structure_set(V1,VV[89],9,ECL_NIL);
	goto L141;
L152:;
	si_ecase_error(V3,VV[195])                /*  ECASE-ERROR     */;
	goto L141;
L146:;
	goto L141;
L143:;
	goto L141;
L141:;
	{cl_object V7;
	T0= L63component_pathname(V2,V3)          /*  COMPONENT-PATHNAME */;
	value0=L63component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	if((value0)!=ECL_NIL){
	goto L157;}
	value0=ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	if((value0)!=ECL_NIL){
	goto L157;}
	if(!((V3)==(VV[159]))){
	goto L161;}
	T1= L63component_pathname(V1,VV[137])     /*  COMPONENT-PATHNAME */;
	goto L155;
L161:;
	T1= ECL_NIL;
	goto L155;
L157:;
	T1= value0;
	goto L155;
L155:;
	V7= L30append_directories(T0,T1)          /*  APPEND-DIRECTORIES */;
	if((V1)==ECL_NIL){
	goto L164;}
	if(!(ecl_eql(V3,VV[137]))){
	goto L167;}
	value0=ecl_structure_set(V1,VV[89],7,V7); cl_env_copy->nvalues=1;
	return value0;
L167:;
	if(!(ecl_eql(V3,VV[159]))){
	goto L170;}
	value0=ecl_structure_set(V1,VV[89],9,V7); cl_env_copy->nvalues=1;
	return value0;
L170:;
	value0=si_ecase_error(V3,VV[195])         /*  ECASE-ERROR     */;
	return value0;
L164:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L128:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for EXPAND-COMPONENT-COMPONENTS           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79expand_component_components(cl_narg narg, cl_object V1, ...)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  DEFINITIONS     */
	V3= ecl_function_dispatch(cl_env_copy,VV[475])(1,V1) /*  COMPONENT-COMPONENTS */;
	T0= ecl_car(V3);
	if(!((T0)==(VV[203]))){
	goto L4;}
	{cl_object V4;
	T0= ecl_cdr(V3);
	V4= L81expand_serial_component_chain(3,T0,V1,V2) /*  EXPAND-SERIAL-COMPONENT-CHAIN */;
	value0=ecl_structure_set(V1,VV[89],17,V4); cl_env_copy->nvalues=1;
	return value0;
	}
L4:;
	{cl_object V5;
	V5= L80expand_component_definitions(3,V3,V1,V2) /*  EXPAND-COMPONENT-DEFINITIONS */;
	value0=ecl_structure_set(V1,VV[89],17,V5); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for EXPAND-COMPONENT-DEFINITIONS          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80expand_component_definitions(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  COMPONENTS      */
	V4= ECL_NIL;
	{cl_object V5;
	V5= V1;
	goto L8;
L7:;
	{cl_object V6;                            /*  DEFINITION      */
	V6= ecl_car(V5);
	{cl_object V7;                            /*  NEW             */
	V7= L83expand_component_definition(3,V6,V2,V3) /*  EXPAND-COMPONENT-DEFINITION */;
	if((V7)==ECL_NIL){
	goto L15;}
	V4= CONS(V7,V4);
	goto L12;
L15:;
	goto L12;
	}
L12:;
	}
	V5= ecl_cdr(V5);
L8:;
	if((V5)==ECL_NIL){
	goto L22;}
	goto L7;
L22:;
	goto L20;
L20:;
	goto L5;
L5:;
	}
	value0=cl_nreverse(V4)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for EXPAND-SERIAL-COMPONENT-CHAIN         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81expand_serial_component_chain(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  PREVIOUS        */
	cl_object V5;                             /*  COMPONENTS      */
	V4= ECL_NIL;
	V5= ECL_NIL;
	{cl_object V6;
	V6= V1;
	goto L9;
L8:;
	{cl_object V7;                            /*  DEFINITION      */
	V7= ecl_car(V6);
	{cl_object V8;                            /*  NEW             */
	V8= L83expand_component_definition(3,V7,V2,V3) /*  EXPAND-COMPONENT-DEFINITION */;
	if((V8)==ECL_NIL){
	goto L16;}
	if((V4)==ECL_NIL){
	goto L20;}
	{cl_object V9;
	T0= ecl_function_dispatch(cl_env_copy,VV[474])(1,V8) /*  COMPONENT-DEPENDS-ON */;
	V9= cl_adjoin(2,V4,T0)                    /*  ADJOIN          */;
	ecl_structure_set(V8,VV[89],18,V9);
	goto L18;
	}
L20:;
	goto L18;
L18:;
	V4= ecl_function_dispatch(cl_env_copy,VV[142])(1,V8) /*  COMPONENT-NAME */;
	V5= CONS(V8,V5);
	goto L13;
L16:;
	goto L13;
	}
L13:;
	}
	V6= ecl_cdr(V6);
L9:;
	if((V6)==ECL_NIL){
	goto L30;}
	goto L8;
L30:;
	goto L28;
L28:;
	goto L6;
L6:;
	}
	value0=cl_nreverse(V5)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for ABSOLUTE-FILE-NAMESTRING-P            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82absolute_file_namestring_p(cl_object V1)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= si_make_seq_iterator(2,V1,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L6:;
	if((V2)!=ECL_NIL){
	goto L10;}
	value0=ECL_NIL;
	goto L3;
L10:;
	goto L8;
L8:;
	{cl_object V3;
	V3= si_seq_iterator_ref(V1,V2)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_char_code(CODE_CHAR(58))==ecl_char_code(V3))){
	goto L15;}
	value0=V3;
	goto L3;
L15:;
	goto L12;
	}
L12:;
	V2= si_seq_iterator_next(V1,V2)           /*  SEQ-ITERATOR-NEXT */;
	goto L6;
	}
L3:;
	if((value0)!=ECL_NIL){
	goto L2;}
	if((L13null_string(V1)                    /*  NULL-STRING     */)!=ECL_NIL){
	goto L20;}
	{ecl_character V2;
	V2= ecl_char(V1,0);
	value0=ecl_make_bool((V2)==((ecl_character)(47))); cl_env_copy->nvalues=1;
	return value0;}
L20:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for EXPAND-COMPONENT-DEFINITION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83expand_component_definition(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==ECL_NIL)){
	goto L3;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!(ECL_STRINGP(V1))){
	goto L6;}
	if((ecl_symbol_value(VV[207]))==ECL_NIL){
	goto L9;}
	if((L82absolute_file_namestring_p(V1)     /*  ABSOLUTE-FILE-NAMESTRING-P */)==ECL_NIL){
	goto L9;}
	value0=L74create_component(5,VV[135],V1,ECL_NIL,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L9:;
	value0=L74create_component(5,ECL_SYM("FILE",1238),V1,ECL_NIL,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L6:;
	if(!(ECL_LISTP(V1))){
	goto L13;}
	T0= ecl_car(V1);
	if((ecl_memql(T0,VV[115]))!=ECL_NIL){
	goto L13;}
	T0= ecl_car(V1);
	T1= ecl_cdr(V1);
	value0=L74create_component(5,ECL_SYM("FILE",1238),T0,T1,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L13:;
	if(!(ECL_LISTP(V1))){
	goto L17;}
	T0= ecl_car(V1);
	T1= ecl_cadr(V1);
	T2= ecl_cddr(V1);
	value0=L74create_component(5,T0,T1,T2,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L17:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LINK-COMPONENT-DEPENDS-ON             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84link_component_depends_on(cl_object V1)
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= V1;
	goto L5;
L4:;
	{cl_object V3;                            /*  COMPONENT       */
	V3= ecl_car(V2);
	if((ecl_symbol_value(VV[32]))==ECL_NIL){
	goto L14;}
	T0= ecl_function_dispatch(cl_env_copy,VV[141])(1,V3) /*  COMPONENT-TYPE */;
	if((T0)==(VV[132])){
	goto L11;}
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V4;
	{cl_object V5;                            /*  LET2278         */
	cl_object V6;
	cl_object V7;
	V5= ecl_function_dispatch(cl_env_copy,VV[474])(1,V3) /*  COMPONENT-DEPENDS-ON */;
	V6= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
	V7= V5;
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(ECL_NIL);
	V9= V8;
L24:;
	if(!(ecl_endp(V7))){
	goto L28;}
	goto L25;
L28:;
	goto L26;
L26:;
	V6= _ecl_car(V7);
	{cl_object V10;
	V10= _ecl_cdr(V7);
	if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
	V7= V10;
	}
	if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
	T0= V9;
	{cl_object V10;                           /*  PARENT          */
	{cl_object V11;
	V11= cl_string(V6)                        /*  STRING          */;
	{cl_object V12;
	V12= si_make_seq_iterator(2,V1,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L45:;
	if((V12)!=ECL_NIL){
	goto L49;}
	V10= ECL_NIL;
	goto L41;
L49:;
	goto L47;
L47:;
	{cl_object V13;
	V13= si_seq_iterator_ref(V1,V12)          /*  SEQ-ITERATOR-REF */;
	T2= ecl_function_dispatch(cl_env_copy,VV[142])(1,V13) /*  COMPONENT-NAME */;
	if((cl_string_equal(2,V11,T2)             /*  STRING-EQUAL    */)==ECL_NIL){
	goto L54;}
	V10= V13;
	goto L41;
L54:;
	goto L51;
	}
L51:;
	V12= si_seq_iterator_next(V1,V12)         /*  SEQ-ITERATOR-NEXT */;
	goto L45;
	}
	}
L41:;
	if((V10)==ECL_NIL){
	goto L59;}
	T1= V10;
	goto L40;
L59:;
	T1= (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(3,_ecl_static_90,V6,V3) /*  WARN */;
	goto L40;
	}
L40:;
	V9= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V9,T0);
	goto L24;
L25:;
	V4= ecl_cdr(V8);
	goto L16;
	}
	}
L16:;
	ecl_structure_set(V3,VV[89],18,V4);
	goto L9;
	}
L11:;
	goto L9;
L9:;
	}
	V2= ecl_cdr(V2);
L5:;
	if((V2)==ECL_NIL){
	goto L67;}
	goto L4;
L67:;
	goto L65;
L65:;
	goto L2;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for TOPOLOGICAL-SORT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L86topological_sort(cl_object V1)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	lex0[0]= ECL_NIL;                         /*  SORTED-LIST     */
	{cl_object V2;
	V2= V1;
	goto L6;
L5:;
	{cl_object V3;                            /*  ZNODE           */
	V3= ecl_car(V2);
	ecl_structure_set(V3,VV[73],0,VV[77]);
	}
	V2= ecl_cdr(V2);
L6:;
	if((V2)==ECL_NIL){
	goto L15;}
	goto L5;
L15:;
	goto L13;
L13:;
	goto L3;
L3:;
	}
	{cl_object V2;
	V2= V1;
	goto L22;
L21:;
	{cl_object V3;                            /*  ZNODE           */
	V3= ecl_car(V2);
	T0= ecl_function_dispatch(cl_env_copy,VV[505])(1,V3) /*  TOPSORT-COLOR */;
	if(!((T0)==(VV[77]))){
	goto L28;}
	LC85dfs_visit(lex0,V3)                    /*  DFS-VISIT       */;
	goto L26;
L28:;
	goto L26;
L26:;
	}
	V2= ecl_cdr(V2);
L22:;
	if((V2)==ECL_NIL){
	goto L34;}
	goto L21;
L34:;
	goto L32;
L32:;
	goto L19;
L19:;
	}
	value0=cl_nreverse(lex0[0])               /*  NREVERSE        */;
	return value0;
}}
/*	local function DFS-VISIT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85dfs_visit(volatile cl_object *lex0, cl_object V1)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_structure_set(V1,VV[73],0,VV[78]);
	if((ecl_symbol_value(VV[32]))==ECL_NIL){
	goto L7;}
	T0= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if((T0)==(VV[122])){
	goto L4;}
	goto L5;
L7:;
	goto L5;
L5:;
	{cl_object V2;
	V2= ecl_function_dispatch(cl_env_copy,VV[474])(1,V1) /*  COMPONENT-DEPENDS-ON */;
	goto L13;
L12:;
	{cl_object V3;                            /*  CHILD           */
	V3= ecl_car(V2);
	T0= ecl_function_dispatch(cl_env_copy,VV[505])(1,V3) /*  TOPSORT-COLOR */;
	if(!((T0)==(VV[77]))){
	goto L19;}
	LC85dfs_visit(lex0,V3)                    /*  DFS-VISIT       */;
	goto L17;
L19:;
	T0= ecl_function_dispatch(cl_env_copy,VV[505])(1,V3) /*  TOPSORT-COLOR */;
	if(!((T0)==(VV[78]))){
	goto L22;}
	cl_format(3,ECL_T,_ecl_static_91,V3)      /*  FORMAT          */;
	goto L17;
L22:;
	goto L17;
L17:;
	}
	V2= ecl_cdr(V2);
L13:;
	if((V2)==ECL_NIL){
	goto L28;}
	goto L12;
L28:;
	goto L26;
L26:;
	goto L10;
L10:;
	goto L2;
	}
L4:;
	goto L2;
L2:;
	ecl_structure_set(V1,VV[73],0,VV[80]);
	lex0[0]= CONS(V1,lex0[0]);
	value0=lex0[0]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SPLIT-STRING                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87split_string(cl_narg narg, cl_object V1, ...)
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L87split_stringkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[2]==ECL_NIL){
	V2= CODE_CHAR(32);
	}else{
	V2= keyvars[0];}
	if(keyvars[3]==ECL_NIL){
	V3= (ECL_SYM("CHAR=",219)->symbol.gfdef);
	}else{
	V3= keyvars[1];}
	}
	{cl_fixnum V4;                            /*  LET2279         */
	cl_object V5;                             /*  INDEX           */
	cl_object V6;                             /*  RESULT          */
	V4= ecl_length(V1);
	V5= ecl_make_fixnum(0);
	V6= ECL_NIL;
	{cl_object V7;                            /*  I               */
	V7= ecl_make_fixnum(0);
	goto L10;
L9:;
	T0= cl_char(V1,V7)                        /*  CHAR            */;
	if((ecl_function_dispatch(cl_env_copy,V3)(2,T0,V2))==ECL_NIL){
	goto L14;}
	if(ecl_number_equalp(V5,V7)){
	goto L18;}
	T0= cl_subseq(3,V1,V5,V7)                 /*  SUBSEQ          */;
	V6= CONS(T0,V6);
	goto L16;
L18:;
	goto L16;
L16:;
	V5= ecl_one_plus(V7);
	goto L12;
L14:;
	goto L12;
L12:;
	V7= ecl_one_plus(V7);
L10:;
	if(!(ecl_number_compare(V7,ecl_make_fixnum(V4))<0)){
	goto L26;}
	goto L9;
L26:;
	goto L24;
L24:;
	goto L6;
	}
L6:;
	if(ecl_number_equalp(V5,ecl_make_fixnum(V4))){
	goto L30;}
	T0= cl_subseq(2,V1,V5)                    /*  SUBSEQ          */;
	V6= CONS(T0,V6);
	goto L28;
L30:;
	goto L28;
L28:;
	value0=cl_reverse(V6)                     /*  REVERSE         */;
	return value0;
	}
}}
/*	function definition for PROMPT-STRING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88prompt_string(cl_object V1)
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_symbol_value(VV[17]);
	T1= ecl_function_dispatch(cl_env_copy,VV[510])(1,V1) /*  COMPONENT-INDENT */;
	value0=cl_format(4,ECL_NIL,_ecl_static_92,T0,T1) /*  FORMAT   */;
	return value0;
}}
/*	function definition for FORMAT-JUSTIFIED-STRING               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L89format_justified_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(80);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  PROMPT-LENGTH   */
	{cl_fixnum V6;
	V6= ecl_length(V1);
	V5= ecl_plus(ecl_make_fixnum(2),ecl_make_fixnum(V6));}
	{cl_fixnum V6;
	V6= ecl_length(V2);
	T0= ecl_plus(V5,ecl_make_fixnum(V6));
	if(!(ecl_number_compare(T0,V3)<0)){
	goto L6;}}
	cl_format(4,V4,_ecl_static_93,V1,V2)      /*  FORMAT          */;
	goto L3;
L6:;
	cl_format(3,V4,_ecl_static_94,V1)         /*  FORMAT          */;
	{cl_object V6;                            /*  CURSOR          */
	cl_object V7;                             /*  CONTENTS        */
	cl_object V8;                             /*  CONTENT         */
	cl_object V9;                             /*  CONTENT-LENGTH  */
	V6= V5;
	V7= L87split_string(1,V2)                 /*  SPLIT-STRING    */;
	V8= ecl_car(V7);
	{cl_fixnum V10;
	V10= ecl_length(V8);
	V9= ecl_make_integer((V10)+1);}
	goto L16;
L15:;
	T0= ecl_plus(V6,V9);
	if(!(ecl_number_compare(T0,V3)<0)){
	goto L20;}
	V6= ecl_plus(V6,V9);
	cl_format(3,V4,_ecl_static_95,V8)         /*  FORMAT          */;
	goto L18;
L20:;
	V6= ecl_plus(V5,V9);
	cl_format(4,V4,_ecl_static_96,V1,V8)      /*  FORMAT          */;
	goto L18;
L18:;
	V7= ecl_cdr(V7);
	V8= ecl_car(V7);
	{cl_fixnum V10;
	V10= ecl_length(V8);
	V9= ecl_make_integer((V10)+1);}
L16:;
	if(V7==ECL_NIL){
	goto L34;}
	goto L15;
L34:;
	goto L32;
L32:;
	goto L13;
L13:;
	goto L3;
	}
	}
L3:;
	value0=cl_finish_output(1,V4)             /*  FINISH-OUTPUT   */;
	return value0;
}}
/*	function definition for TELL-USER                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90tell_user(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V5= ECL_NIL;
	} else {
	i++;
	V5= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[16]))!=ECL_NIL){
	goto L7;}
	if((V5)==ECL_NIL){
	goto L5;}
	goto L6;
L7:;
L6:;
	T0= L88prompt_string(V2)                  /*  PROMPT-STRING   */;
	if(!((V1)==(ECL_SYM("COMPILE",233)))){
	goto L16;}
	goto L13;
	goto L14;
L16:;
	goto L14;
L14:;
	if(!(ecl_eql(V1,VV[216]))){
	goto L11;}
	goto L12;
L13:;
L12:;
	if((ecl_function_dispatch(cl_env_copy,VV[487])(1,V2) /*  COMPONENT-LOAD-ONLY */)==ECL_NIL){
	goto L20;}
	T1= _ecl_static_98;
	goto L9;
L20:;
	T1= _ecl_static_99;
	goto L9;
L11:;
	if(!((V1)==(ECL_SYM("LOAD",487)))){
	goto L28;}
	goto L25;
	goto L26;
L28:;
	goto L26;
L26:;
	if(!(ecl_eql(V1,VV[154]))){
	goto L23;}
	goto L24;
L25:;
L24:;
	T1= _ecl_static_98;
	goto L9;
L23:;
	T1= V1;
	goto L9;
L9:;
	T2= ecl_function_dispatch(cl_env_copy,VV[141])(1,V2) /*  COMPONENT-TYPE */;
	if((V3)==ECL_NIL){
	goto L36;}
	value0=L69component_full_pathname(2,V2,V3) /*  COMPONENT-FULL-PATHNAME */;
	goto L34;
L36:;
	value0=ECL_NIL;
	goto L34;
L34:;
	if((value0)!=ECL_NIL){
	goto L33;}
	T3= ecl_function_dispatch(cl_env_copy,VV[142])(1,V2) /*  COMPONENT-NAME */;
	goto L31;
L33:;
	T3= value0;
	goto L31;
L31:;
	if((ecl_symbol_value(VV[15]))==ECL_NIL){
	goto L40;}
	T4= Null(V4)?ECL_T:ECL_NIL;
	goto L38;
L40:;
	T4= ECL_NIL;
	goto L38;
L38:;
	T5= cl_format(6,ECL_NIL,_ecl_static_97,T1,T2,T3,T4) /*  FORMAT */;
	value0=L89format_justified_string(2,T0,T5) /*  FORMAT-JUSTIFIED-STRING */;
	return value0;
L5:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TELL-USER-DONE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91tell_user_done(cl_narg narg, cl_object V1, ...)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[15]))==ECL_NIL){
	goto L4;}
	if((ecl_symbol_value(VV[16]))!=ECL_NIL){
	goto L7;}
	if((V2)==ECL_NIL){
	goto L4;}
	goto L5;
L7:;
L5:;
	T0= L88prompt_string(V1)                  /*  PROMPT-STRING   */;
	T1= Null(V3)?ECL_T:ECL_NIL;
	cl_format(4,ECL_T,_ecl_static_100,T0,T1)  /*  FORMAT          */;
	value0=cl_finish_output(1,ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67))) /*  FINISH-OUTPUT */;
	return value0;
L4:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-TELL-USER                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC92with_tell_user(cl_object V1, cl_object V2)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  WHAT            */
	cl_object V7;                             /*  COMPONENT       */
	cl_object V8;                             /*  TYPE            */
	cl_object V9;                             /*  NO-DOTS         */
	cl_object V10;                            /*  FORCE           */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V11;
	V11= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V11;
	}
	V5= V4;
	if(!(V5==ECL_NIL)){
	goto L14;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V11;
	V11= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V11;
	}
	if(!(V5==ECL_NIL)){
	goto L22;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V11;
	V11= ecl_car(V5);
	V5= ecl_cdr(V5);
	V7= V11;
	}
	if((V5)==ECL_NIL){
	goto L29;}
	{cl_object V11;
	V11= ecl_car(V5);
	V5= ecl_cdr(V5);
	V8= V11;
	goto L27;
	}
L29:;
	V8= ECL_NIL;
	goto L27;
L27:;
	if((V5)==ECL_NIL){
	goto L36;}
	{cl_object V11;
	V11= ecl_car(V5);
	V5= ecl_cdr(V5);
	V9= V11;
	goto L34;
	}
L36:;
	V9= ECL_NIL;
	goto L34;
L34:;
	if((V5)==ECL_NIL){
	goto L43;}
	{cl_object V11;
	V11= ecl_car(V5);
	V5= ecl_cdr(V5);
	V10= V11;
	goto L41;
	}
L43:;
	V10= ECL_NIL;
	goto L41;
L41:;
	if((V5)==ECL_NIL){
	goto L50;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L48;
L50:;
	goto L48;
L48:;
	T0= cl_list(6,VV[220],V6,V7,V8,V9,V10)    /*  LIST            */;
	T1= cl_list(4,VV[221],V7,V10,V9)          /*  LIST            */;
	T2= ecl_list1(T1);
	T3= ecl_append(V3,T2);
	value0=cl_listX(3,ECL_SYM("PROGN",671),T0,T3) /*  LIST*       */;
	return value0;
	}
}}
/*	function definition for TELL-USER-NO-FILES                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L93tell_user_no_files(cl_narg narg, cl_object V1, ...)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[16]))!=ECL_NIL){
	goto L5;}
	if((V2)==ECL_NIL){
	goto L3;}
	goto L4;
L5:;
L4:;
	T0= L88prompt_string(V1)                  /*  PROMPT-STRING   */;
	T1= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	value0=ecl_symbol_value(VV[18]);
	if((value0)!=ECL_NIL){
	goto L9;}
	T2= ecl_symbol_value(VV[20]);
	goto L7;
L9:;
	T2= value0;
	goto L7;
L7:;
	T3= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	T4= cl_format(5,ECL_NIL,_ecl_static_101,T1,T2,T3) /*  FORMAT  */;
	value0=L89format_justified_string(2,T0,T4) /*  FORMAT-JUSTIFIED-STRING */;
	return value0;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TELL-USER-REQUIRE-SYSTEM              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94tell_user_require_system(cl_object V1, cl_object V2)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[16]))==ECL_NIL){
	goto L2;}
	T0= ecl_symbol_value(VV[17]);
	T1= ecl_function_dispatch(cl_env_copy,VV[142])(1,V2) /*  COMPONENT-NAME */;
	cl_format(5,ECL_T,_ecl_static_102,T0,T1,V1) /*  FORMAT        */;
	value0=cl_finish_output(1,ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67))) /*  FINISH-OUTPUT */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TELL-USER-GENERIC                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95tell_user_generic(cl_object V1)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[16]))==ECL_NIL){
	goto L2;}
	cl_format(4,ECL_T,_ecl_static_103,ecl_symbol_value(VV[17]),V1) /*  FORMAT */;
	value0=cl_finish_output(1,ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67))) /*  FINISH-OUTPUT */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INTERNAL-REAL-TIME-IN-SECONDS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L96internal_real_time_in_seconds()
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_get_universal_time()            /*  GET-UNIVERSAL-TIME */;
	return value0;
}}
/*	function definition for READ-CHAR-WAIT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97read_char_wait(cl_narg narg, ...)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_make_fixnum(20);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= ECL_T;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  PEEK            */
	V5= ECL_NIL;
	{cl_object V6;                            /*  START           */
	V6= L96internal_real_time_in_seconds()    /*  INTERNAL-REAL-TIME-IN-SECONDS */;
	goto L10;
L9:;
	if(ecl_zerop(ecl_symbol_value(VV[228]))){
	goto L14;}
	cl_sleep(ecl_symbol_value(VV[228]))       /*  SLEEP           */;
	goto L12;
L14:;
	goto L12;
L12:;
L10:;
	V5= cl_listen(1,V2)                       /*  LISTEN          */;
	if((V5)!=ECL_NIL){
	goto L18;}
	T0= ecl_plus(V6,V1);
	T1= L96internal_real_time_in_seconds()    /*  INTERNAL-REAL-TIME-IN-SECONDS */;
	if(ecl_number_compare(T0,T1)<0){
	goto L18;}
	goto L9;
L18:;
	goto L16;
L16:;
	goto L7;
L7:;
	if((V5)==ECL_NIL){
	goto L23;}
	value0=cl_read_char(3,V2,V3,V4)           /*  READ-CHAR       */;
	return value0;
L23:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for Y-OR-N-P-WAIT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L98y_or_n_p_wait(cl_narg narg, ...)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{int i=0;
	if (i >= narg) {
	V1= CODE_CHAR(121);
	} else {
	i++;
	V1= ecl_va_arg(args);
	}
	if (i >= narg) {
	V2= ecl_make_fixnum(20);
	} else {
	i++;
	V2= ecl_va_arg(args);
	}
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= ecl_va_arg(args);
	}}
	V4=cl_grab_rest_args(args);
	ecl_va_end(args);
	if((ecl_symbol_value(VV[227]))==ECL_NIL){
	goto L6;}
	cl_clear_input(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  CLEAR-INPUT */;
	goto L4;
L6:;
	goto L4;
L4:;
	if((V3)==ECL_NIL){
	goto L10;}
	cl_fresh_line(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  FRESH-LINE */;
	T0= (ECL_SYM("FORMAT",387)->symbol.gfdef);
	cl_apply(4,T0,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)),V3,V4) /*  APPLY */;
	cl_finish_output(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  FINISH-OUTPUT */;
	goto L8;
L10:;
	goto L8;
L8:;
L16:;
	{cl_object V5;                            /*  READ-CHAR       */
	cl_object V6;                             /*  CHAR            */
	if((ecl_symbol_value(VV[226]))==ECL_NIL){
	goto L20;}
	V5= L97read_char_wait(4,V2,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)),ECL_NIL,ECL_NIL) /*  READ-CHAR-WAIT */;
	goto L18;
L20:;
	V5= cl_read_char(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  READ-CHAR */;
	goto L18;
L18:;
	value0=V5;
	if((value0)!=ECL_NIL){
	goto L24;}
	V6= V1;
	goto L22;
L24:;
	V6= value0;
	goto L22;
L22:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,VV[231],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L31:;
	if((V7)!=ECL_NIL){
	goto L35;}
	goto L28;
L35:;
	goto L33;
L33:;
	{cl_object V8;
	V8= si_seq_iterator_ref(VV[231],V7)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(V6,V8))){
	goto L40;}
	if((V8)!=ECL_NIL){
	goto L27;}
	goto L28;
L40:;
	goto L37;
	}
L37:;
	V7= si_seq_iterator_next(VV[231],V7)      /*  SEQ-ITERATOR-NEXT */;
	goto L31;
	}
L28:;
	if(!(V5==ECL_NIL)){
	goto L46;}
	cl_format(3,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)),_ecl_static_105,V1) /*  FORMAT */;
	cl_finish_output(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  FINISH-OUTPUT */;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(V6==ECL_NIL)){
	goto L50;}
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L50:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,VV[232],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L57:;
	if((V7)!=ECL_NIL){
	goto L61;}
	goto L53;
L61:;
	goto L59;
L59:;
	{cl_object V8;
	V8= si_seq_iterator_ref(VV[232],V7)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_char_code(V6)==ecl_char_code(V8))){
	goto L66;}
	if((V8)==ECL_NIL){
	goto L53;}
	goto L54;
L66:;
	goto L63;
	}
L63:;
	V7= si_seq_iterator_next(VV[232],V7)      /*  SEQ-ITERATOR-NEXT */;
	goto L57;
	}
L54:;
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L53:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,VV[233],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L75:;
	if((V7)!=ECL_NIL){
	goto L79;}
	goto L71;
L79:;
	goto L77;
L77:;
	{cl_object V8;
	V8= si_seq_iterator_ref(VV[233],V7)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_char_code(V6)==ecl_char_code(V8))){
	goto L84;}
	if((V8)==ECL_NIL){
	goto L71;}
	goto L72;
L84:;
	goto L81;
	}
L81:;
	V7= si_seq_iterator_next(VV[233],V7)      /*  SEQ-ITERATOR-NEXT */;
	goto L75;
	}
L72:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L71:;
	if((ecl_symbol_value(VV[227]))==ECL_NIL){
	goto L90;}
	cl_clear_input(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  CLEAR-INPUT */;
	goto L88;
L90:;
	goto L88;
L88:;
	cl_format(2,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)),_ecl_static_106) /*  FORMAT */;
	if((V3)==ECL_NIL){
	goto L95;}
	cl_fresh_line(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  FRESH-LINE */;
	T0= (ECL_SYM("FORMAT",387)->symbol.gfdef);
	cl_apply(4,T0,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)),V3,V4) /*  APPLY */;
	goto L93;
L95:;
	goto L93;
L93:;
	cl_finish_output(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",59))) /*  FINISH-OUTPUT */;
	goto L17;
L27:;
	goto L17;
	}
L17:;
	goto L16;
}}
/*	local function WITH-SPECIAL-COMPONENT-VARS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99with_special_component_vars(cl_object V1, cl_object V2)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  C               */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	V5= V4;
	if(!(V5==ECL_NIL)){
	goto L14;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V7;
	V7= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V7;
	}
	if((V5)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	T0= cl_list(2,VV[235],V6)                 /*  LIST            */;
	T1= ecl_list1(T0);
	value0=cl_listX(4,ECL_SYM("LET",477),T1,VV[236],V3) /*  LIST* */;
	return value0;
	}
}}
/*	function definition for OPERATE-ON-SYSTEM                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100operate_on_system(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	volatile cl_object V6;
	volatile cl_object V7;
	volatile cl_object V8;
	volatile cl_object V9;
	volatile cl_object V10;
	volatile cl_object V11;
	volatile cl_object V12;
	volatile cl_object V13;
	ecl_va_list args; ecl_va_start(args,V2,narg,2);
	{ cl_object keyvars[22];
	cl_parse_key(args,11,L100operate_on_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V3= keyvars[0];
	if(keyvars[12]==ECL_NIL){
	V4= ecl_symbol_value(VV[36]);
	}else{
	V4= keyvars[1];}
	if(keyvars[13]==ECL_NIL){
	V5= ecl_symbol_value(VV[17]);
	}else{
	V5= keyvars[2];}
	if(keyvars[14]==ECL_NIL){
	V6= ecl_symbol_value(VV[16]);
	}else{
	V6= keyvars[3];}
	if(keyvars[15]==ECL_NIL){
	V7= ecl_symbol_value(VV[20]);
	}else{
	V7= keyvars[4];}
	if(keyvars[16]==ECL_NIL){
	V8= ecl_symbol_value(VV[18]);
	}else{
	V8= keyvars[5];}
	if(keyvars[17]==ECL_NIL){
	V9= ecl_symbol_value(VV[19]);
	}else{
	V9= keyvars[6];}
	if(keyvars[18]==ECL_NIL){
	V10= ecl_symbol_value(VV[21]);
	}else{
	V10= keyvars[7];}
	V11= keyvars[8];
	if(keyvars[20]==ECL_NIL){
	V12= ecl_symbol_value(VV[23]);
	}else{
	V12= keyvars[9];}
	if(keyvars[21]==ECL_NIL){
	V13= ECL_T;
	}else{
	V13= keyvars[10];}
	}
	{
	volatile bool unwinding = FALSE;
	cl_index V14=ECL_STACK_INDEX(cl_env_copy),V15;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	if((ecl_symbol_value(VV[175]))==ECL_NIL){
	goto L13;}
	L68clear_full_pathname_tables()           /*  CLEAR-FULL-PATHNAME-TABLES */;
	goto L11;
L13:;
	goto L11;
L11:;
	if((V11)==ECL_NIL){
	goto L17;}
	(cl_env_copy->function=(ECL_SYM("DRIBBLE",319)->symbol.gfdef))->cfun.entry(1,V11) /*  DRIBBLE */;
	goto L15;
L17:;
	goto L15;
L15:;
	if((V5)==ECL_NIL){
	goto L21;}
	V6= ECL_T;
	goto L19;
L21:;
	goto L19;
L19:;
	if(!(V3==ECL_NIL)){
	goto L26;}
	if(!((V2)==(ECL_SYM("LOAD",487)))){
	goto L34;}
	goto L31;
	goto L32;
L34:;
	goto L32;
L32:;
	if(!(ecl_eql(V2,VV[154]))){
	goto L29;}
	goto L30;
L31:;
L30:;
	V3= VV[238];
	goto L24;
L29:;
	if(!((V2)==(ECL_SYM("COMPILE",233)))){
	goto L44;}
	goto L41;
	goto L42;
L44:;
	goto L42;
L42:;
	if(!(ecl_eql(V2,VV[216]))){
	goto L39;}
	goto L40;
L41:;
L40:;
	V3= VV[239];
	goto L24;
L39:;
	V3= VV[238];
	goto L24;
L26:;
	goto L24;
L24:;
	cl_env_copy->values[0]=L71translate_version(V4) /*  TRANSLATE-VERSION */;
	{
	{int V17=cl_env_copy->nvalues-0;
	if (V17--<=0) goto L50;
	ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
	if (V17--<=0) goto L51;
	ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
	goto L52;}
L50:;
	ecl_bds_bind(cl_env_copy,VV[34],ECL_NIL); /*  *VERSION-DIR*   */
L51:;
	ecl_bds_bind(cl_env_copy,VV[35],ECL_NIL); /*  *VERSION-REPLACE* */
L52:;
	{cl_object V17;                           /*  LET2291         */
	if((ecl_function_dispatch(cl_env_copy,VV[92])(1,V1) /*  COMPONENT-P */)==ECL_NIL){
	goto L55;}
	{cl_object V18;
	V18= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V18,VV[122]))){
	goto L62;}
	goto L59;
	goto L60;
L62:;
	goto L60;
L60:;
	if(!(ecl_eql(V18,VV[132]))){
	goto L66;}
	goto L59;
	goto L64;
L66:;
	goto L64;
L64:;
	if(!(ecl_eql(V18,VV[188]))){
	goto L55;}
	goto L56;
L59:;
	}
L56:;
	V17= V1;
	goto L53;
L55:;
	V17= L59find_system(2,V1,VV[154])         /*  FIND-SYSTEM     */;
	goto L53;
L53:;
	ecl_bds_bind(cl_env_copy,ECL_SYM("*LOAD-VERBOSE*",39),ECL_T); /*  *LOAD-VERBOSE* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-VERBOSE*",29),ECL_T); /*  *COMPILE-VERBOSE* */
	ecl_bds_bind(cl_env_copy,VV[36],V4);      /*  *VERSION*       */
	ecl_bds_bind(cl_env_copy,VV[16],V6);      /*  *OOS-VERBOSE*   */
	ecl_bds_bind(cl_env_copy,VV[17],V5);      /*  *OOS-TEST*      */
	ecl_bds_bind(cl_env_copy,VV[18],V8);      /*  *LOAD-SOURCE-IF-NO-BINARY* */
	ecl_bds_bind(cl_env_copy,VV[21],V10);     /*  *COMPILE-DURING-LOAD* */
	ecl_bds_bind(cl_env_copy,VV[19],V9);      /*  *BOTHER-USER-IF-NO-BINARY* */
	ecl_bds_bind(cl_env_copy,VV[20],V7);      /*  *LOAD-SOURCE-INSTEAD-OF-BINARY* */
	ecl_bds_bind(cl_env_copy,VV[23],V12);     /*  *MINIMAL-LOAD*  */
	if((L7component_operation(1,V2)           /*  COMPONENT-OPERATION */)!=ECL_NIL){
	goto L71;}
	cl_error(2,_ecl_static_107,V2)            /*  ERROR           */;
	goto L69;
L71:;
	goto L69;
L69:;
	cl_env_copy->values[0]=L107operate_on_component(V17,V2,V3) /*  OPERATE-ON-COMPONENT */;
	ecl_bds_unwind_n(cl_env_copy,12);
	}}
	}
	ecl_frs_pop(cl_env_copy);
	V15=ecl_stack_push_values(cl_env_copy);
	if((V11)==ECL_NIL){
	goto L75;}
	(cl_env_copy->function=(ECL_SYM("DRIBBLE",319)->symbol.gfdef))->cfun.entry(0) /*  DRIBBLE */;
	goto L73;
L75:;
	goto L73;
L73:;
	ecl_stack_pop_values(cl_env_copy,V15);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V14);
	return cl_env_copy->values[0];}
}}
/*	function definition for COMPILE-SYSTEM                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101compile_system(cl_narg narg, cl_object V1, ...)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[20];
	cl_parse_key(args,10,L101compile_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V2= keyvars[0];
	if(keyvars[11]==ECL_NIL){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[12]==ECL_NIL){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[13]==ECL_NIL){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	if(keyvars[14]==ECL_NIL){
	V6= ecl_symbol_value(VV[20]);
	}else{
	V6= keyvars[4];}
	if(keyvars[15]==ECL_NIL){
	V7= ecl_symbol_value(VV[18]);
	}else{
	V7= keyvars[5];}
	if(keyvars[16]==ECL_NIL){
	V8= ecl_symbol_value(VV[19]);
	}else{
	V8= keyvars[6];}
	if(keyvars[17]==ECL_NIL){
	V9= ecl_symbol_value(VV[21]);
	}else{
	V9= keyvars[7];}
	V10= keyvars[8];
	if(keyvars[19]==ECL_NIL){
	V11= ecl_symbol_value(VV[23]);
	}else{
	V11= keyvars[9];}
	}
	value0=L100operate_on_system(22,V1,VV[216],VV[244],V2,ECL_SYM("VERSION",1327),V3,ECL_SYM("TEST",1317),V4,ECL_SYM("VERBOSE",1326),V5,VV[245],V6,VV[246],V7,VV[247],V8,VV[248],V9,VV[249],V10,VV[250],V11) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for LOAD-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102load_system(cl_narg narg, cl_object V1, ...)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[20];
	cl_parse_key(args,10,L102load_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V2= keyvars[0];
	if(keyvars[11]==ECL_NIL){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[12]==ECL_NIL){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[13]==ECL_NIL){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	if(keyvars[14]==ECL_NIL){
	V6= ecl_symbol_value(VV[20]);
	}else{
	V6= keyvars[4];}
	if(keyvars[15]==ECL_NIL){
	V7= ecl_symbol_value(VV[18]);
	}else{
	V7= keyvars[5];}
	if(keyvars[16]==ECL_NIL){
	V8= ecl_symbol_value(VV[19]);
	}else{
	V8= keyvars[6];}
	if(keyvars[17]==ECL_NIL){
	V9= ecl_symbol_value(VV[21]);
	}else{
	V9= keyvars[7];}
	V10= keyvars[8];
	if(keyvars[19]==ECL_NIL){
	V11= ecl_symbol_value(VV[23]);
	}else{
	V11= keyvars[9];}
	}
	value0=L100operate_on_system(22,V1,VV[154],VV[244],V2,ECL_SYM("VERSION",1327),V3,ECL_SYM("TEST",1317),V4,ECL_SYM("VERBOSE",1326),V5,VV[245],V6,VV[246],V7,VV[247],V8,VV[248],V9,VV[249],V10,VV[250],V11) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for CLEAN-SYSTEM                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103clean_system(cl_narg narg, cl_object V1, ...)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L103clean_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[5]==ECL_NIL){
	V2= VV[238];
	}else{
	V2= keyvars[0];}
	if(keyvars[6]==ECL_NIL){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[7]==ECL_NIL){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[8]==ECL_NIL){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	}
	value0=L100operate_on_system(12,V1,VV[253],VV[244],V2,ECL_SYM("VERSION",1327),V3,ECL_SYM("TEST",1317),V4,ECL_SYM("VERBOSE",1326),V5,VV[249],V6) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for EDIT-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104edit_system(cl_narg narg, cl_object V1, ...)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L104edit_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V2= keyvars[0];
	if(keyvars[6]==ECL_NIL){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[7]==ECL_NIL){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[8]==ECL_NIL){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	}
	value0=L100operate_on_system(12,V1,VV[255],VV[244],V2,ECL_SYM("VERSION",1327),V3,ECL_SYM("TEST",1317),V4,ECL_SYM("VERBOSE",1326),V5,VV[249],V6) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for HARDCOPY-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105hardcopy_system(cl_narg narg, cl_object V1, ...)
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L105hardcopy_systemkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V2= keyvars[0];
	if(keyvars[6]==ECL_NIL){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[7]==ECL_NIL){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[8]==ECL_NIL){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	}
	value0=L100operate_on_system(12,V1,VV[257],VV[244],V2,ECL_SYM("VERSION",1327),V3,ECL_SYM("TEST",1317),V4,ECL_SYM("VERBOSE",1326),V5,VV[249],V6) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for ENSURE-EXTERNAL-SYSTEM-DEF-LOADED     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106ensure_external_system_def_loaded(cl_object V1)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	goto L4;
L3:;
	si_assert_failure(1,VV[259])              /*  ASSERT-FAILURE  */;
L4:;
	{cl_object V2;
	V2= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V2,VV[188]))){
	goto L14;}
	goto L9;
	goto L12;
L14:;
	goto L12;
L12:;
	if(!(ecl_eql(V2,VV[122]))){
	goto L17;}
	goto L9;
	goto L10;
L17:;
	goto L10;
	}
L10:;
	goto L3;
L9:;
	goto L7;
L7:;
	goto L1;
L1:;
	T0= ecl_function_dispatch(cl_env_copy,VV[475])(1,V1) /*  COMPONENT-COMPONENTS */;
	if(!(T0==ECL_NIL)){
	goto L20;}
	{cl_object V2;                            /*  CNAME           */
	V2= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	L22undefsystem(V2)                        /*  UNDEFSYSTEM     */;
	{cl_object V3;                            /*  SYSTEM-COMPONENT */
	ecl_bds_bind(cl_env_copy,VV[152],ECL_T);  /*  *RELOAD-SYSTEMS-FROM-DISK* */
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	V3= L59find_system(2,T0,VV[154])          /*  FIND-SYSTEM     */;
	{cl_object V4;
	V4= ecl_list1(V3);
	value0=ecl_structure_set(V1,VV[89],17,V4); cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
	}
	}
L20:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OPERATE-ON-COMPONENT                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L107operate_on_component(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V4;                   /*  CHANGED         */
	V4= ECL_NIL;
	{volatile cl_object V5;                   /*  LET2292         */
	volatile cl_object V6;                    /*  LET2293         */
	V5= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	V6= cl_package_name(ecl_symbol_value(ECL_SYM("*PACKAGE*",43))) /*  PACKAGE-NAME */;
	{
	volatile bool unwinding = FALSE;
	cl_index V7=ECL_STACK_INDEX(cl_env_copy),V8;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	if((ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */)==ECL_NIL){
	goto L9;}
	T0= ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */;
	T1= cl_format(3,ECL_NIL,_ecl_static_108,T0) /*  FORMAT        */;
	L95tell_user_generic(T1)                  /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=ECL_NIL){
	goto L13;}
	T0= ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */;
	if((cl_find_package(T0)                   /*  FIND-PACKAGE    */)!=ECL_NIL){
	goto L17;}
	T0= ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */;
	T1= cl_string(T0)                         /*  STRING          */;
	T2= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	if((cl_string_equal(2,T1,T2)              /*  STRING-EQUAL    */)==ECL_NIL){
	goto L21;}
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	cl_format(3,ECL_T,_ecl_static_109,T0)     /*  FORMAT          */;
	T0= ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */;
	cl_error(2,_ecl_static_110,T0)            /*  ERROR           */;
	goto L19;
L21:;
	goto L19;
L19:;
	T0= ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */;
	L113new_require(1,T0)                     /*  NEW-REQUIRE     */;
	goto L15;
L17:;
	goto L15;
L15:;
	{cl_object V9;                            /*  PACKAGE         */
	T0= ecl_function_dispatch(cl_env_copy,VV[473])(1,V1) /*  COMPONENT-PACKAGE */;
	V9= cl_find_package(T0)                   /*  FIND-PACKAGE    */;
	if((V9)==ECL_NIL){
	goto L26;}
	cl_set(ECL_SYM("*PACKAGE*",43),V9);
	goto L7;
L26:;
	goto L7;
	}
L13:;
	goto L7;
L9:;
	goto L7;
L7:;
	if((V5)==(VV[122])){
	goto L33;}
	if(!((V5)==(VV[188]))){
	goto L31;}
	goto L32;
L33:;
L32:;
	L106ensure_external_system_def_loaded(V1) /*  ENSURE-EXTERNAL-SYSTEM-DEF-LOADED */;
	goto L29;
L31:;
	goto L29;
L29:;
	if((V5)==(VV[132])){
	goto L39;}
	if(!((V5)==(VV[122]))){
	goto L37;}
	goto L38;
L39:;
L38:;
	L108operate_on_system_dependencies(3,V1,V2,V3) /*  OPERATE-ON-SYSTEM-DEPENDENCIES */;
	goto L35;
L37:;
	goto L35;
L35:;
	if((ecl_function_dispatch(cl_env_copy,VV[546])(1,V1) /*  COMPONENT-PROCLAMATIONS */)==ECL_NIL){
	goto L43;}
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,ECL_NIL,_ecl_static_111,T0) /*  FORMAT        */;
	L95tell_user_generic(T1)                  /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=ECL_NIL){
	goto L47;}
	T0= ecl_function_dispatch(cl_env_copy,VV[546])(1,V1) /*  COMPONENT-PROCLAMATIONS */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,T0) /*  PROCLAIM */;
	goto L41;
L47:;
	goto L41;
L43:;
	goto L41;
L41:;
	if((ecl_function_dispatch(cl_env_copy,VV[547])(1,V1) /*  COMPONENT-INITIALLY-DO */)==ECL_NIL){
	goto L51;}
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,ECL_NIL,_ecl_static_112,T0) /*  FORMAT        */;
	L95tell_user_generic(T1)                  /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=ECL_NIL){
	goto L55;}
	ecl_bds_bind(cl_env_copy,VV[235],V1);     /*  %%COMPONENT%%   */
	{cl_object V9;                            /*  INITIALLY-DO    */
	V9= ecl_function_dispatch(cl_env_copy,VV[547])(1,V1) /*  COMPONENT-INITIALLY-DO */;
	if((cl_functionp(V9)                      /*  FUNCTIONP       */)==ECL_NIL){
	goto L59;}
	ecl_function_dispatch(cl_env_copy,V9)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L49;
L59:;
	cl_eval(V9)                               /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L49;
	}
L55:;
	goto L49;
L51:;
	goto L49;
L49:;
	if(!(ecl_eql(V5,ECL_SYM("FILE",1238)))){
	goto L69;}
	goto L66;
	goto L67;
L69:;
	goto L67;
L67:;
	if(!(ecl_eql(V5,VV[135]))){
	goto L64;}
	goto L65;
L66:;
L65:;
	T0= L7component_operation(1,V2)           /*  COMPONENT-OPERATION */;
	V4= ecl_function_dispatch(cl_env_copy,T0)(2,V1,V3);
	goto L62;
L64:;
	if(!(ecl_eql(V5,VV[199]))){
	goto L79;}
	goto L76;
	goto L77;
L79:;
	goto L77;
L77:;
	if(!(ecl_eql(V5,VV[122]))){
	goto L83;}
	goto L76;
	goto L81;
L83:;
	goto L81;
L81:;
	if(!(ecl_eql(V5,VV[188]))){
	goto L87;}
	goto L76;
	goto L85;
L87:;
	goto L85;
L85:;
	if(!(ecl_eql(V5,VV[132]))){
	goto L74;}
	goto L75;
L76:;
L75:;
	V4= L110operate_on_components(V1,V2,V3,V4) /*  OPERATE-ON-COMPONENTS */;
	goto L62;
L74:;
	V4= ECL_NIL;
	goto L62;
L62:;
	if((ecl_function_dispatch(cl_env_copy,VV[548])(1,V1) /*  COMPONENT-FINALLY-DO */)==ECL_NIL){
	goto L91;}
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,ECL_NIL,_ecl_static_113,T0) /*  FORMAT        */;
	L95tell_user_generic(T1)                  /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=ECL_NIL){
	goto L95;}
	ecl_bds_bind(cl_env_copy,VV[235],V1);     /*  %%COMPONENT%%   */
	{cl_object V9;                            /*  FINALLY-DO      */
	V9= ecl_function_dispatch(cl_env_copy,VV[548])(1,V1) /*  COMPONENT-FINALLY-DO */;
	if((cl_functionp(V9)                      /*  FUNCTIONP       */)==ECL_NIL){
	goto L99;}
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V9)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L6;
L99:;
	cl_env_copy->values[0]=cl_eval(V9)        /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L6;
	}
L95:;
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	goto L6;
L91:;
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	goto L6;
L6:;
	}
	ecl_frs_pop(cl_env_copy);
	V8=ecl_stack_push_values(cl_env_copy);
	cl_set(ECL_SYM("*PACKAGE*",43),cl_find_package(V6) /*  FIND-PACKAGE */);
	ecl_stack_pop_values(cl_env_copy,V8);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V7);}
	if((V5)==(VV[132])){
	goto L106;}
	if((V5)==(VV[122])){
	goto L106;}
	if(!((V5)==(VV[188]))){
	goto L104;}
	goto L105;
L106:;
L105:;
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,ECL_NIL,_ecl_static_114,T0) /*  FORMAT        */;
	L95tell_user_generic(T1)                  /*  TELL-USER-GENERIC */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L111;}
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	T1= L19canonicalize_system_name(T0)       /*  CANONICALIZE-SYSTEM-NAME */;
	cl_provide(T1)                            /*  PROVIDE         */;
	goto L2;
L111:;
	goto L2;
L104:;
	goto L2;
	}
L2:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for OPERATE-ON-SYSTEM-DEPENDENCIES        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L108operate_on_system_dependencies(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT109 VLEX109 CLSR109 STCK109
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[32]))==ECL_NIL){
	goto L3;}
	ecl_bds_bind(cl_env_copy,VV[267],V3);     /*  *FORCE*         */
	{cl_object V4;
	V4= ecl_function_dispatch(cl_env_copy,VV[474])(1,V1) /*  COMPONENT-DEPENDS-ON */;
	goto L9;
L8:;
	{cl_object V5;                            /*  SYSTEM          */
	V5= ecl_car(V4);
	if((ecl_symbol_value(VV[25]))==ECL_NIL){
	goto L15;}
	if(ECL_LISTP(V5)){
	goto L15;}
	if(ECL_STRINGP(V5)){
	goto L20;}
	if(!(ECL_SYMBOLP(V5))){
	goto L15;}
	goto L19;
L20:;
L19:;
	if((L59find_system(2,V5,VV[155])          /*  FIND-SYSTEM     */)==ECL_NIL){
	goto L15;}
	if((ecl_symbol_value(VV[268]))==ECL_NIL){
	goto L26;}
	{cl_object V6;
	V6= si_make_seq_iterator(2,VV[218],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L31:;
	if((V6)!=ECL_NIL){
	goto L35;}
	goto L26;
L35:;
	goto L33;
L33:;
	{cl_object V7;
	V7= si_seq_iterator_ref(VV[218],V6)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(V2,V7))){
	goto L40;}
	if((V7)==ECL_NIL){
	goto L26;}
	goto L28;
L40:;
	goto L37;
	}
L37:;
	V6= si_seq_iterator_next(VV[218],V6)      /*  SEQ-ITERATOR-NEXT */;
	goto L31;
	}
L28:;
	{cl_object V6;
	V6= L19canonicalize_system_name(V5)       /*  CANONICALIZE-SYSTEM-NAME */;
	{cl_object V7;
	V7= si_make_seq_iterator(2,ecl_symbol_value(ECL_SYM("*MODULES*",41)),ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L47:;
	if((V7)!=ECL_NIL){
	goto L51;}
	goto L24;
L51:;
	goto L49;
L49:;
	{cl_object V8;
	V8= si_seq_iterator_ref(ecl_symbol_value(ECL_SYM("*MODULES*",41)),V7) /*  SEQ-ITERATOR-REF */;
	if((cl_string_equal(2,V6,V8)              /*  STRING-EQUAL    */)==ECL_NIL){
	goto L56;}
	if((V8)!=ECL_NIL){
	goto L23;}
	goto L24;
L56:;
	goto L53;
	}
L53:;
	V7= si_seq_iterator_next(ecl_symbol_value(ECL_SYM("*MODULES*",41)),V7) /*  SEQ-ITERATOR-NEXT */;
	goto L47;
	}
	}
L26:;
	goto L24;
L24:;
	L100operate_on_system(4,V5,V2,VV[244],V3) /*  OPERATE-ON-SYSTEM */;
	goto L13;
L23:;
	goto L13;
L15:;
	if(!(ECL_LISTP(V5))){
	goto L61;}
	{cl_object V6;
	cl_object V7;                             /*  SYSTEM-NAME     */
	cl_object V8;                             /*  DEFINITION-PATHNAME */
	cl_object V9;                             /*  ACTION          */
	cl_object V10;                            /*  VERSION         */
	V6= V5;
	if(!(V6==ECL_NIL)){
	goto L67;}
	si_dm_too_few_arguments(V5)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L65;
L67:;
	goto L65;
L65:;
	{cl_object V11;
	V11= ecl_car(V6);
	V6= ecl_cdr(V6);
	V7= V11;
	}
	if(!(V6==ECL_NIL)){
	goto L75;}
	si_dm_too_few_arguments(V5)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L73;
L75:;
	goto L73;
L73:;
	{cl_object V11;
	V11= ecl_car(V6);
	V6= ecl_cdr(V6);
	V8= V11;
	}
	if(!(V6==ECL_NIL)){
	goto L83;}
	si_dm_too_few_arguments(V5)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L81;
L83:;
	goto L81;
L81:;
	{cl_object V11;
	V11= ecl_car(V6);
	V6= ecl_cdr(V6);
	V9= V11;
	}
	if((V6)==ECL_NIL){
	goto L90;}
	{cl_object V11;
	V11= ecl_car(V6);
	V6= ecl_cdr(V6);
	V10= V11;
	goto L88;
	}
L90:;
	V10= ECL_NIL;
	goto L88;
L88:;
	if((V6)==ECL_NIL){
	goto L97;}
	si_dm_too_many_arguments(V5)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L95;
L97:;
	goto L95;
L95:;
	if(!(V7==ECL_NIL)){
	goto L102;}
	if(!(V8==ECL_NIL)){
	goto L102;}
	T0= V9;
	goto L100;
L102:;
	T0= V5;
	goto L100;
L100:;
	L94tell_user_require_system(T0,V1)        /*  TELL-USER-REQUIRE-SYSTEM */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L106;}
	T0= cl_eval(V8)                           /*  EVAL            */;
	value0=V10;
	if((value0)!=ECL_NIL){
	goto L110;}
	T1= ecl_symbol_value(VV[36]);
	goto L108;
L110:;
	T1= value0;
	goto L108;
L108:;
	L113new_require(5,V7,ECL_NIL,T0,V9,T1)    /*  NEW-REQUIRE     */;
	goto L13;
L106:;
	goto L13;
	}
L61:;
	{cl_object V11;
	if((ecl_function_dispatch(cl_env_copy,VV[92])(1,V5) /*  COMPONENT-P */)==ECL_NIL){
	goto L114;}
	{cl_object V12;
	V12= ecl_function_dispatch(cl_env_copy,VV[141])(1,V5) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V12,VV[132]))){
	goto L122;}
	value0=VV[269];
	goto L120;
L122:;
	value0=ECL_NIL;
	goto L120;
L120:;
	if((value0)!=ECL_NIL){
	goto L119;}
	if(!(ecl_eql(V12,VV[188]))){
	goto L126;}
	value0=VV[260];
	goto L124;
L126:;
	value0=ECL_NIL;
	goto L124;
L124:;
	if((value0)!=ECL_NIL){
	goto L119;}
	if(!(ecl_eql(V12,VV[122]))){
	goto L129;}
	T0= VV[198];
	goto L116;
L129:;
	T0= ECL_NIL;
	goto L116;
L119:;
	T0= value0;
	goto L116;
	}
L116:;
	V11= Null(T0)?ECL_T:ECL_NIL;
	goto L112;
L114:;
	V11= ECL_NIL;
	goto L112;
L112:;
	if((V11)==ECL_NIL){
	goto L132;}
	goto L13;
L132:;
	L94tell_user_require_system(V5,V1)        /*  TELL-USER-REQUIRE-SYSTEM */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L136;}
	L113new_require(1,V5)                     /*  NEW-REQUIRE     */;
	goto L13;
L136:;
	goto L13;
	}
L13:;
	}
	V4= ecl_cdr(V4);
L9:;
	if((V4)==ECL_NIL){
	goto L142;}
	goto L8;
L142:;
	goto L140;
L140:;
	goto L6;
L6:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MODULE-DEPENDS-ON-CHANGED             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L109module_depends_on_changed(cl_object V1, cl_object V2)
{ VT110 VLEX110 CLSR110 STCK110
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_function_dispatch(cl_env_copy,VV[474])(1,V1) /*  COMPONENT-DEPENDS-ON */;
	goto L5;
L4:;
	{cl_object V4;                            /*  DEPENDENT       */
	V4= ecl_car(V3);
	if((ecl_memql(V4,V2))==ECL_NIL){
	goto L11;}
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L11:;
	goto L9;
L9:;
	}
	V3= ecl_cdr(V3);
L5:;
	if((V3)==ECL_NIL){
	goto L17;}
	goto L4;
L17:;
	goto L15;
L15:;
	goto L2;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for OPERATE-ON-COMPONENTS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L110operate_on_components(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT111 VLEX111 CLSR111 STCK111
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L90tell_user(5,V2,V1,ECL_NIL,ECL_NIL,ECL_NIL) /*  TELL-USER   */;
	if((ecl_function_dispatch(cl_env_copy,VV[475])(1,V1) /*  COMPONENT-COMPONENTS */)==ECL_NIL){
	goto L5;}
	{cl_object V5;
	V5= ecl_function_dispatch(cl_env_copy,VV[475])(1,V1) /*  COMPONENT-COMPONENTS */;
	goto L11;
L10:;
	{cl_object V6;                            /*  MODULE          */
	V6= ecl_car(V5);
	if((L109module_depends_on_changed(V6,V4)  /*  MODULE-DEPENDS-ON-CHANGED */)==ECL_NIL){
	goto L21;}
	if((L6non_empty_listp(V3)                 /*  NON-EMPTY-LISTP */)!=ECL_NIL){
	goto L24;}
	if(!((V3)==(VV[239]))){
	goto L21;}
	goto L22;
L24:;
L22:;
	if(!((V3)==(VV[239]))){
	goto L27;}
	T0= VV[272];
	goto L19;
L27:;
	T0= VV[238];
	goto L19;
L21:;
	if((L6non_empty_listp(V3)                 /*  NON-EMPTY-LISTP */)==ECL_NIL){
	goto L30;}
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,VV[142])(1,V6) /*  COMPONENT-NAME */;
	{cl_object V8;
	V8= V3;
	goto L38;
L37:;
	{cl_object V9;
	cl_object V10;
	if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
	V9= V8;
	V10= ECL_CONS_CAR(V9);
	T1= cl_string(V10)                        /*  STRING          */;
	if((cl_string_equal(2,V7,T1)              /*  STRING-EQUAL    */)==ECL_NIL){
	goto L45;}
	if((V9)==ECL_NIL){
	goto L30;}
	goto L31;
L45:;
	goto L40;
	}
L40:;
	V8= ECL_CONS_CDR(V8);
L38:;
	if(V8==ECL_NIL){
	goto L51;}
	goto L37;
L51:;
	goto L49;
L49:;
	goto L35;
L35:;
	goto L30;
	}
	}
L31:;
	T0= VV[238];
	goto L19;
L30:;
	T0= V3;
	goto L19;
L19:;
	if((L107operate_on_component(V6,V2,T0)    /*  OPERATE-ON-COMPONENT */)==ECL_NIL){
	goto L17;}
	V4= CONS(V6,V4);
	goto L15;
L17:;
	goto L15;
L15:;
	}
	V5= ecl_cdr(V5);
L11:;
	if((V5)==ECL_NIL){
	goto L58;}
	goto L10;
L58:;
	goto L56;
L56:;
	goto L8;
L8:;
	goto L3;
	}
L5:;
	if(!((V2)==(ECL_SYM("COMPILE",233)))){
	goto L66;}
	goto L63;
	goto L64;
L66:;
	goto L64;
L64:;
	if(!(ecl_eql(V2,VV[216]))){
	goto L61;}
	goto L62;
L63:;
L62:;
	ecl_bds_bind(cl_env_copy,VV[235],V1);     /*  %%COMPONENT%%   */
	{cl_object V6;                            /*  COMPILE-FORM    */
	V6= ecl_function_dispatch(cl_env_copy,VV[552])(1,V1) /*  COMPONENT-COMPILE-FORM */;
	if((cl_functionp(V6)                      /*  FUNCTIONP       */)==ECL_NIL){
	goto L71;}
	ecl_function_dispatch(cl_env_copy,V6)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
L71:;
	cl_eval(V6)                               /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
	}
L61:;
	if(!((V2)==(ECL_SYM("LOAD",487)))){
	goto L79;}
	goto L76;
	goto L77;
L79:;
	goto L77;
L77:;
	if(!(ecl_eql(V2,VV[154]))){
	goto L74;}
	goto L75;
L76:;
L75:;
	ecl_bds_bind(cl_env_copy,VV[235],V1);     /*  %%COMPONENT%%   */
	{cl_object V7;                            /*  LOAD-FORM       */
	V7= ecl_function_dispatch(cl_env_copy,VV[553])(1,V1) /*  COMPONENT-LOAD-FORM */;
	if((cl_functionp(V7)                      /*  FUNCTIONP       */)==ECL_NIL){
	goto L84;}
	ecl_function_dispatch(cl_env_copy,V7)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
L84:;
	cl_eval(V7)                               /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
	}
L74:;
	goto L3;
L3:;
	L91tell_user_done(3,V1,ECL_NIL,ECL_NIL)   /*  TELL-USER-DONE  */;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEW-REQUIRE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L113new_require(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT112 VLEX112 CLSR112 STCK112
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V5= ecl_symbol_value(VV[36]);
	} else {
	i++;
	V5= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==ECL_NIL){
	goto L9;}
	{cl_object V6;
	V6= cl_string(V1)                         /*  STRING          */;
	{cl_object V7;
	V7= si_make_seq_iterator(2,ecl_symbol_value(ECL_SYM("*MODULES*",41)),ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L14:;
	if((V7)!=ECL_NIL){
	goto L18;}
	goto L7;
L18:;
	goto L16;
L16:;
	{cl_object V8;
	V8= si_seq_iterator_ref(ecl_symbol_value(ECL_SYM("*MODULES*",41)),V7) /*  SEQ-ITERATOR-REF */;
	if((cl_stringE(2,V6,V8)                   /*  STRING=         */)==ECL_NIL){
	goto L23;}
	if((V8)!=ECL_NIL){
	goto L6;}
	goto L7;
L23:;
	goto L20;
	}
L20:;
	V7= si_seq_iterator_next(ecl_symbol_value(ECL_SYM("*MODULES*",41)),V7) /*  SEQ-ITERATOR-NEXT */;
	goto L14;
	}
	}
L9:;
	goto L7;
L7:;
	{volatile cl_object env1 = env0;
	env1 = ECL_NIL;
	CLV0=env1=CONS(ECL_NIL,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L28;
	if (cl_env_copy->values[0]==ecl_make_fixnum(1))goto L29;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC111__g619,env2,Cblock);
	T1= CONS(VV[129],T0);
	T2= ecl_make_cclosure_va((cl_objectfn)LC112__g620,env2,Cblock);
	T3= CONS(ECL_SYM("ERROR",337),T2);
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	T5= CONS(T4,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T5); /*  *HANDLER-CLUSTERS* */
	if((V2)==ECL_NIL){
	goto L34;}
	value0=ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[274]))(2,V1,V2);
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L34:;
	if((L59find_system(3,V1,VV[155],V3)       /*  FIND-SYSTEM     */)==ECL_NIL){
	goto L37;}
	value0=L100operate_on_system(20,V1,VV[154],VV[244],ecl_symbol_value(VV[267]),ECL_SYM("VERSION",1327),V5,ECL_SYM("TEST",1317),ecl_symbol_value(VV[17]),ECL_SYM("VERBOSE",1326),ecl_symbol_value(VV[16]),VV[246],ecl_symbol_value(VV[18]),VV[247],ecl_symbol_value(VV[19]),VV[248],ecl_symbol_value(VV[21]),VV[245],ecl_symbol_value(VV[20]),VV[250],ecl_symbol_value(VV[23])) /*  OPERATE-ON-SYSTEM */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L37:;
	{cl_object V6;
	if((V4)==ECL_NIL){
	goto L41;}
	V6= cl_eval(V4)                           /*  EVAL            */;
	goto L39;
L41:;
	V6= ECL_NIL;
	goto L39;
L39:;
	if((V6)==ECL_NIL){
	goto L44;}
	value0=V6; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L44:;
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[274]))(1,V1);
	if((V7)==ECL_NIL){
	goto L48;}
	value0=V7; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L48:;
	value0=cl_error(3,VV[130],ECL_SYM("NAME",1274),V1) /*  ERROR  */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
	}
L28:;
	{cl_object V6;                            /*  MMC             */
	V6= ECL_CONS_CAR(CLV0);
	value0=(cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(1,V6) /*  SIGNAL */;
	ecl_frs_pop(cl_env_copy);
	return value0;
	}
L29:;
	value0=cl_error(3,VV[130],ECL_SYM("NAME",1274),V1) /*  ERROR  */;
	ecl_frs_pop(cl_env_copy);
	return value0;}
	}
L6:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G619                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC111__g619(cl_narg narg, cl_object V1, ...)
{ VT113 VLEX113 CLSR113 STCK113
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
}}}
/*	closure G620                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112__g620(cl_narg narg, cl_object V1, ...)
{ VT114 VLEX114 CLSR114 STCK114
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(1));
}}}
/*	function definition for CMUCL-MK-DEFSYSTEM-MODULE-PROVIDER    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L114cmucl_mk_defsystem_module_provider(cl_object V1)
{ VT115 VLEX115 CLSR115 STCK115
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  MODULE-NAME     */
	T0= cl_string(V1)                         /*  STRING          */;
	V2= cl_string_downcase(1,T0)              /*  STRING-DOWNCASE */;
	if((L59find_system(2,V2,VV[155])          /*  FIND-SYSTEM     */)==ECL_NIL){
	goto L3;}
	value0=L102load_system(5,V2,VV[248],ECL_T,ECL_SYM("VERBOSE",1326),ECL_NIL) /*  LOAD-SYSTEM */;
	return value0;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-LANGUAGE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L115find_language(cl_object V1)
{ VT116 VLEX116 CLSR116 STCK116
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[277])) /*  GETHASH */;
	return value0;
}}
/*	function definition for MAKE-LANGUAGE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L116make_language(cl_narg narg, ...)
{ VT117 VLEX117 CLSR117 STCK117
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L116make_languagekeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	}
	value0=si_make_structure(6,VV[282],V1,V2,V3,V4,V5) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for PRINT-LANGUAGE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L117print_language(cl_object V1, cl_object V2, cl_object V3)
{ VT118 VLEX118 CLSR118 STCK118
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[564])(1,V1) /*  LANGUAGE-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[565])(1,V1) /*  LANGUAGE-SOURCE-EXTENSION */;
	T2= ecl_function_dispatch(cl_env_copy,VV[566])(1,V1) /*  LANGUAGE-BINARY-EXTENSION */;
	value0=cl_format(5,V2,_ecl_static_117,T0,T1,T2) /*  FORMAT    */;
	return value0;
}}
/*	function definition for COMPILE-FUNCTION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L118compile_function(cl_object V1)
{ VT119 VLEX119 CLSR119 STCK119
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[495])(1,V1) /*  COMPONENT-COMPILER */;
	if((value0)!=ECL_NIL){
	goto L2;}
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=ECL_NIL){
	goto L8;}
	T0= VV[285];
	goto L6;
L8:;
	T0= value0;
	goto L6;
L6:;
	V2= L115find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==ECL_NIL){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[568])(1,V2) /*  LANGUAGE-COMPILER */;
	goto L4;
L11:;
	value0=ECL_NIL;
	goto L4;
	}
L4:;
	if((value0)!=ECL_NIL){
	goto L2;}
	value0=(ECL_SYM("COMPILE-FILE",234)->symbol.gfdef); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOAD-FUNCTION                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L119load_function(cl_object V1)
{ VT120 VLEX120 CLSR120 STCK120
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[496])(1,V1) /*  COMPONENT-LOADER */;
	if((value0)!=ECL_NIL){
	goto L2;}
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=ECL_NIL){
	goto L8;}
	T0= VV[285];
	goto L6;
L8:;
	T0= value0;
	goto L6;
L6:;
	V2= L115find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==ECL_NIL){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[570])(1,V2) /*  LANGUAGE-LOADER */;
	goto L4;
L11:;
	value0=ECL_NIL;
	goto L4;
	}
L4:;
	if((value0)!=ECL_NIL){
	goto L2;}
	value0=(ECL_SYM("LOAD",487)->symbol.gfdef); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DEFAULT-SOURCE-EXTENSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L120default_source_extension(cl_object V1)
{ VT121 VLEX121 CLSR121 STCK121
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=ECL_NIL){
	goto L4;}
	T0= VV[285];
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	V2= L115find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==ECL_NIL){
	goto L10;}
	value0=ecl_function_dispatch(cl_env_copy,VV[565])(1,V2) /*  LANGUAGE-SOURCE-EXTENSION */;
	goto L8;
L10:;
	value0=ECL_NIL;
	goto L8;
L8:;
	if((value0)!=ECL_NIL){
	goto L7;}
	value0=ecl_car(ecl_symbol_value(VV[30])); cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DEFAULT-BINARY-EXTENSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L121default_binary_extension(cl_object V1)
{ VT122 VLEX122 CLSR122 STCK122
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=ECL_NIL){
	goto L4;}
	T0= VV[285];
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	V2= L115find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==ECL_NIL){
	goto L10;}
	value0=ecl_function_dispatch(cl_env_copy,VV[566])(1,V2) /*  LANGUAGE-BINARY-EXTENSION */;
	goto L8;
L10:;
	value0=ECL_NIL;
	goto L8;
L8:;
	if((value0)!=ECL_NIL){
	goto L7;}
	value0=ecl_cdr(ecl_symbol_value(VV[30])); cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DEFINE-LANGUAGE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC122define_language(cl_object V1, cl_object V2)
{ VT123 VLEX123 CLSR123 STCK123
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;
	cl_object V6;                             /*  COMPILER        */
	cl_object V7;
	cl_object V8;                             /*  LOADER          */
	cl_object V9;
	cl_object V10;                            /*  SOURCE-EXTENSION */
	cl_object V11;
	cl_object V12;                            /*  BINARY-EXTENSION */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V13;
	V13= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V13;
	}
	V5= si_search_keyword(2,V3,VV[290])       /*  SEARCH-KEYWORD  */;
	if(!((V5)==(ECL_SYM("MISSING-KEYWORD",1919)))){
	goto L13;}
	V6= ECL_NIL;
	goto L11;
L13:;
	V6= V5;
	goto L11;
L11:;
	V7= si_search_keyword(2,V3,VV[291])       /*  SEARCH-KEYWORD  */;
	if(!((V7)==(ECL_SYM("MISSING-KEYWORD",1919)))){
	goto L18;}
	V8= ECL_NIL;
	goto L16;
L18:;
	V8= V7;
	goto L16;
L16:;
	V9= si_search_keyword(2,V3,VV[292])       /*  SEARCH-KEYWORD  */;
	if(!((V9)==(ECL_SYM("MISSING-KEYWORD",1919)))){
	goto L23;}
	V10= ECL_NIL;
	goto L21;
L23:;
	V10= V9;
	goto L21;
L21:;
	V11= si_search_keyword(2,V3,VV[293])      /*  SEARCH-KEYWORD  */;
	if(!((V11)==(ECL_SYM("MISSING-KEYWORD",1919)))){
	goto L28;}
	V12= ECL_NIL;
	goto L26;
L28:;
	V12= V11;
	goto L26;
L26:;
	si_check_keyword(2,V3,VV[294])            /*  CHECK-KEYWORD   */;
	{cl_object V13;                           /*  LANGUAGE        */
	V13= cl_gensym(1,_ecl_static_118)         /*  GENSYM          */;
	T0= cl_list(11,VV[283],ECL_SYM("NAME",1274),V4,VV[290],V6,VV[291],V8,VV[292],V10,VV[293],V12) /*  LIST */;
	T1= cl_list(2,V13,T0)                     /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(3,ECL_SYM("GETHASH",413),V4,VV[277]) /*  LIST     */;
	T4= cl_list(3,ECL_SYM("SETF",750),T3,V13) /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",477),T2,T4,V4) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for SCHEME-COMPILE-FILE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L123scheme_compile_file(cl_narg narg, cl_object V1, ...)
{ VT124 VLEX124 CLSR124 STCK124
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	{cl_object V3;                            /*  SCHEME-PACKAGE  */
	V3= cl_find_package(VV[296])              /*  FIND-PACKAGE    */;
	T0= ecl_symbol_name(ECL_SYM("COMPILE-FILE",234));
	T1= cl_find_symbol(2,T0,V3)               /*  FIND-SYMBOL     */;
	T2= cl_symbol_function(T1)                /*  SYMBOL-FUNCTION */;
	T5= ecl_symbol_name(VV[297]);
	T6= cl_find_symbol(2,T5,V3)               /*  FIND-SYMBOL     */;
	T4= cl_symbol_function(T6)                /*  SYMBOL-FUNCTION */;
	T3= ecl_function_dispatch(cl_env_copy,T4)(0);
	value0=cl_apply(4,T2,V1,T3,V2)            /*  APPLY           */;
	return value0;
	}
}}
/*	function definition for RUN-UNIX-PROGRAM                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L124run_unix_program(cl_object V1, cl_object V2)
{ VT125 VLEX125 CLSR125 STCK125
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_format(4,ECL_NIL,_ecl_static_122,V1,V2) /*  FORMAT     */;
	value0=ecl_function_dispatch(cl_env_copy,VV[576])(1,T0) /*  SYSTEM */;
	return value0;
}}
/*	function definition for RUN-SHELL-COMMAND                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L125run_shell_command(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT126 VLEX126 CLSR126 STCK126
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	ecl_va_list args; ecl_va_start(args,V2,narg,2);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L125run_shell_commandkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[2]==ECL_NIL){
	V3= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
	}else{
	V3= keyvars[0];}
	if(keyvars[3]==ECL_NIL){
	V4= ecl_symbol_value(VV[302]);
	}else{
	V4= keyvars[1];}
	}
	{cl_object V5;                            /*  COMMAND         */
	T0= (ECL_SYM("FORMAT",387)->symbol.gfdef);
	V5= cl_apply(4,T0,ECL_NIL,V1,V2)          /*  APPLY           */;
	value0=cl_error(1,_ecl_static_124)        /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for DEFAULT-OUTPUT-PATHNAME               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L126default_output_pathname(cl_object V1, cl_object V2, cl_object V3)
{ VT127 VLEX127 CLSR127 STCK127
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_T))){
	goto L2;}
	T0= cl_make_pathname(2,ECL_SYM("TYPE",1319),V3) /*  MAKE-PATHNAME */;
	T1= cl_pathname(V2)                       /*  PATHNAME        */;
	T2= cl_merge_pathnames(2,T0,T1)           /*  MERGE-PATHNAMES */;
	value0=cl_translate_logical_pathname(1,T2) /*  TRANSLATE-LOGICAL-PATHNAME */;
	return value0;
L2:;
	T0= cl_pathname(V1)                       /*  PATHNAME        */;
	value0=cl_translate_logical_pathname(1,T0) /*  TRANSLATE-LOGICAL-PATHNAME */;
	return value0;
}}
/*	function definition for RUN-COMPILER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L128run_compiler(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3, cl_object volatile V4, cl_object volatile V5, cl_object volatile V6)
{ VT128 VLEX128 CLSR128 STCK128
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V7;                   /*  LET2295         */
	volatile cl_object V8;                    /*  VERBOSE-STREAM  */
	volatile cl_object V9;                    /*  FATAL-ERROR     */
	volatile cl_object V10;                   /*  OUTPUT-FILE-WRITTEN */
	V7= cl_file_write_date(V3)                /*  FILE-WRITE-DATE */;
	V8= ECL_NIL;
	V9= ECL_NIL;
	V10= ECL_NIL;
	{
	volatile bool unwinding = FALSE;
	cl_index V11=ECL_STACK_INDEX(cl_env_copy),V12;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	if((V6)==ECL_NIL){
	goto L10;}
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
	goto L8;
L10:;
	T0= ECL_NIL;
	goto L8;
L8:;
	V8= LC127make_useable_stream(1,T0)        /*  MAKE-USEABLE-STREAM */;
	cl_format(4,V8,_ecl_static_125,V1,V2)     /*  FORMAT          */;
	if((L124run_unix_program(V1,V2)           /*  RUN-UNIX-PROGRAM */)==ECL_NIL){
	goto L16;}
	V9= ECL_NIL;
	goto L14;
L16:;
	V9= ECL_NIL;
	goto L14;
L14:;
	if((cl_probe_file(V3)                     /*  PROBE-FILE      */)==ECL_NIL){
	goto L21;}
	T0= cl_file_write_date(V3)                /*  FILE-WRITE-DATE */;
	{bool V13;
	V13= ecl_eql(V7,T0);
	V10= (V13)?ECL_NIL:ECL_T;
	goto L19;}
L21:;
	V10= ECL_NIL;
	goto L19;
L19:;
	if((V10)==ECL_NIL){
	goto L25;}
	cl_format(3,V8,_ecl_static_126,V3)        /*  FORMAT          */;
	goto L23;
L25:;
	goto L23;
L23:;
	cl_format(3,V8,_ecl_static_127,V1)        /*  FORMAT          */;
	if((V10)==ECL_NIL){
	goto L30;}
	T0= V3;
	goto L28;
L30:;
	T0= ECL_NIL;
	goto L28;
L28:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V9;
	cl_env_copy->values[1]=V9;
	cl_env_copy->values[0]=T0;
	}
	ecl_frs_pop(cl_env_copy);
	V12=ecl_stack_push_values(cl_env_copy);
	if((V10)==ECL_NIL){
	goto L35;}
	goto L33;
L35:;
	goto L33;
L33:;
	ecl_stack_pop_values(cl_env_copy,V12);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V11);
	return cl_env_copy->values[0];}
	}
}}
/*	local function MAKE-USEABLE-STREAM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC127make_useable_stream(cl_narg narg, ...)
{ VT129 VLEX129 CLSR129 STCK129
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	ecl_va_end(args);
	T0= (ECL_SYM("MAKE-BROADCAST-STREAM",523)->symbol.gfdef);
	T1= cl_delete(2,ECL_NIL,V1)               /*  DELETE          */;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
}}
/*	function definition for C-COMPILE-FILE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L131c_compile_file(cl_narg narg, cl_object V1, ...)
{ VT130 VLEX130 CLSR130 STCK130
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	cl_object V13;
	cl_object V14;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[26];
	cl_parse_key(args,13,L131c_compile_filekeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[13]==ECL_NIL){
	V2= ECL_T;
	}else{
	V2= keyvars[0];}
	if(keyvars[14]==ECL_NIL){
	V3= ECL_T;
	}else{
	V3= keyvars[1];}
	if(keyvars[15]==ECL_NIL){
	V4= ECL_T;
	}else{
	V4= keyvars[2];}
	if(keyvars[16]==ECL_NIL){
	V5= ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29));
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	V7= keyvars[5];
	V8= keyvars[6];
	V9= keyvars[7];
	V10= keyvars[8];
	V11= keyvars[9];
	V12= keyvars[10];
	V13= keyvars[11];
	if(keyvars[25]==ECL_NIL){
	V14= ECL_T;
	}else{
	V14= keyvars[12];}
	}
	{cl_object V15;                           /*  OUTPUT-FILE     */
	cl_object V16;                            /*  ARGUMENTS       */
	V15= L126default_output_pathname(V2,V1,_ecl_static_129) /*  DEFAULT-OUTPUT-PATHNAME */;
	if((V7)!=ECL_NIL){
	goto L10;}
	T0= VV[306];
	goto L8;
L10:;
	T0= ECL_NIL;
	goto L8;
L8:;
	if((V6)==ECL_NIL){
	goto L14;}
	T1= VV[307];
	goto L12;
L14:;
	T1= ECL_NIL;
	goto L12;
L12:;
	if((V8)==ECL_NIL){
	goto L18;}
	T3= cl_format(3,ECL_NIL,_ecl_static_130,V8) /*  FORMAT        */;
	T2= ecl_list1(T3);
	goto L16;
L18:;
	T2= ECL_NIL;
	goto L16;
L16:;
	T4= ecl_make_cfun((cl_objectfn_fixed)LC130__g656,ECL_NIL,Cblock,1);
	T3= LC129map_options(3,_ecl_static_131,V10,T4) /*  MAP-OPTIONS */;
	T5= (ECL_SYM("TRUENAME",864)->symbol.gfdef);
	T4= LC129map_options(3,_ecl_static_133,V11,T5) /*  MAP-OPTIONS */;
	T5= cl_truename(V1)                       /*  TRUENAME        */;
	T6= cl_namestring(T5)                     /*  NAMESTRING      */;
	T7= cl_translate_logical_pathname(1,V15)  /*  TRANSLATE-LOGICAL-PATHNAME */;
	T8= cl_namestring(T7)                     /*  NAMESTRING      */;
	T10= (ECL_SYM("TRUENAME",864)->symbol.gfdef);
	T9= LC129map_options(3,_ecl_static_135,V12,T10) /*  MAP-OPTIONS */;
	T10= LC129map_options(2,_ecl_static_136,V13) /*  MAP-OPTIONS  */;
	T11= ecl_append(T9,T10);
	T12= cl_listX(4,T6,_ecl_static_134,T8,T11) /*  LIST*          */;
	V16= cl_append(7,T0,T1,T2,V9,T3,T4,T12)   /*  APPEND          */;
	cl_env_copy->values[0]=L128run_compiler(ecl_symbol_value(VV[300]),V16,V15,V3,V4,V5) /*  RUN-COMPILER */;
	{
	cl_object V18;                            /*  OUTPUT-FILE     */
	cl_object V19;                            /*  WARNINGS        */
	cl_object V20;                            /*  FATAL-ERRORS    */
	{int V21=cl_env_copy->nvalues-0;
	if (V21--<=0) goto L28;
	V18= cl_env_copy->values[0];
	if (V21--<=0) goto L29;
	V19= cl_env_copy->values[1];
	if (V21--<=0) goto L30;
	V20= cl_env_copy->values[2];
	goto L31;}
L28:;
	V18= ECL_NIL;
L29:;
	V19= ECL_NIL;
L30:;
	V20= ECL_NIL;
L31:;
	if((V14)==ECL_NIL){
	goto L33;}
	if((V18)==ECL_NIL){
	goto L36;}
	if((V20)==ECL_NIL){
	goto L33;}
	goto L34;
L36:;
L34:;
	value0=cl_error(1,_ecl_static_137)        /*  ERROR           */;
	return value0;
L33:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V20;
	cl_env_copy->values[1]=V19;
	cl_env_copy->values[0]=V18;
	return cl_env_copy->values[0];}
	}
}}
/*	local function MAP-OPTIONS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC129map_options(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT131 VLEX131 CLSR131 STCK131
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= (ECL_SYM("IDENTITY",426)->symbol.gfdef);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	V4= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
	V5= V2;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(ECL_NIL);
	V7= V6;
L8:;
	if(!(ecl_endp(V5))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V4= _ecl_car(V5);
	{cl_object V8;
	V8= _ecl_cdr(V5);
	if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
	V5= V8;
	}
	if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
	T0= V7;
	T2= ecl_function_dispatch(cl_env_copy,V3)(1,V4);
	T1= cl_format(4,ECL_NIL,_ecl_static_128,V1,T2) /*  FORMAT     */;
	V7= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V7,T0);
	goto L8;
L9:;
	value0=ecl_cdr(V6); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function G656                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC130__g656(cl_object V1)
{ VT132 VLEX132 CLSR132 STCK132
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ATOM(V1))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= (ECL_SYM("FORMAT",387)->symbol.gfdef);
	value0=cl_apply(4,T0,ECL_NIL,_ecl_static_132,V1) /*  APPLY    */;
	return value0;
}}
/*	function definition for FORTRAN-COMPILE-FILE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L132fortran_compile_file(cl_narg narg, cl_object V1, ...)
{ VT133 VLEX133 CLSR133 STCK133
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L132fortran_compile_filekeys,keyvars,NULL,TRUE);
	ecl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	}
	{cl_object V4;                            /*  ARG-LIST        */
	if((V2)==ECL_NIL){
	goto L4;}
	T0= cl_list(2,_ecl_static_134,V2)         /*  LIST            */;
	goto L2;
L4:;
	T0= ECL_NIL;
	goto L2;
L2:;
	T1= cl_listX(3,_ecl_static_140,V1,T0)     /*  LIST*           */;
	V4= ecl_append(ecl_symbol_value(VV[311]),T1);
	value0=L124run_unix_program(ecl_symbol_value(VV[310]),V4) /*  RUN-UNIX-PROGRAM */;
	return value0;
	}
}}
/*	function definition for BUILD-LIB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L133build_lib(cl_object V1, cl_object V2)
{ VT134 VLEX134 CLSR134 STCK134
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARGS            */
	T0= cl_truename(V1)                       /*  TRUENAME        */;
	V3= cl_list(2,_ecl_static_143,T0)         /*  LIST            */;
	cl_format(3,ECL_T,_ecl_static_144,V1)     /*  FORMAT          */;
	T0= ecl_symbol_value(VV[314]);
	{cl_object V4;                            /*  LET2301         */
	cl_object V5;
	cl_object V6;
	V4= cl_directory(1,V2)                    /*  DIRECTORY       */;
	V5= ECL_NIL;
	V6= V4;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(ECL_NIL);
	V8= V7;
L10:;
	if(!(ecl_endp(V6))){
	goto L14;}
	goto L11;
L14:;
	goto L12;
L12:;
	V5= _ecl_car(V6);
	{cl_object V9;
	V9= _ecl_cdr(V6);
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	V6= V9;
	}
	if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
	T2= V8;
	T3= cl_truename(V5)                       /*  TRUENAME        */;
	V8= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V8,T2);
	goto L10;
L11:;
	T1= ecl_cdr(V7);
	goto L3;
	}
	}
L3:;
	T2= ecl_append(V3,T1);
	value0=L124run_unix_program(T0,T2)        /*  RUN-UNIX-PROGRAM */;
	return value0;
	}
}}
/*	function definition for COMPILE-AND-LOAD-OPERATION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L134compile_and_load_operation(cl_object V1, cl_object V2)
{ VT135 VLEX135 CLSR135 STCK135
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CHANGED         */
	V3= L136compile_file_operation(V1,V2)     /*  COMPILE-FILE-OPERATION */;
	if((V3)==ECL_NIL){
	goto L3;}
	if((ecl_function_dispatch(cl_env_copy,VV[488])(1,V1) /*  COMPONENT-COMPILE-ONLY */)==ECL_NIL){
	goto L3;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if((L140load_file_operation(V1,V2)        /*  LOAD-FILE-OPERATION */)==ECL_NIL){
	goto L7;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L7:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for UNMUNGE-LUCID                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L135unmunge_lucid(cl_object V1)
{ VT136 VLEX136 CLSR136 STCK136
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L13null_string(V1)                    /*  NULL-STRING     */)==ECL_NIL){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	{ecl_character V2;
	V2= ecl_char(V1,0);
	if(!((V2)==((ecl_character)(47)))){
	goto L5;}}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	value0=cl_concatenate(3,ECL_SYM("STRING",805),_ecl_static_145,V1) /*  CONCATENATE */;
	return value0;
}}
/*	function definition for COMPILE-FILE-OPERATION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L136compile_file_operation(cl_object V1, cl_object V2)
{ VT137 VLEX137 CLSR137 STCK137
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET2302         */
	cl_object V4;                             /*  LET2303         */
	T0= ecl_function_dispatch(cl_env_copy,VV[487])(1,V1) /*  COMPONENT-LOAD-ONLY */;
	if(!(T0==ECL_NIL)){
	goto L3;}
	{cl_object V5;
	V5= si_make_seq_iterator(2,VV[320],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L10:;
	if((V5)!=ECL_NIL){
	goto L14;}
	value0=ECL_NIL;
	goto L7;
L14:;
	goto L12;
L12:;
	{cl_object V6;
	V6= si_seq_iterator_ref(VV[320],V5)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V6))){
	goto L19;}
	value0=V6;
	goto L7;
L19:;
	goto L16;
	}
L16:;
	V5= si_seq_iterator_next(VV[320],V5)      /*  SEQ-ITERATOR-NEXT */;
	goto L10;
	}
L7:;
	if((value0)!=ECL_NIL){
	goto L6;}
	{cl_object V5;
	V5= si_make_seq_iterator(2,VV[321],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L28:;
	if((V5)!=ECL_NIL){
	goto L32;}
	goto L24;
L32:;
	goto L30;
L30:;
	{cl_object V6;
	V6= si_seq_iterator_ref(VV[321],V5)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V6))){
	goto L37;}
	if((V6)==ECL_NIL){
	goto L24;}
	goto L25;
L37:;
	goto L34;
	}
L34:;
	V5= si_seq_iterator_next(VV[321],V5)      /*  SEQ-ITERATOR-NEXT */;
	goto L28;
	}
L25:;
	V3= L138needs_compilation(V1,ECL_NIL)     /*  NEEDS-COMPILATION */;
	goto L1;
L24:;
	V3= ECL_NIL;
	goto L1;
L6:;
	V3= value0;
	goto L1;
L3:;
	V3= ECL_NIL;
	goto L1;
L1:;
	V4= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	if((V3)==ECL_NIL){
	goto L43;}
	if((cl_probe_file(V4)                     /*  PROBE-FILE      */)==ECL_NIL){
	goto L43;}
	L90tell_user(5,_ecl_static_146,V1,VV[137],ECL_NIL,ECL_NIL) /*  TELL-USER */;
	{cl_object V5;                            /*  OUTPUT-FILE     */
	V5= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	T0= cl_pathname_host(1,V5)                /*  PATHNAME-HOST   */;
	T1= cl_pathname_directory(1,V5)           /*  PATHNAME-DIRECTORY */;
	T2= cl_make_pathname(4,ECL_SYM("HOST",1244),T0,ECL_SYM("DIRECTORY",1220),T1) /*  MAKE-PATHNAME */;
	cl_ensure_directories_exist(1,T2)         /*  ENSURE-DIRECTORIES-EXIST */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L52;}
	T0= L118compile_function(V1)              /*  COMPILE-FUNCTION */;
	T1= ecl_function_dispatch(cl_env_copy,VV[489])(1,V1) /*  COMPONENT-COMPILER-OPTIONS */;
	cl_apply(5,T0,V4,VV[322],V5,T1)           /*  APPLY           */;
	goto L48;
L52:;
	goto L48;
	}
L48:;
	L91tell_user_done(3,V1,ECL_NIL,ECL_NIL)   /*  TELL-USER-DONE  */;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L43:;
	if((V3)==ECL_NIL){
	goto L55;}
	L90tell_user(5,_ecl_static_147,V1,VV[137],VV[323],VV[244]) /*  TELL-USER */;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L55:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for COMPILED-FILE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L137compiled_file_p(cl_object V1)
{ VT138 VLEX138 CLSR138 STCK138
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEEDS-COMPILATION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L138needs_compilation(cl_object V1, cl_object V2)
{ VT139 VLEX139 CLSR139 STCK139
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET2304         */
	cl_object V4;                             /*  LET2305         */
	V3= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	V4= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	if((cl_probe_file(V3)                     /*  PROBE-FILE      */)==ECL_NIL){
	goto L4;}
	T0= cl_probe_file(V4)                     /*  PROBE-FILE      */;
	value0=ecl_make_bool(T0==ECL_NIL);
	if((value0)!=ECL_NIL){
	goto L7;}
	T0= cl_file_write_date(V4)                /*  FILE-WRITE-DATE */;
	T1= cl_file_write_date(V3)                /*  FILE-WRITE-DATE */;
	value0=ecl_make_bool(ecl_number_compare(T0,T1)<0);
	if((value0)!=ECL_NIL){
	goto L7;}
	T0= L137compiled_file_p(V4)               /*  COMPILED-FILE-P */;
	value0=Null(T0)?ECL_T:ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
L4:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NEEDS-LOADING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L139needs_loading(cl_narg narg, cl_object V1, ...)
{ VT140 VLEX140 CLSR140 STCK140
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_T;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= ECL_T;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  LET2306         */
	cl_object V5;                             /*  LET2307         */
	cl_object V6;                             /*  LET2308         */
	V4= L54component_load_time(V1)            /*  COMPONENT-LOAD-TIME */;
	V5= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	V6= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	value0=ecl_function_dispatch(cl_env_copy,VV[490])(1,V1) /*  COMPONENT-LOAD-ALWAYS */;
	if((value0)!=ECL_NIL){
	goto L7;}
	value0=ecl_make_bool(V4==ECL_NIL);
	if((value0)!=ECL_NIL){
	goto L7;}
	if((V3)==ECL_NIL){
	goto L12;}
	if((cl_probe_file(V6)                     /*  PROBE-FILE      */)==ECL_NIL){
	goto L12;}
	T0= cl_file_write_date(V6)                /*  FILE-WRITE-DATE */;
	value0=ecl_make_bool(ecl_number_compare(V4,T0)<0);
	goto L10;
L12:;
	value0=ECL_NIL;
	goto L10;
L10:;
	if((value0)!=ECL_NIL){
	goto L7;}
	if((V2)==ECL_NIL){
	goto L16;}
	if((cl_probe_file(V5)                     /*  PROBE-FILE      */)==ECL_NIL){
	goto L16;}
	T0= cl_file_write_date(V5)                /*  FILE-WRITE-DATE */;
	value0=ecl_make_bool(ecl_number_compare(V4,T0)<0); cl_env_copy->nvalues=1;
	return value0;
L16:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOAD-FILE-OPERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L140load_file_operation(cl_object V1, cl_object V2)
{ VT141 VLEX141 CLSR141 STCK141
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  BINARY-PNAME    */
	cl_object V4;                             /*  SOURCE-PNAME    */
	cl_object V5;                             /*  BINARY-EXISTS   */
	cl_object V6;                             /*  SOURCE-EXISTS   */
	cl_object V7;                             /*  SOURCE-NEEDS-LOADING */
	cl_object V8;                             /*  BINARY-NEEDS-LOADING */
	cl_object V9;                             /*  NEEDS-COMPILATION */
	cl_object V10;                            /*  CHECK-FOR-NEW-SOURCE */
	cl_object V11;                            /*  LOAD-BINARY     */
	cl_object V12;                            /*  LOAD-SOURCE     */
	cl_object V13;                            /*  COMPILE-AND-LOAD */
	V3= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	V4= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	V5= cl_probe_file(V3)                     /*  PROBE-FILE      */;
	V6= cl_probe_file(V4)                     /*  PROBE-FILE      */;
	V7= L139needs_loading(3,V1,ECL_T,ECL_NIL) /*  NEEDS-LOADING   */;
	V8= L139needs_loading(3,V1,ECL_NIL,ECL_T) /*  NEEDS-LOADING   */;
	if((ecl_function_dispatch(cl_env_copy,VV[487])(1,V1) /*  COMPONENT-LOAD-ONLY */)==ECL_NIL){
	goto L9;}
	V9= V7;
	goto L7;
L9:;
	V9= L138needs_compilation(V1,V2)          /*  NEEDS-COMPILATION */;
	goto L7;
L7:;
	{cl_object V14;
	V14= si_make_seq_iterator(2,VV[329],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L14:;
	if((V14)!=ECL_NIL){
	goto L18;}
	V10= ECL_NIL;
	goto L11;
L18:;
	goto L16;
L16:;
	{cl_object V15;
	V15= si_seq_iterator_ref(VV[329],V14)     /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V15))){
	goto L23;}
	V10= V15;
	goto L11;
L23:;
	goto L20;
	}
L20:;
	V14= si_seq_iterator_next(VV[329],V14)    /*  SEQ-ITERATOR-NEXT */;
	goto L14;
	}
L11:;
	{cl_object V14;
	V14= si_make_seq_iterator(2,VV[320],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L33:;
	if((V14)!=ECL_NIL){
	goto L37;}
	value0=ECL_NIL;
	goto L30;
L37:;
	goto L35;
L35:;
	{cl_object V15;
	V15= si_seq_iterator_ref(VV[320],V14)     /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V15))){
	goto L42;}
	value0=V15;
	goto L30;
L42:;
	goto L39;
	}
L39:;
	V14= si_seq_iterator_next(VV[320],V14)    /*  SEQ-ITERATOR-NEXT */;
	goto L33;
	}
L30:;
	if((value0)!=ECL_NIL){
	goto L29;}
	V11= V8;
	goto L27;
L29:;
	V11= value0;
	goto L27;
L27:;
	value0=ecl_symbol_value(VV[20]);
	if((value0)!=ECL_NIL){
	goto L48;}
	if((V11)==ECL_NIL){
	goto L52;}
	value0=ecl_function_dispatch(cl_env_copy,VV[487])(1,V1) /*  COMPONENT-LOAD-ONLY */;
	goto L50;
L52:;
	value0=ECL_NIL;
	goto L50;
L50:;
	if((value0)!=ECL_NIL){
	goto L48;}
	if((V10)==ECL_NIL){
	goto L55;}
	V12= V9;
	goto L46;
L55:;
	V12= ECL_NIL;
	goto L46;
L48:;
	V12= value0;
	goto L46;
L46:;
	if((V9)==ECL_NIL){
	goto L59;}
	if((V11)!=ECL_NIL){
	goto L62;}
	if((V10)==ECL_NIL){
	goto L59;}
	goto L61;
L62:;
L61:;
	V13= L143compile_and_load_source_if_no_binary(V1) /*  COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY */;
	goto L57;
L59:;
	V13= ECL_NIL;
	goto L57;
L57:;
	if((ecl_symbol_value(VV[23]))==ECL_NIL){
	goto L66;}
	{cl_object V14;
	V14= si_make_seq_iterator(2,VV[330],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L71:;
	if((V14)!=ECL_NIL){
	goto L75;}
	goto L67;
L75:;
	goto L73;
L73:;
	{cl_object V15;
	V15= si_seq_iterator_ref(VV[330],V14)     /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V15))){
	goto L80;}
	if((V15)!=ECL_NIL){
	goto L66;}
	goto L67;
L80:;
	goto L77;
	}
L77:;
	V14= si_seq_iterator_next(VV[330],V14)    /*  SEQ-ITERATOR-NEXT */;
	goto L71;
	}
L67:;
	if((V12)==ECL_NIL){
	goto L86;}
	V12= V7;
	goto L84;
L86:;
	goto L84;
L84:;
	if((V11)==ECL_NIL){
	goto L90;}
	V11= V8;
	goto L64;
L90:;
	goto L64;
L66:;
	goto L64;
L64:;
	if((V12)!=ECL_NIL){
	goto L96;}
	if((V11)!=ECL_NIL){
	goto L96;}
	if((V13)==ECL_NIL){
	goto L94;}
	goto L95;
L96:;
L95:;
	if((V13)==ECL_NIL){
	goto L100;}
	L136compile_file_operation(V1,ECL_T)      /*  COMPILE-FILE-OPERATION */;
	L90tell_user(5,_ecl_static_150,V1,VV[159],ECL_NIL,ECL_NIL) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L107;}
	T0= L119load_function(V1)                 /*  LOAD-FUNCTION   */;
	ecl_function_dispatch(cl_env_copy,T0)(1,V3);
	{cl_object V14;
	V14= cl_file_write_date(V3)               /*  FILE-WRITE-DATE */;
	if((V1)==ECL_NIL){
	goto L113;}
	if(!(ECL_STRINGP(V1))){
	goto L117;}
	si_hash_set(V1,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L115;
L117:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L120;}
	T1= cl_pathnamep(V1)                      /*  PATHNAMEP       */;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V1);
	T0= V1;
	T1= cl_namestring(T0)                     /*  NAMESTRING      */;
	si_hash_set(T1,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L115;
L120:;
	if((si_of_class_p(2,V1,VV[89])            /*  OF-CLASS-P      */)==ECL_NIL){
	goto L125;}
	{cl_object V15;
	V15= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V15,VV[132]))){
	goto L129;}
	{cl_object V16;                           /*  NAME            */
	cl_object V17;                            /*  PATH            */
	V16= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	{cl_object V18;
	if((V16)==ECL_NIL){
	goto L135;}
	V18= L56compute_system_path(V16,ECL_NIL)  /*  COMPUTE-SYSTEM-PATH */;
	goto L133;
L135:;
	V18= ECL_NIL;
	goto L133;
L133:;
	value0=ecl_make_bool(ECL_STRINGP(V18));
	if((value0)!=ECL_NIL){
	goto L140;}
	value0=cl_pathnamep(V18)                  /*  PATHNAMEP       */;
	if((value0)!=ECL_NIL){
	goto L140;}
	T0= ecl_make_bool(V18==ECL_NIL);
	goto L138;
L140:;
	T0= value0;
	goto L138;
L138:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V18);
	V17= V18;
	}
	if((V17)==ECL_NIL){
	goto L144;}
	T0= cl_namestring(V17)                    /*  NAMESTRING      */;
	si_hash_set(T0,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L115;
L144:;
	goto L115;
	}
L129:;
	if(!(ecl_eql(V15,ECL_SYM("FILE",1238)))){
	goto L152;}
	goto L149;
	goto L150;
L152:;
	goto L150;
L150:;
	if(!(ecl_eql(V15,VV[135]))){
	goto L147;}
	goto L148;
L149:;
L148:;
	{cl_object V18;                           /*  PATH            */
	V18= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	if((V18)==ECL_NIL){
	goto L157;}
	si_hash_set(V18,ecl_symbol_value(VV[131]),V14) /*  HASH-SET   */;
	goto L115;
L157:;
	goto L115;
	}
L147:;
	si_ecase_error(V15,VV[138])               /*  ECASE-ERROR     */;
	goto L115;
	}
L125:;
	si_etypecase_error(V1,VV[139])            /*  ETYPECASE-ERROR */;
	goto L115;
L115:;
	goto L105;
L113:;
	goto L105;
	}
L107:;
	goto L105;
L105:;
	L91tell_user_done(3,V1,ECL_NIL,ECL_NIL)   /*  TELL-USER-DONE  */;
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L100:;
	if((V6)==ECL_NIL){
	goto L160;}
	if((V12)==ECL_NIL){
	goto L166;}
	if((ecl_symbol_value(VV[20]))!=ECL_NIL){
	goto L163;}
	if((ecl_function_dispatch(cl_env_copy,VV[487])(1,V1) /*  COMPONENT-LOAD-ONLY */)!=ECL_NIL){
	goto L163;}
	if((ecl_symbol_value(VV[21]))==ECL_NIL){
	goto L163;}
	goto L164;
L166:;
	goto L164;
L164:;
	if((V11)==ECL_NIL){
	goto L160;}
	if((V5)!=ECL_NIL){
	goto L160;}
	if((L144load_source_if_no_binary(V1)      /*  LOAD-SOURCE-IF-NO-BINARY */)==ECL_NIL){
	goto L160;}
	goto L161;
L163:;
L161:;
	L90tell_user(5,_ecl_static_151,V1,VV[137],ECL_NIL,ECL_NIL) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L176;}
	T0= L119load_function(V1)                 /*  LOAD-FUNCTION   */;
	ecl_function_dispatch(cl_env_copy,T0)(1,V4);
	{cl_object V14;
	V14= cl_file_write_date(V4)               /*  FILE-WRITE-DATE */;
	if((V1)==ECL_NIL){
	goto L182;}
	if(!(ECL_STRINGP(V1))){
	goto L186;}
	si_hash_set(V1,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L184;
L186:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L189;}
	T1= cl_pathnamep(V1)                      /*  PATHNAMEP       */;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V1);
	T0= V1;
	T1= cl_namestring(T0)                     /*  NAMESTRING      */;
	si_hash_set(T1,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L184;
L189:;
	if((si_of_class_p(2,V1,VV[89])            /*  OF-CLASS-P      */)==ECL_NIL){
	goto L194;}
	{cl_object V15;
	V15= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V15,VV[132]))){
	goto L198;}
	{cl_object V16;                           /*  NAME            */
	cl_object V17;                            /*  PATH            */
	V16= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	{cl_object V18;
	if((V16)==ECL_NIL){
	goto L204;}
	V18= L56compute_system_path(V16,ECL_NIL)  /*  COMPUTE-SYSTEM-PATH */;
	goto L202;
L204:;
	V18= ECL_NIL;
	goto L202;
L202:;
	value0=ecl_make_bool(ECL_STRINGP(V18));
	if((value0)!=ECL_NIL){
	goto L209;}
	value0=cl_pathnamep(V18)                  /*  PATHNAMEP       */;
	if((value0)!=ECL_NIL){
	goto L209;}
	T0= ecl_make_bool(V18==ECL_NIL);
	goto L207;
L209:;
	T0= value0;
	goto L207;
L207:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V18);
	V17= V18;
	}
	if((V17)==ECL_NIL){
	goto L213;}
	T0= cl_namestring(V17)                    /*  NAMESTRING      */;
	si_hash_set(T0,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L184;
L213:;
	goto L184;
	}
L198:;
	if(!(ecl_eql(V15,ECL_SYM("FILE",1238)))){
	goto L221;}
	goto L218;
	goto L219;
L221:;
	goto L219;
L219:;
	if(!(ecl_eql(V15,VV[135]))){
	goto L216;}
	goto L217;
L218:;
L217:;
	{cl_object V18;                           /*  PATH            */
	V18= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	if((V18)==ECL_NIL){
	goto L226;}
	si_hash_set(V18,ecl_symbol_value(VV[131]),V14) /*  HASH-SET   */;
	goto L184;
L226:;
	goto L184;
	}
L216:;
	si_ecase_error(V15,VV[138])               /*  ECASE-ERROR     */;
	goto L184;
	}
L194:;
	si_etypecase_error(V1,VV[139])            /*  ETYPECASE-ERROR */;
	goto L184;
L184:;
	goto L174;
L182:;
	goto L174;
	}
L176:;
	goto L174;
L174:;
	L91tell_user_done(3,V1,ECL_NIL,ECL_NIL)   /*  TELL-USER-DONE  */;
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L160:;
	if((V5)==ECL_NIL){
	goto L229;}
	if((V11)==ECL_NIL){
	goto L229;}
	L90tell_user(5,_ecl_static_150,V1,VV[159],ECL_NIL,ECL_NIL) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L236;}
	T0= L119load_function(V1)                 /*  LOAD-FUNCTION   */;
	ecl_function_dispatch(cl_env_copy,T0)(1,V3);
	{cl_object V14;
	V14= cl_file_write_date(V3)               /*  FILE-WRITE-DATE */;
	if((V1)==ECL_NIL){
	goto L242;}
	if(!(ECL_STRINGP(V1))){
	goto L246;}
	si_hash_set(V1,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L244;
L246:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==ECL_NIL){
	goto L249;}
	T1= cl_pathnamep(V1)                      /*  PATHNAMEP       */;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V1);
	T0= V1;
	T1= cl_namestring(T0)                     /*  NAMESTRING      */;
	si_hash_set(T1,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L244;
L249:;
	if((si_of_class_p(2,V1,VV[89])            /*  OF-CLASS-P      */)==ECL_NIL){
	goto L254;}
	{cl_object V15;
	V15= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V15,VV[132]))){
	goto L258;}
	{cl_object V16;                           /*  NAME            */
	cl_object V17;                            /*  PATH            */
	V16= ecl_function_dispatch(cl_env_copy,VV[142])(1,V1) /*  COMPONENT-NAME */;
	{cl_object V18;
	if((V16)==ECL_NIL){
	goto L264;}
	V18= L56compute_system_path(V16,ECL_NIL)  /*  COMPUTE-SYSTEM-PATH */;
	goto L262;
L264:;
	V18= ECL_NIL;
	goto L262;
L262:;
	value0=ecl_make_bool(ECL_STRINGP(V18));
	if((value0)!=ECL_NIL){
	goto L269;}
	value0=cl_pathnamep(V18)                  /*  PATHNAMEP       */;
	if((value0)!=ECL_NIL){
	goto L269;}
	T0= ecl_make_bool(V18==ECL_NIL);
	goto L267;
L269:;
	T0= value0;
	goto L267;
L267:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V18);
	V17= V18;
	}
	if((V17)==ECL_NIL){
	goto L273;}
	T0= cl_namestring(V17)                    /*  NAMESTRING      */;
	si_hash_set(T0,ecl_symbol_value(VV[131]),V14) /*  HASH-SET    */;
	goto L244;
L273:;
	goto L244;
	}
L258:;
	if(!(ecl_eql(V15,ECL_SYM("FILE",1238)))){
	goto L281;}
	goto L278;
	goto L279;
L281:;
	goto L279;
L279:;
	if(!(ecl_eql(V15,VV[135]))){
	goto L276;}
	goto L277;
L278:;
L277:;
	{cl_object V18;                           /*  PATH            */
	V18= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	if((V18)==ECL_NIL){
	goto L286;}
	si_hash_set(V18,ecl_symbol_value(VV[131]),V14) /*  HASH-SET   */;
	goto L244;
L286:;
	goto L244;
	}
L276:;
	si_ecase_error(V15,VV[138])               /*  ECASE-ERROR     */;
	goto L244;
	}
L254:;
	si_etypecase_error(V1,VV[139])            /*  ETYPECASE-ERROR */;
	goto L244;
L244:;
	goto L234;
L242:;
	goto L234;
	}
L236:;
	goto L234;
L234:;
	L91tell_user_done(3,V1,ECL_NIL,ECL_NIL)   /*  TELL-USER-DONE  */;
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L229:;
	if((V5)!=ECL_NIL){
	goto L289;}
	if((V6)!=ECL_NIL){
	goto L289;}
	L93tell_user_no_files(2,V1,VV[244])       /*  TELL-USER-NO-FILES */;
	if((ecl_symbol_value(VV[24]))==ECL_NIL){
	goto L295;}
	value0=ecl_symbol_value(VV[18]);
	if((value0)!=ECL_NIL){
	goto L299;}
	T0= ecl_symbol_value(VV[20]);
	goto L297;
L299:;
	T0= value0;
	goto L297;
L297:;
	cl_cerror(5,_ecl_static_152,_ecl_static_153,V4,T0,V3) /*  CERROR */;
	goto L293;
L295:;
	goto L293;
L293:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L289:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L94:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DELETE-BINARIES-OPERATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L141delete_binaries_operation(cl_object V1, cl_object V2)
{ VT142 VLEX142 CLSR142 STCK142
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V2)==(VV[238])){
	goto L4;}
	if((V2)==(ECL_T)){
	goto L4;}
	{cl_object V3;
	V3= si_make_seq_iterator(2,VV[329],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L10:;
	if((V3)!=ECL_NIL){
	goto L14;}
	goto L2;
L14:;
	goto L12;
L12:;
	{cl_object V4;
	V4= si_seq_iterator_ref(VV[329],V3)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V4))){
	goto L19;}
	if((V4)==ECL_NIL){
	goto L2;}
	goto L7;
L19:;
	goto L16;
	}
L16:;
	V3= si_seq_iterator_next(VV[329],V3)      /*  SEQ-ITERATOR-NEXT */;
	goto L10;
	}
L7:;
	if((L138needs_compilation(V1,ECL_NIL)     /*  NEEDS-COMPILATION */)==ECL_NIL){
	goto L2;}
	goto L3;
L4:;
L3:;
	{cl_object V3;                            /*  BINARY-PNAME    */
	V3= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	if((cl_probe_file(V3)                     /*  PROBE-FILE      */)==ECL_NIL){
	goto L25;}
	L90tell_user(5,_ecl_static_154,V1,VV[159],ECL_NIL,ECL_NIL) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=ECL_NIL){
	goto L30;}
	cl_delete_file(V3)                        /*  DELETE-FILE     */;
	goto L28;
L30:;
	goto L28;
L28:;
	value0=L91tell_user_done(3,V1,ECL_NIL,ECL_NIL) /*  TELL-USER-DONE */;
	return value0;
L25:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for BINARY-EXISTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L142binary_exists(cl_object V1)
{ VT143 VLEX143 CLSR143 STCK143
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	return value0;
}}
/*	function definition for COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L143compile_and_load_source_if_no_binary(cl_object V1)
{ VT144 VLEX144 CLSR144 STCK144
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[20]))!=ECL_NIL){
	goto L2;}
	if((ecl_symbol_value(VV[18]))==ECL_NIL){
	goto L6;}
	if((L142binary_exists(V1)                 /*  BINARY-EXISTS   */)==ECL_NIL){
	goto L2;}
	goto L3;
L6:;
	goto L3;
L3:;
	if((ecl_function_dispatch(cl_env_copy,VV[487])(1,V1) /*  COMPONENT-LOAD-ONLY */)==ECL_NIL){
	goto L9;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!((ecl_symbol_value(VV[21]))==(VV[22]))){
	goto L12;}
	{cl_object V2;                            /*  PROMPT          */
	cl_object V3;                             /*  COMPILE-SOURCE  */
	V2= L88prompt_string(V1)                  /*  PROMPT-STRING   */;
	T0= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	T1= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	V3= L98y_or_n_p_wait(7,CODE_CHAR(121),ecl_make_fixnum(30),_ecl_static_155,V2,T0,V2,T1) /*  Y-OR-N-P-WAIT */;
	if((L98y_or_n_p_wait(4,CODE_CHAR(121),ecl_make_fixnum(30),_ecl_static_156,V2) /*  Y-OR-N-P-WAIT */)!=ECL_NIL){
	goto L18;}
	cl_set(VV[21],L98y_or_n_p_wait(4,CODE_CHAR(121),ecl_make_fixnum(30),_ecl_static_157,V2) /*  Y-OR-N-P-WAIT */);
	goto L16;
L18:;
	goto L16;
L16:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L12:;
	if((ecl_symbol_value(VV[21]))==ECL_NIL){
	goto L22;}
	value0=ecl_symbol_value(VV[21]); cl_env_copy->nvalues=1;
	return value0;
L22:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOAD-SOURCE-IF-NO-BINARY              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L144load_source_if_no_binary(cl_object V1)
{ VT145 VLEX145 CLSR145 STCK145
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[20]))!=ECL_NIL){
	goto L2;}
	if((ecl_symbol_value(VV[18]))==ECL_NIL){
	goto L8;}
	T0= L142binary_exists(V1)                 /*  BINARY-EXISTS   */;
	value0=Null(T0)?ECL_T:ECL_NIL;
	goto L6;
L8:;
	value0=ECL_NIL;
	goto L6;
L6:;
	if((value0)!=ECL_NIL){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[487])(1,V1) /*  COMPONENT-LOAD-ONLY */;
	if((value0)!=ECL_NIL){
	goto L5;}
	if((ecl_symbol_value(VV[19]))==ECL_NIL){
	goto L12;}
	{cl_object V2;                            /*  PROMPT          */
	cl_object V3;                             /*  LOAD-SOURCE     */
	V2= L88prompt_string(V1)                  /*  PROMPT-STRING   */;
	T0= L69component_full_pathname(2,V1,VV[159]) /*  COMPONENT-FULL-PATHNAME */;
	T1= L69component_full_pathname(2,V1,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	V3= L98y_or_n_p_wait(7,CODE_CHAR(121),ecl_make_fixnum(30),_ecl_static_158,V2,T0,V2,T1) /*  Y-OR-N-P-WAIT */;
	cl_set(VV[19],L98y_or_n_p_wait(4,CODE_CHAR(110),ecl_make_fixnum(30),_ecl_static_156,V2) /*  Y-OR-N-P-WAIT */);
	if((ecl_symbol_value(VV[19]))!=ECL_NIL){
	goto L20;}
	cl_set(VV[18],V3);
	goto L18;
L20:;
	goto L18;
L18:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L12:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FILES-WHICH-NEED-COMPILATION          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L145files_which_need_compilation(cl_object V1)
{ VT146 VLEX146 CLSR146 STCK146
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET2310         */
	cl_object V3;
	cl_object V4;
	T0= L59find_system(2,V1,VV[154])          /*  FIND-SYSTEM     */;
	T1= L150file_components_in_component(2,T0,VV[340]) /*  FILE-COMPONENTS-IN-COMPONENT */;
	V2= cl_remove(2,ECL_NIL,T1)               /*  REMOVE          */;
	V3= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
	V4= V2;
	{cl_object V5;
	cl_object V6;
	V5= ecl_list1(ECL_NIL);
	V6= V5;
L8:;
	if(!(ecl_endp(V4))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V3= _ecl_car(V4);
	{cl_object V7;
	V7= _ecl_cdr(V4);
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V4= V7;
	}
	if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
	T0= V6;
	T1= L69component_full_pathname(2,V3,VV[137]) /*  COMPONENT-FULL-PATHNAME */;
	V6= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V6,T0);
	goto L8;
L9:;
	value0=ecl_cdr(V5); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for FILES-IN-SYSTEM-AND-DEPENDENTS        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L146files_in_system_and_dependents(cl_narg narg, cl_object V1, ...)
{ VT147 VLEX147 CLSR147 STCK147
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[238];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= VV[137];
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  SYSTEM          */
	V5= L59find_system(2,V1,VV[154])          /*  FIND-SYSTEM     */;
	cl_env_copy->values[0]=L71translate_version(V4) /*  TRANSLATE-VERSION */;
	{
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L6;
	ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
	if (V7--<=0) goto L7;
	ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
	goto L8;}
L6:;
	ecl_bds_bind(cl_env_copy,VV[34],ECL_NIL); /*  *VERSION-DIR*   */
L7:;
	ecl_bds_bind(cl_env_copy,VV[35],ECL_NIL); /*  *VERSION-REPLACE* */
L8:;
	ecl_bds_bind(cl_env_copy,VV[36],V4);      /*  *VERSION*       */
	{cl_object V7;                            /*  RESULT          */
	V7= L148file_pathnames_in_component(3,V5,V3,V2) /*  FILE-PATHNAMES-IN-COMPONENT */;
	{cl_object V8;
	T0= ecl_function_dispatch(cl_env_copy,VV[474])(1,V5) /*  COMPONENT-DEPENDS-ON */;
	V8= cl_reverse(T0)                        /*  REVERSE         */;
	goto L15;
L14:;
	{cl_object V9;                            /*  DEPENDENT       */
	V9= ecl_car(V8);
	T0= L146files_in_system_and_dependents(4,V9,V2,V3,V4) /*  FILES-IN-SYSTEM-AND-DEPENDENTS */;
	V7= ecl_append(T0,V7);
	}
	V8= ecl_cdr(V8);
L15:;
	if((V8)==ECL_NIL){
	goto L25;}
	goto L14;
L25:;
	goto L23;
L23:;
	goto L12;
L12:;
	}
	value0=V7; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}}
	}
}}
/*	function definition for FILES-IN-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L147files_in_system(cl_narg narg, cl_object V1, ...)
{ VT148 VLEX148 CLSR148 STCK148
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[238];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= VV[137];
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  SYSTEM          */
	if((ecl_function_dispatch(cl_env_copy,VV[92])(1,V1) /*  COMPONENT-P */)==ECL_NIL){
	goto L6;}
	{cl_object V6;
	V6= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V6,VV[132]))){
	goto L13;}
	goto L10;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V6,VV[122]))){
	goto L17;}
	goto L10;
	goto L15;
L17:;
	goto L15;
L15:;
	if(!(ecl_eql(V6,VV[188]))){
	goto L6;}
	goto L7;
L10:;
	}
L7:;
	V5= V1;
	goto L4;
L6:;
	V5= L59find_system(2,V1,VV[154])          /*  FIND-SYSTEM     */;
	goto L4;
L4:;
	cl_env_copy->values[0]=L71translate_version(V4) /*  TRANSLATE-VERSION */;
	{
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L21;
	ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
	if (V7--<=0) goto L22;
	ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
	goto L23;}
L21:;
	ecl_bds_bind(cl_env_copy,VV[34],ECL_NIL); /*  *VERSION-DIR*   */
L22:;
	ecl_bds_bind(cl_env_copy,VV[35],ECL_NIL); /*  *VERSION-REPLACE* */
L23:;
	ecl_bds_bind(cl_env_copy,VV[36],V4);      /*  *VERSION*       */
	value0=L148file_pathnames_in_component(3,V5,V3,V2) /*  FILE-PATHNAMES-IN-COMPONENT */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;}
	}
}}
/*	function definition for FILE-PATHNAMES-IN-COMPONENT           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L148file_pathnames_in_component(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT149 VLEX149 CLSR149 STCK149
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= VV[238];
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  LET2312         */
	cl_object V5;
	cl_object V6;
	V4= L150file_components_in_component(2,V1,V3) /*  FILE-COMPONENTS-IN-COMPONENT */;
	V5= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
	V6= V4;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(ECL_NIL);
	V8= V7;
L9:;
	if(!(ecl_endp(V6))){
	goto L13;}
	goto L10;
L13:;
	goto L11;
L11:;
	V5= _ecl_car(V6);
	{cl_object V9;
	V9= _ecl_cdr(V6);
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	V6= V9;
	}
	if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
	T0= V8;
	T1= L69component_full_pathname(2,V5,V2)   /*  COMPONENT-FULL-PATHNAME */;
	V8= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V8,T0);
	goto L9;
L10:;
	value0=ecl_cdr(V7); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for FILE-COMPONENTS-IN-COMPONENT          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L150file_components_in_component(cl_narg narg, cl_object V1, ...)
{ VT150 VLEX150 CLSR150 STCK150
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[238];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  RESULT          */
	cl_object env1 = env0;
	V3= ECL_NIL;
	env1 = ECL_NIL;
	CLV0=env1=CONS(ECL_NIL,env1);             /*  CHANGED         */
	{cl_object V4;
	V4= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V4,ECL_SYM("FILE",1238)))){
	goto L11;}
	goto L8;
	goto L9;
L11:;
	goto L9;
L9:;
	if(!(ecl_eql(V4,VV[135]))){
	goto L6;}
	goto L7;
L8:;
L7:;
	{cl_object V5;
	V5= si_make_seq_iterator(2,VV[347],ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L23:;
	if((V5)!=ECL_NIL){
	goto L27;}
	value0=ECL_NIL;
	goto L20;
L27:;
	goto L25;
L25:;
	{cl_object V6;
	V6= si_seq_iterator_ref(VV[347],V5)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V6))){
	goto L32;}
	value0=V6;
	goto L20;
L32:;
	goto L29;
	}
L29:;
	V5= si_seq_iterator_next(VV[347],V5)      /*  SEQ-ITERATOR-NEXT */;
	goto L23;
	}
L20:;
	if((value0)!=ECL_NIL){
	goto L19;}
	if((L6non_empty_listp(V2)                 /*  NON-EMPTY-LISTP */)!=ECL_NIL){
	goto L37;}
	ECL_CONS_CAR(CLV0)= L138needs_compilation(V1,ECL_NIL) /*  NEEDS-COMPILATION */;
	goto L17;
L37:;
	ECL_CONS_CAR(CLV0)= ECL_NIL;
	goto L17;
L19:;
	ECL_CONS_CAR(CLV0)= value0;
	goto L17;
L17:;
	if((ECL_CONS_CAR(CLV0))==ECL_NIL){
	goto L15;}
	V3= ecl_list1(V1);
	goto L3;
L15:;
	goto L3;
L6:;
	if(!(ecl_eql(V4,VV[199]))){
	goto L46;}
	goto L43;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(ecl_eql(V4,VV[122]))){
	goto L50;}
	goto L43;
	goto L48;
L50:;
	goto L48;
L48:;
	if(!(ecl_eql(V4,VV[188]))){
	goto L54;}
	goto L43;
	goto L52;
L54:;
	goto L52;
L52:;
	if(!(ecl_eql(V4,VV[132]))){
	goto L41;}
	goto L42;
L43:;
L42:;
	{cl_object V5;
	V5= ecl_function_dispatch(cl_env_copy,VV[475])(1,V1) /*  COMPONENT-COMPONENTS */;
	goto L61;
L60:;
	{cl_object V6;                            /*  MODULE          */
	V6= ecl_car(V5);
	T1= ecl_make_cclosure_va((cl_objectfn)LC149__g803,env1,Cblock);
	T2= ecl_function_dispatch(cl_env_copy,VV[474])(1,V6) /*  COMPONENT-DEPENDS-ON */;
	if((cl_some(2,T1,T2)                      /*  SOME            */)==ECL_NIL){
	goto L69;}
	if((L6non_empty_listp(V2)                 /*  NON-EMPTY-LISTP */)!=ECL_NIL){
	goto L73;}
	if(!((V2)==(VV[239]))){
	goto L69;}
	goto L70;
L73:;
L70:;
	T0= VV[238];
	goto L67;
L69:;
	if((L6non_empty_listp(V2)                 /*  NON-EMPTY-LISTP */)==ECL_NIL){
	goto L76;}
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,VV[142])(1,V6) /*  COMPONENT-NAME */;
	{cl_object V8;
	V8= V2;
	goto L84;
L83:;
	{cl_object V9;
	cl_object V10;
	if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
	V9= V8;
	V10= ECL_CONS_CAR(V9);
	T1= cl_string(V10)                        /*  STRING          */;
	if((cl_string_equal(2,V7,T1)              /*  STRING-EQUAL    */)==ECL_NIL){
	goto L91;}
	if((V9)==ECL_NIL){
	goto L76;}
	goto L77;
L91:;
	goto L86;
	}
L86:;
	V8= ECL_CONS_CDR(V8);
L84:;
	if(V8==ECL_NIL){
	goto L97;}
	goto L83;
L97:;
	goto L95;
L95:;
	goto L81;
L81:;
	goto L76;
	}
	}
L77:;
	T0= VV[238];
	goto L67;
L76:;
	T0= V2;
	goto L67;
L67:;
	cl_env_copy->values[0]=L150file_components_in_component(2,V6,T0) /*  FILE-COMPONENTS-IN-COMPONENT */;
	{
	cl_object V8;                             /*  R               */
	cl_object V9;                             /*  C               */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L99;
	V8= cl_env_copy->values[0];
	if (V10--<=0) goto L100;
	V9= cl_env_copy->values[1];
	goto L101;}
L99:;
	V8= ECL_NIL;
L100:;
	V9= ECL_NIL;
L101:;
	if((V9)==ECL_NIL){
	goto L103;}
	ECL_CONS_CAR(CLV0)= CONS(V6,ECL_CONS_CAR(CLV0));
	V3= ecl_append(V3,V8);
	goto L65;
L103:;
	goto L65;}
L65:;
	}
	V5= ecl_cdr(V5);
L61:;
	if((V5)==ECL_NIL){
	goto L112;}
	goto L60;
L112:;
	goto L110;
L110:;
	goto L58;
L58:;
	goto L3;
	}
L41:;
	goto L3;
	}
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_CONS_CAR(CLV0);
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
}}
/*	closure G803                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC149__g803(cl_narg narg, cl_object V1, ...)
{ VT151 VLEX151 CLSR151 STCK151
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  CHANGED         */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=ecl_memql(V1,ECL_CONS_CAR(CLV0)); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for SYSTEM-SOURCE-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L151system_source_size(cl_narg narg, cl_object V1, ...)
{ VT152 VLEX152 CLSR152 STCK152
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[238];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  FILE-LIST       */
	cl_object V4;                             /*  TOTAL-SIZE      */
	V3= L147files_in_system(3,V1,V2,VV[137])  /*  FILES-IN-SYSTEM */;
	V4= L152file_list_size(V3)                /*  FILE-LIST-SIZE  */;
	{cl_fixnum V5;
	V5= ecl_length(V3);
	T0= ecl_round2(V4,ecl_make_fixnum(1024));
	cl_format(7,ECL_T,_ecl_static_160,V1,V2,ecl_make_fixnum(V5),V4,T0) /*  FORMAT */;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FILE-LIST-SIZE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L152file_list_size(cl_object volatile V1)
{ VT153 VLEX153 CLSR153 STCK153
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  TOTAL-SIZE      */
	V2= ecl_make_fixnum(0);
	{volatile cl_object V3;
	V3= V1;
	goto L7;
L6:;
	{volatile cl_object V4;                   /*  FILE            */
	V4= ecl_car(V3);
	{volatile cl_object V5;                   /*  STREAM          */
	V5= cl_open(1,V4)                         /*  OPEN            */;
	{
	volatile bool unwinding = FALSE;
	cl_index V6=ECL_STACK_INDEX(cl_env_copy),V7;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V8;
	V8= _ecl_inner_frame;
	{cl_object V9;
	V9= cl_file_length(V5)                    /*  FILE-LENGTH     */;
	V2= ecl_plus(V2,V9);
	cl_env_copy->values[0]=V2; cl_env_copy->nvalues=1;
	}
	ecl_stack_frame_push_values(V8);
	if((V5)==ECL_NIL){
	goto L22;}
	cl_close(1,V5)                            /*  CLOSE           */;
	goto L20;
L22:;
	goto L20;
L20:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V8);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V7=ecl_stack_push_values(cl_env_copy);
	if((V5)==ECL_NIL){
	goto L26;}
	cl_close(3,V5,ECL_SYM("ABORT",1196),ECL_T) /*  CLOSE          */;
	goto L24;
L26:;
	goto L24;
L24:;
	ecl_stack_pop_values(cl_env_copy,V7);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V6);}
	}
	}
	V3= ecl_cdr(V3);
L7:;
	if((V3)==ECL_NIL){
	goto L32;}
	goto L6;
L32:;
	goto L30;
L30:;
	goto L4;
L4:;
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "ext/defsystem.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclv423LXchcSyq9_4lkVLZ01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:DEFSYSTEM;DEFSYSTEM.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclv423LXchcSyq9_4lkVLZ01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	ecl_function_dispatch(cl_env_copy,VV[353])(10,_ecl_static_0,VVtemp[0],ECL_NIL,VVtemp[1],ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL) /*  DODEFPACKAGE */;
	si_select_package(_ecl_static_0)          /*  SELECT-PACKAGE  */;
	cl_provide(VV[0])                         /*  PROVIDE         */;
	cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2,VV[1],ecl_symbol_value(ECL_SYM("*FEATURES*",34))) /*  ADJOIN */);
	si_Xmake_special(VV[2])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[2])){
	goto L10;}
	cl_set(VV[2],ECL_NIL);
	goto L8;
L10:;
	goto L8;
L8:;
	si_Xmake_special(VV[3])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[3])){
	goto L19;}
	cl_set(VV[3],ECL_NIL);
	goto L17;
L19:;
	goto L17;
L17:;
	si_Xmake_special(VV[4])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[4])){
	goto L28;}
	cl_set(VV[4],ECL_NIL);
	goto L26;
L28:;
	goto L26;
L26:;
	cl_set(VV[3],VVtemp[2]);
	cl_export(1,VVtemp[2])                    /*  EXPORT          */;
	cl_set(VV[2],ECL_NIL);
	cl_export(1,ECL_NIL)                      /*  EXPORT          */;
	cl_set(VV[4],VVtemp[3]);
	cl_export(1,VVtemp[3])                    /*  EXPORT          */;
	si_Xmake_special(VV[5])                   /*  *MAKE-SPECIAL   */;
	cl_set(VV[5],_ecl_static_1);
	si_Xmake_special(VV[6])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[6])){
	goto L49;}
	cl_set(VV[6],ECL_NIL);
	goto L47;
L49:;
	goto L47;
L47:;
	si_Xmake_special(VV[7])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[7])){
	goto L58;}
	cl_set(VV[7],ECL_T);
	goto L56;
L58:;
	goto L56;
L56:;
	ecl_cmp_defun(VV[354]);                   /*  HOME-SUBDIRECTORY */
	si_Xmake_special(VV[9])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[9])){
	goto L71;}
	cl_set(VV[9],VVtemp[4]);
	goto L69;
L71:;
	goto L69;
L69:;
	ecl_cmp_defun(VV[355]);                   /*  ADD-REGISTRY-LOCATION */
	ecl_cmp_defun(VV[356]);                   /*  REGISTRY-PATHNAME */
	ecl_cmp_defun(VV[357]);                   /*  PRINT-CENTRAL-REGISTRY-DIRECTORIES */
	ecl_cmp_defun(VV[358]);                   /*  LIST-CENTRAL-REGISTRY-DIRECTORIES */
	si_Xmake_special(VV[14])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[14])){
	goto L96;}
	cl_set(VV[14],_ecl_static_3);
	goto L94;
L96:;
	goto L94;
L94:;
	si_Xmake_special(VV[15])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[15])){
	goto L105;}
	cl_set(VV[15],ECL_NIL);
	goto L103;
L105:;
	goto L103;
L103:;
	si_Xmake_special(VV[16])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[16])){
	goto L114;}
	cl_set(VV[16],ECL_NIL);
	goto L112;
L114:;
	goto L112;
L112:;
	si_Xmake_special(VV[17])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[17])){
	goto L123;}
	cl_set(VV[17],ECL_NIL);
	goto L121;
L123:;
	goto L121;
L121:;
	si_Xmake_special(VV[18])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[18])){
	goto L132;}
	cl_set(VV[18],ECL_NIL);
	goto L130;
L132:;
	goto L130;
L130:;
	si_Xmake_special(VV[19])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[19])){
	goto L141;}
	cl_set(VV[19],ECL_T);
	goto L139;
L141:;
	goto L139;
L139:;
	si_Xmake_special(VV[20])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[20])){
	goto L150;}
	cl_set(VV[20],ECL_NIL);
	goto L148;
L150:;
	goto L148;
L148:;
	si_Xmake_special(VV[21])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[21])){
	goto L159;}
	cl_set(VV[21],VV[22]);
	goto L157;
L159:;
	goto L157;
L157:;
	si_Xmake_special(VV[23])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[23])){
	goto L168;}
	cl_set(VV[23],ECL_NIL);
	goto L166;
L168:;
	goto L166;
L166:;
	si_Xmake_special(VV[24])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[24])){
	goto L177;}
	cl_set(VV[24],ECL_T);
	goto L175;
L177:;
	goto L175;
L175:;
	si_Xmake_special(VV[25])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[25])){
	goto L186;}
	cl_set(VV[25],ECL_T);
	goto L184;
L186:;
	goto L184;
L184:;
	si_Xmake_special(VV[26])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[26])){
	goto L195;}
	cl_set(VV[26],_ecl_static_4);
	goto L193;
L195:;
	goto L193;
L193:;
	si_Xmake_special(VV[27])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[27])){
	goto L204;}
	cl_set(VV[27],ECL_T);
	goto L202;
L204:;
	goto L202;
L202:;
	si_Xmake_special(VV[28])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[28])){
	goto L213;}
	cl_set(VV[28],ECL_T);
	goto L211;
L213:;
	goto L211;
L211:;
	{cl_object V1;
	V1= ecl_symbol_value(ECL_SYM("*FEATURES*",34));
	goto L224;
L223:;
	{cl_object V2;                            /*  FEATURE         */
	V2= ecl_car(V1);
	if(!(ECL_SYMBOLP(V2))){
	goto L230;}
	T0= ecl_symbol_name(V2);
	if(!(ecl_equal(T0,_ecl_static_5))){
	goto L230;}
	cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2,VV[29],ecl_symbol_value(ECL_SYM("*FEATURES*",34))) /*  ADJOIN */);
	goto L228;
L230:;
	goto L228;
L228:;
	}
	V1= ecl_cdr(V1);
L224:;
	if((V1)==ECL_NIL){
	goto L238;}
	goto L223;
L238:;
	goto L236;
L236:;
	goto L221;
L221:;
	}
	si_Xmake_special(VV[30])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[30])){
	goto L243;}
	T0= (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(1,_ecl_static_7) /*  COMPILE-FILE-PATHNAME */;
	T1= cl_pathname_type(1,T0)                /*  PATHNAME-TYPE   */;
	T2= CONS(_ecl_static_6,T1);
	T3= cl_list(2,VVtemp[5],T2)               /*  LIST            */;
	cl_set(VV[30],ecl_car(T3));
	goto L241;
L243:;
	goto L241;
L241:;
	si_Xmake_special(VV[31])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[31])){
	goto L252;}
	cl_set(VV[31],_ecl_static_8);
	goto L250;
L252:;
	goto L250;
L250:;
	si_Xmake_special(VV[32])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[32])){
	goto L261;}
	cl_set(VV[32],ECL_T);
	goto L259;
L261:;
	goto L259;
L259:;
	ecl_cmp_defun(VV[359]);                   /*  NON-EMPTY-LISTP */
	si_Xmake_special(VV[34])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[34])){
	goto L274;}
	cl_set(VV[34],ECL_NIL);
	goto L272;
L274:;
	goto L272;
L272:;
	si_Xmake_special(VV[35])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[35])){
	goto L283;}
	cl_set(VV[35],ECL_NIL);
	goto L281;
L283:;
	goto L281;
L281:;
	si_Xmake_special(VV[36])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[36])){
	goto L292;}
	cl_set(VV[36],ECL_NIL);
	goto L290;
L292:;
	goto L290;
L290:;
	si_Xmake_special(VV[37])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[37])){
	goto L301;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[37],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L299;
L301:;
	goto L299;
L299:;
	ecl_cmp_defun(VV[360]);                   /*  COMPONENT-OPERATION */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8__g19,ECL_NIL,Cblock,3);
	cl_set_dispatch_macro_character(3,CODE_CHAR(35),CODE_CHAR(64),T0) /*  SET-DISPATCH-MACRO-CHARACTER */;
	si_Xmake_special(VV[40])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[40])){
	goto L317;}
	cl_set(VV[40],_ecl_static_9);
	goto L315;
L317:;
	goto L315;
L315:;
	ecl_cmp_defun(VV[361]);                   /*  OPERATING-SYSTEM-VERSION */
	ecl_cmp_defun(VV[362]);                   /*  COMPILER-VERSION */
	ecl_cmp_defun(VV[363]);                   /*  AFS-BINARY-DIRECTORY */
	ecl_cmp_defun(VV[364]);                   /*  AFS-SOURCE-DIRECTORY */
	ecl_cmp_defun(VV[365]);                   /*  NULL-STRING     */
	ecl_cmp_defun(VV[366]);                   /*  ENSURE-TRAILING-SLASH */
	ecl_cmp_defun(VV[367]);                   /*  AFS-COMPONENT   */
	si_Xmake_special(VV[48])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[48])){
	goto L354;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[48],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L352;
L354:;
	goto L352;
L352:;
	ecl_cmp_defun(VV[368]);                   /*  MACHINE-TYPE-TRANSLATION */
	L16machine_type_translation(2,_ecl_static_17,_ecl_static_18) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_19,_ecl_static_20) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_21,_ecl_static_22) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_23,_ecl_static_20) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_24,_ecl_static_25) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_26,_ecl_static_27) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_28,_ecl_static_29) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_30,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_32,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_33,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_34,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_35,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_36,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_37,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_38,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_39,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_40,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_41,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_42,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_43,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	L16machine_type_translation(2,_ecl_static_44,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	si_Xmake_special(VV[50])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[50])){
	goto L389;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[50],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L387;
L389:;
	goto L387;
L387:;
	ecl_cmp_defun(VV[369]);                   /*  SOFTWARE-TYPE-TRANSLATION */
	L17software_type_translation(2,_ecl_static_45,_ecl_static_16) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_46,_ecl_static_16) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_47,_ecl_static_47) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_48,_ecl_static_16) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_49,_ecl_static_50) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_51,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_53,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_54,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_55,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_56,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_57,_ecl_static_58) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_59,_ecl_static_58) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_60,_ecl_static_61) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_62,_ecl_static_61) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_63,_ecl_static_64) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,_ecl_static_65,_ecl_static_64) /*  SOFTWARE-TYPE-TRANSLATION */;
	L17software_type_translation(2,ECL_NIL,_ecl_static_13) /*  SOFTWARE-TYPE-TRANSLATION */;
	si_Xmake_special(VV[52])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[52])){
	goto L420;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[52],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L418;
L420:;
	goto L418;
L418:;
	ecl_cmp_defun(VV[370]);                   /*  COMPILER-TYPE-TRANSLATION */
	L18compiler_type_translation(2,_ecl_static_66,_ecl_static_67) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_68,_ecl_static_67) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_69,_ecl_static_67) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_70,_ecl_static_71) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_72,_ecl_static_71) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_73,_ecl_static_74) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_75,_ecl_static_74) /*  COMPILER-TYPE-TRANSLATION */;
	L18compiler_type_translation(2,_ecl_static_76,_ecl_static_74) /*  COMPILER-TYPE-TRANSLATION */;
	ecl_cmp_defun(VV[371]);                   /*  CANONICALIZE-SYSTEM-NAME */
	si_Xmake_special(VV[55])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[55])){
	goto L446;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[55],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L444;
L446:;
	goto L444;
L444:;
	ecl_cmp_defun(VV[372]);                   /*  GET-SYSTEM      */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC21get_system,ECL_NIL,Cblock,2);
	si_do_defsetf(VV[56],T0)                  /*  DO-DEFSETF      */;
	ecl_cmp_defun(VV[373]);                   /*  UNDEFSYSTEM     */
	ecl_cmp_defun(VV[374]);                   /*  DEFINED-SYSTEMS */
	ecl_cmp_defun(VV[375]);                   /*  DEFINED-NAMES-AND-SYSTEMS */
	ecl_cmp_defun(VV[376]);                   /*  NEW-APPEND-DIRECTORIES */
	ecl_cmp_defun(VV[377]);                   /*  DIRECTORY-TO-LIST */
	si_Xmake_special(VV[63])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[63],VVtemp[6]);
	ecl_cmp_defun(VV[378]);                   /*  TEST-NEW-APPEND-DIRECTORIES */
	ecl_cmp_defun(VV[379]);                   /*  APPEND-DIRECTORIES */
	ecl_cmp_defun(VV[380]);                   /*  PATHNAME-LOGICAL-P */
	ecl_cmp_defun(VV[381]);                   /*  NAMESTRING-PROBABLY-LOGICAL */
	ecl_cmp_defun(VV[382]);                   /*  APPEND-LOGICAL-PNAMES */
	ecl_cmp_defun(VV[383]);                   /*  NEW-FILE-TYPE   */
	si_Xmake_special(VV[71])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[71])){
	goto L513;}
	cl_set(VV[71],ECL_NIL);
	goto L511;
L513:;
	goto L511;
L511:;
	si_Xmake_special(VV[72])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[72])){
	goto L522;}
	cl_set(VV[72],ECL_NIL);
	goto L520;
L522:;
	goto L520;
L520:;
	si_define_structure(15,VV[73],VV[74],ECL_NIL,ECL_NIL,VVtemp[7],VVtemp[8],VV[75],ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[9],ecl_make_fixnum(1),ECL_NIL,ECL_NIL,VV[76]) /*  DEFINE-STRUCTURE */;
	VV[85]= cl_find_class(1,VV[73])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[384]);                   /*  MAKE-TOPOLOGICAL-SORT-NODE */
	si_Xmake_special(VV[87])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[87],VVtemp[10]);
	si_Xmake_special(VV[88])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[88],VVtemp[11]);
	si_define_structure(15,VV[89],_ecl_static_78,ECL_NIL,ECL_NIL,VVtemp[12],VVtemp[13],VV[90],VV[73],VV[91],ECL_NIL,VVtemp[14],ecl_make_fixnum(35),ECL_NIL,ECL_NIL,VV[92]) /*  DEFINE-STRUCTURE */;
	VV[117]= cl_find_class(1,VV[89])          /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[386]);                   /*  MAKE-COMPONENT  */
	si_define_structure(15,VV[119],_ecl_static_79,ECL_NIL,ECL_NIL,VVtemp[15],VVtemp[16],VV[120],VV[89],ECL_NIL,ECL_NIL,VVtemp[17],ecl_make_fixnum(37),ECL_NIL,ECL_NIL,VV[121]) /*  DEFINE-STRUCTURE */;
	VV[123]= cl_find_class(1,VV[119])         /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[422]);                   /*  MAKE-FOREIGN-SYSTEM */
	ecl_cmp_defun(VV[460]);                   /*  REGISTER-FOREIGN-SYSTEM */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC49__g127,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[19]) /*  LIST* */;
	T2= cl_list(3,T1,VVtemp[20],VVtemp[21])   /*  LIST            */;
	T3= cl_constantly(ECL_NIL)                /*  CONSTANTLY      */;
	T4= cl_list(3,VV[128],ECL_NIL,T3)         /*  LIST            */;
	T5= ecl_list1(T4);
	T6= cl_list(2,ECL_SYM("DIRECT-DEFAULT-INITARGS",989),T5) /*  LIST */;
	clos_load_defclass(VV[127],VVtemp[18],T2,T6) /*  LOAD-DEFCLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC51__g129,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[23]) /*  LIST* */;
	T2= ecl_list1(T1);
	clos_load_defclass(VV[129],VVtemp[22],T2,ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC53__g131,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[25]) /*  LIST* */;
	T2= ecl_list1(T1);
	clos_load_defclass(VV[130],VVtemp[24],T2,ECL_NIL) /*  LOAD-DEFCLASS */;
	si_Xmake_special(VV[131])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[131])){
	goto L583;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[131],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L581;
L583:;
	goto L581;
L581:;
	ecl_cmp_defun(VV[465]);                   /*  COMPONENT-LOAD-TIME */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC55component_load_time,ECL_NIL,Cblock,2);
	si_do_defsetf(VV[140],T0)                 /*  DO-DEFSETF      */;
	ecl_cmp_defun(VV[466]);                   /*  COMPUTE-SYSTEM-PATH */
	ecl_cmp_defun(VV[467]);                   /*  SYSTEM-DEFINITION-PATHNAME */
	si_Xmake_special(VV[152])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[152])){
	goto L608;}
	cl_set(VV[152],ECL_T);
	goto L606;
L608:;
	goto L606;
L606:;
	ecl_cmp_defun(VV[468]);                   /*  FIND-SYSTEM     */
	ecl_cmp_defun(VV[469]);                   /*  PRINT-COMPONENT */
	ecl_cmp_defun(VV[470]);                   /*  DESCRIBE-SYSTEM */
	ecl_cmp_defun(VV[476]);                   /*  CANONICALIZE-COMPONENT-NAME */
	ecl_cmp_defun(VV[477]);                   /*  COMPONENT-PATHNAME */
	ecl_cmp_defun(VV[478]);                   /*  COMPONENT-ERROR-PATHNAME */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC65component_pathname,ECL_NIL,Cblock,3);
	si_do_defsetf(VV[163],T0)                 /*  DO-DEFSETF      */;
	ecl_cmp_defun(VV[479]);                   /*  COMPONENT-ROOT-DIR */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC67component_root_dir,ECL_NIL,Cblock,3);
	si_do_defsetf(VV[170],T0)                 /*  DO-DEFSETF      */;
	si_Xmake_special(VV[173])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[173])){
	goto L651;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[173],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L649;
L651:;
	goto L649;
L649:;
	si_Xmake_special(VV[174])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[174])){
	goto L661;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[174],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L659;
L661:;
	goto L659;
L659:;
	si_Xmake_special(VV[175])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[175],ECL_T);
	ecl_cmp_defun(VV[480]);                   /*  CLEAR-FULL-PATHNAME-TABLES */
	ecl_cmp_defun(VV[481]);                   /*  COMPONENT-FULL-PATHNAME */
	ecl_cmp_defun(VV[482]);                   /*  COMPONENT-FULL-PATHNAME-I */
	ecl_cmp_defun(VV[483]);                   /*  TRANSLATE-VERSION */
	ecl_cmp_defun(VV[484]);                   /*  COMPONENT-EXTENSION */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC73component_extension,ECL_NIL,Cblock,3);
	si_do_defsetf(VV[180],T0)                 /*  DO-DEFSETF      */;
	ecl_cmp_defun(VV[486]);                   /*  CREATE-COMPONENT */
	ecl_cmp_defun(VV[491]);                   /*  PREPROCESS-COMPONENT-DEFINITION */
	ecl_cmp_defmacro(VV[492]);                /*  DEFSYSTEM       */
	ecl_cmp_defun(VV[493]);                   /*  CREATE-COMPONENT-PATHNAMES */
	ecl_cmp_defun(VV[497]);                   /*  GENERATE-COMPONENT-PATHNAME */
	ecl_cmp_defun(VV[498]);                   /*  EXPAND-COMPONENT-COMPONENTS */
	ecl_cmp_defun(VV[499]);                   /*  EXPAND-COMPONENT-DEFINITIONS */
	ecl_cmp_defun(VV[500]);                   /*  EXPAND-SERIAL-COMPONENT-CHAIN */
	si_Xmake_special(VV[207])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[207],ECL_NIL);
	ecl_cmp_defun(VV[501]);                   /*  ABSOLUTE-FILE-NAMESTRING-P */
	ecl_cmp_defun(VV[502]);                   /*  EXPAND-COMPONENT-DEFINITION */
	ecl_cmp_defun(VV[503]);                   /*  LINK-COMPONENT-DEPENDS-ON */
	ecl_cmp_defun(VV[504]);                   /*  TOPOLOGICAL-SORT */
	ecl_cmp_defun(VV[506]);                   /*  SPLIT-STRING    */
	ecl_cmp_defun(VV[509]);                   /*  PROMPT-STRING   */
	ecl_cmp_defun(VV[511]);                   /*  FORMAT-JUSTIFIED-STRING */
	ecl_cmp_defun(VV[512]);                   /*  TELL-USER       */
	ecl_cmp_defun(VV[513]);                   /*  TELL-USER-DONE  */
	ecl_cmp_defmacro(VV[514]);                /*  WITH-TELL-USER  */
	ecl_cmp_defun(VV[515]);                   /*  TELL-USER-NO-FILES */
	ecl_cmp_defun(VV[516]);                   /*  TELL-USER-REQUIRE-SYSTEM */
	ecl_cmp_defun(VV[517]);                   /*  TELL-USER-GENERIC */
	si_Xmake_special(VV[226])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[226],ECL_T);
	si_Xmake_special(VV[227])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[227],ECL_T);
	si_Xmake_special(VV[228])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[228],_ecl_static_104);
	ecl_cmp_defun(VV[518]);                   /*  INTERNAL-REAL-TIME-IN-SECONDS */
	ecl_cmp_defun(VV[519]);                   /*  READ-CHAR-WAIT  */
	ecl_cmp_defun(VV[520]);                   /*  Y-OR-N-P-WAIT   */
	si_Xmake_special(VV[235])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[235])){
	goto L816;}
	cl_set(VV[235],ECL_NIL);
	goto L814;
L816:;
	goto L814;
L814:;
	cl_export(1,VVtemp[26])                   /*  EXPORT          */;
	ecl_cmp_defmacro(VV[521]);                /*  WITH-SPECIAL-COMPONENT-VARS */
	ecl_cmp_defun(VV[522]);                   /*  OPERATE-ON-SYSTEM */
	ecl_cmp_defun(VV[534]);                   /*  COMPILE-SYSTEM  */
	ecl_cmp_defun(VV[535]);                   /*  LOAD-SYSTEM     */
	ecl_cmp_defun(VV[536]);                   /*  CLEAN-SYSTEM    */
	ecl_cmp_defun(VV[542]);                   /*  EDIT-SYSTEM     */
	ecl_cmp_defun(VV[543]);                   /*  HARDCOPY-SYSTEM */
	ecl_cmp_defun(VV[544]);                   /*  ENSURE-EXTERNAL-SYSTEM-DEF-LOADED */
	ecl_cmp_defun(VV[545]);                   /*  OPERATE-ON-COMPONENT */
	si_Xmake_special(VV[267])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[267])){
	goto L860;}
	cl_set(VV[267],ECL_NIL);
	goto L858;
L860:;
	goto L858;
L858:;
	si_Xmake_special(VV[268])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[268])){
	goto L869;}
	cl_set(VV[268],ECL_T);
	goto L867;
L869:;
	goto L867;
L867:;
	ecl_cmp_defun(VV[549]);                   /*  OPERATE-ON-SYSTEM-DEPENDENCIES */
	ecl_cmp_defun(VV[550]);                   /*  MODULE-DEPENDS-ON-CHANGED */
	ecl_cmp_defun(VV[551]);                   /*  OPERATE-ON-COMPONENTS */
	si_Xmake_special(VV[274])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[274])){
	goto L890;}
	cl_set(VV[274],ECL_NIL);
	goto L888;
L890:;
	goto L888;
L888:;
	ecl_cmp_defun(VV[554]);                   /*  NEW-REQUIRE     */
	if((ecl_symbol_value(VV[274]))!=ECL_NIL){
	goto L902;}
	cl_set(VV[274],cl_symbol_function(ECL_SYM("REQUIRE",718)) /*  SYMBOL-FUNCTION */);
	if((ecl_symbol_value(VV[6]))!=ECL_NIL){
	goto L907;}
	si_package_lock(_ecl_static_115,ECL_NIL)  /*  PACKAGE-LOCK    */;
	T0= cl_symbol_function(VV[275])           /*  SYMBOL-FUNCTION */;
	si_fset(4,ECL_SYM("REQUIRE",718),T0,ECL_NIL,ECL_NIL) /*  FSET */;
	si_package_lock(_ecl_static_115,ECL_T)    /*  PACKAGE-LOCK    */;
	goto L900;
L907:;
	goto L900;
L902:;
	goto L900;
L900:;
	ecl_cmp_defun(VV[555]);                   /*  CMUCL-MK-DEFSYSTEM-MODULE-PROVIDER */
	cl_set(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42),cl_adjoin(2,VV[276],ecl_symbol_value(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42))) /*  ADJOIN */);
	si_Xmake_special(VV[277])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[277])){
	goto L920;}
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	cl_set(VV[277],cl_make_hash_table(2,ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */);
	goto L918;
L920:;
	goto L918;
L918:;
	ecl_cmp_defun(VV[556]);                   /*  FIND-LANGUAGE   */
	si_define_structure(15,VV[110],_ecl_static_116,ECL_NIL,ECL_NIL,VVtemp[27],VVtemp[28],VV[279],ECL_NIL,VV[280],ECL_NIL,VVtemp[29],ecl_make_fixnum(5),ECL_NIL,ECL_NIL,VV[281]) /*  DEFINE-STRUCTURE */;
	VV[282]= cl_find_class(1,VV[110])         /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[557]);                   /*  MAKE-LANGUAGE   */
	ecl_cmp_defun(VV[563]);                   /*  PRINT-LANGUAGE  */
	ecl_cmp_defun(VV[567]);                   /*  COMPILE-FUNCTION */
	ecl_cmp_defun(VV[569]);                   /*  LOAD-FUNCTION   */
	ecl_cmp_defun(VV[571]);                   /*  DEFAULT-SOURCE-EXTENSION */
	ecl_cmp_defun(VV[572]);                   /*  DEFAULT-BINARY-EXTENSION */
	ecl_cmp_defmacro(VV[573]);                /*  DEFINE-LANGUAGE */
	{cl_object V2;
	T0= (ECL_SYM("COMPILE-FILE",234)->symbol.gfdef);
	T1= (ECL_SYM("LOAD",487)->symbol.gfdef);
	T2= ecl_car(ecl_symbol_value(VV[30]));
	T3= ecl_cdr(ecl_symbol_value(VV[30]));
	V2= L116make_language(10,ECL_SYM("NAME",1274),VV[285],VV[290],T0,VV[291],T1,VV[292],T2,VV[293],T3) /*  MAKE-LANGUAGE */;
	si_hash_set(VV[285],ecl_symbol_value(VV[277]),V2) /*  HASH-SET */;
	}
	ecl_cmp_defun(VV[574]);                   /*  SCHEME-COMPILE-FILE */
	{cl_object V3;
	T0= ecl_fdefinition(VV[298]);
	T1= (ECL_SYM("LOAD",487)->symbol.gfdef);
	V3= L116make_language(10,ECL_SYM("NAME",1274),VV[299],VV[290],T0,VV[291],T1,VV[292],_ecl_static_119,VV[293],_ecl_static_120) /*  MAKE-LANGUAGE */;
	si_hash_set(VV[299],ecl_symbol_value(VV[277]),V3) /*  HASH-SET */;
	}
	si_Xmake_special(VV[300])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[300],_ecl_static_121);
	ecl_cmp_defun(VV[575]);                   /*  RUN-UNIX-PROGRAM */
	si_Xmake_special(VV[302])                 /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[302])){
	goto L989;}
	cl_set(VV[302],_ecl_static_123);
	goto L987;
L989:;
	goto L987;
L987:;
	ecl_cmp_defun(VV[577]);                   /*  RUN-SHELL-COMMAND */
	ecl_cmp_defun(VV[580]);                   /*  DEFAULT-OUTPUT-PATHNAME */
	ecl_cmp_defun(VV[581]);                   /*  RUN-COMPILER    */
	ecl_cmp_defun(VV[582]);                   /*  C-COMPILE-FILE  */
	{cl_object V4;
	T0= ecl_fdefinition(VV[308]);
	T1= (ECL_SYM("LOAD",487)->symbol.gfdef);
	V4= L116make_language(10,ECL_SYM("NAME",1274),VV[309],VV[290],T0,VV[291],T1,VV[292],_ecl_static_138,VV[293],_ecl_static_129) /*  MAKE-LANGUAGE */;
	si_hash_set(VV[309],ecl_symbol_value(VV[277]),V4) /*  HASH-SET */;
	}
	cl_export(1,VVtemp[30])                   /*  EXPORT          */;
	si_Xmake_special(VV[310])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[310],_ecl_static_139);
	si_Xmake_special(VV[311])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[311],VVtemp[31]);
	ecl_cmp_defun(VV[596]);                   /*  FORTRAN-COMPILE-FILE */
	{cl_object V5;
	T0= ecl_fdefinition(VV[312]);
	T1= (ECL_SYM("IDENTITY",426)->symbol.gfdef);
	V5= L116make_language(10,ECL_SYM("NAME",1274),VV[313],VV[290],T0,VV[291],T1,VV[292],_ecl_static_141,VV[293],_ecl_static_129) /*  MAKE-LANGUAGE */;
	si_hash_set(VV[313],ecl_symbol_value(VV[277]),V5) /*  HASH-SET */;
	}
	cl_export(1,VVtemp[32])                   /*  EXPORT          */;
	si_Xmake_special(VV[314])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[314],_ecl_static_142);
	ecl_cmp_defun(VV[597]);                   /*  BUILD-LIB       */
	L7component_operation(2,VV[216],VV[316])  /*  COMPONENT-OPERATION */;
	L7component_operation(2,ECL_SYM("COMPILE",233),VV[316]) /*  COMPONENT-OPERATION */;
	L7component_operation(2,VV[154],VV[317])  /*  COMPONENT-OPERATION */;
	L7component_operation(2,ECL_SYM("LOAD",487),VV[317]) /*  COMPONENT-OPERATION */;
	ecl_cmp_defun(VV[598]);                   /*  COMPILE-AND-LOAD-OPERATION */
	ecl_cmp_defun(VV[599]);                   /*  UNMUNGE-LUCID   */
	ecl_cmp_defun(VV[600]);                   /*  COMPILE-FILE-OPERATION */
	if((cl_find_package(_ecl_static_148)      /*  FIND-PACKAGE    */)==ECL_NIL){
	goto L1067;}
	T0= cl_find_symbol(2,_ecl_static_149,_ecl_static_148) /*  FIND-SYMBOL */;
	cl_import(1,T0)                           /*  IMPORT          */;
	goto L1065;
L1067:;
	goto L1065;
L1065:;
	if((cl_fboundp(VV[325])                   /*  FBOUNDP         */)!=ECL_NIL){
	goto L1071;}
	ecl_cmp_defun(VV[601]);                   /*  COMPILED-FILE-P */
	goto L1069;
L1071:;
	goto L1069;
L1069:;
	ecl_cmp_defun(VV[602]);                   /*  NEEDS-COMPILATION */
	ecl_cmp_defun(VV[603]);                   /*  NEEDS-LOADING   */
	ecl_cmp_defun(VV[604]);                   /*  LOAD-FILE-OPERATION */
	L7component_operation(2,VV[332],VV[333])  /*  COMPONENT-OPERATION */;
	L7component_operation(2,VV[334],VV[333])  /*  COMPONENT-OPERATION */;
	L7component_operation(2,VV[253],VV[333])  /*  COMPONENT-OPERATION */;
	L7component_operation(2,VV[335],VV[333])  /*  COMPONENT-OPERATION */;
	ecl_cmp_defun(VV[605]);                   /*  DELETE-BINARIES-OPERATION */
	ecl_cmp_defun(VV[606]);                   /*  BINARY-EXISTS   */
	ecl_cmp_defun(VV[607]);                   /*  COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY */
	ecl_cmp_defun(VV[608]);                   /*  LOAD-SOURCE-IF-NO-BINARY */
	ecl_cmp_defun(VV[609]);                   /*  FILES-WHICH-NEED-COMPILATION */
	ecl_cmp_defun(VV[610]);                   /*  FILES-IN-SYSTEM-AND-DEPENDENTS */
	ecl_cmp_defun(VV[611]);                   /*  FILES-IN-SYSTEM */
	ecl_cmp_defun(VV[612]);                   /*  FILE-PATHNAMES-IN-COMPONENT */
	ecl_cmp_defun(VV[613]);                   /*  FILE-COMPONENTS-IN-COMPONENT */
	T0= cl_symbol_function(VV[243])           /*  SYMBOL-FUNCTION */;
	si_fset(4,VV[349],T0,ECL_NIL,ECL_NIL)     /*  FSET            */;
	si_Xmake_special(VV[350])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[350],_ecl_static_159);
	ecl_cmp_defun(VV[614]);                   /*  SYSTEM-SOURCE-SIZE */
	ecl_cmp_defun(VV[615]);                   /*  FILE-LIST-SIZE  */
}
